2006-08-27  Andreas Boose  <viceteam@t-online.de>

	* Version 1.20.

2006-08-26  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.28.

	* keyboard.c (keyboard_parse_keymap): Added parser fix written
	by Dirk Jagdmann.

2006-08-26  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* monitor/mon_breakpoint.c: Output the memspace if the user
	requests to see all breakpoints ("break" command without
	arguments in the monitor).

2006-08-26  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/make-bindist.sh, arch/beos/make-bindist.sh,
	arch/msdos/make-bindist.sh, arch/unix/qnx/make-bindist.sh,
	arch/unix/solaris/make-bindist.sh,
	arch/win32/make-bindist.sh: Added executable files checking.

2006-08-24  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/console.c: Fixed a type conflict in console_out()
	which prevented compiling the Windows platform with MingW.

2006-08-21  Christian Vogelgsang  <chris@vogelgsang.org>

	* arch/unix/macosx/make-bindist.sh,
	arch/unix/gui/uicommands.c, arch/unix/x11/ui-resources.c:
	HTTPBrowserCommand changed to open(1) on Macs. HTML docs are
	searched in application bundle on Macs. bindist embeds HTML
	docs in each app bundle.

2006-08-21  Christian Vogelgsang  <chris@vogelgsang.org>

	* arch/unix/macosx/make-bindist.sh: Added support to
	cross-compile on a PowerPC platform

	* arch/unix/joy.c: Fixed joystick define.

2006-08-20  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/archdep.c, arch/amigaos/video.c: Debugged.

	* arch/amigaos/ahi.c, arch/amigaos/intl.c,
	arch/amigaos/joyai.c, arch/amigaos/mousedrv.c,
	arch/amigaos/mui/filereq.c, arch/amigaos/timer.c,
	arch/amigaos/uiapi.c, c64/c64io.c: Changed some calls to use
	the functions provided in the lib.c source file.

	* lib.c, lib.h: Enhanced to show the file and line of the
	leaking allocation.

2006-08-19  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/Makefile.am, arch/amigaos/make-bindist.sh,
	arch/amigaos/x128ns.c, arch/amigaos/x64ns.c,
	arch/amigaos/xcbm2ns.c, arch/amigaos/xpetns.c,
	arch/amigaos/xplus4ns.c, arch/amigaos/xvicns.c: Added 'no
	sound' launchers.

	* info.c: Updated.

2006-08-17  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/make-bindist.sh, arch/os2/makedist.cmd: Updated
	to put cartconv.txt in the binary distribution.

2006-08-14  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.27.

2006-08-07  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* info.c: Updated.

2006-08-06  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.26.

	* arch/unix/Makefile.am: Changed back to old `SUBDIRS'
	definition as using `ARCH_EXTRA_SUBDIR' breaks `make dist'.

2006-08-03  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* monitor/mon_command.c: Added help texts for commands;
	commented out commands which are not yet implemented.

2006-08-01  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* monitor/mon_memory.c: When outputting hex characters in
	mon_memory_display(), make sure the last line has the same
	length as every other line before. This was not the case if
	the last line contained less bytes than the others before; in
	this case, the printable characters on the right were shifted
	to the left.

2006-07-31  Christian Vogelgsang  <chris@vogelgsang.org>

	* arch/unix/Makefile.am, arch/unix/macosx/Makefile.am:
	Added new extra arch library for Mac OS X.

	* arch/unix/joy.c, arch/unix/macosx/joy.c,
	arch/unix/macosx/joy.h: Removed Mac Joystick code from
	unix/joy.c and created new Mac Joystick code in macosx/joy.*.

2006-07-31  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/Makefile.am, arch/unix/solaris/convertprototype.c,
	arch/unix/solaris/make-bindist.sh,
	arch/unix/solaris/make_package.pl: Added automatic solaris
	binary package creation support.

	* arch/unix/qnx/getlibs.c: Fixed a typo.

2006-07-29  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* Makefile.am: Added the including of the intl-libs.

	* arch/amigaos/Makefile.am, arch/amigaos/screen-shot.c,
	arch/amigaos/screen-shot.h, arch/amigaos/screenshot.c,
	arch/amigaos/screenshot.h: Renamed screenshot.* to
	screen-shot.*.

	* arch/amigaos/README.AMIGA: Updated.

	* arch/amigaos/amigamain.c, arch/amigaos/archdep.c,
	arch/amigaos/signals.c, c1541.c, cartconv.c,
	gfxoutputdrv/pngdrv.c, ioutil.c, zfile.c: Removed old aros
	header defines.

	* arch/amigaos/make-bindist.sh, arch/beos/make-bindist.sh,
	arch/msdos/make-bindist.sh, arch/unix/gp2x/make-bindist.sh,
	arch/unix/solaris/make-bindist.sh,
	arch/win32/make-bindist.sh: Updated for out-of-source
	installation.

	* arch/amigaos/mui/mui.h, arch/amigaos/mui/uiacia.c,
	arch/amigaos/mui/uic64_256k.c,
	arch/amigaos/mui/uicbm2settings.c,
	arch/amigaos/mui/uidatasette.c,
	arch/amigaos/mui/uidrivec64vic20.c,
	arch/amigaos/mui/uidrivepetcbm2.c,
	arch/amigaos/mui/uidriveplus4.c, arch/amigaos/mui/uigeoram.c,
	arch/amigaos/mui/uipetreu.c, arch/amigaos/mui/uiplus60k.c,
	arch/amigaos/mui/uiram.c, arch/amigaos/mui/uiramcart.c,
	arch/amigaos/mui/uireu.c, arch/amigaos/mui/uirs232user.c,
	arch/amigaos/mui/uisid.c, arch/amigaos/mui/uisound.c,
	arch/amigaos/uiapi.c, arch/amigaos/uic64cart.c,
	arch/amigaos/uicmdline.c, arch/amigaos/vic20ui.c,
	arch/amigaos/video.c: Fixed some variables.

	* arch/msdos/tuimenu.c: Added a break statement to fix a
	warning.

	* arch/os2/dialogs/menubar.c: Fixed the petreu menu items.

	* arch/os2/makedist.cmd, arch/os2/vac++/Makefile.am,
	arch/os2/vac++/cartconv.ICC: Added cartconv.

	* arch/os2/vac++/incl/c64cart.icc,
	arch/os2/vac++/incl/gfxoutputdrv.icc,
	arch/os2/vac++/incl/pet.icc, arch/os2/vac++/incl/plus4.icc:
	Added previously missing source files.

	* arch/unix/Makefile.am: Added minix-3.x descr file and qnx
	package creation helper programs.

	* arch/unix/minix/descr: Added minix-3 descr file.

	* arch/unix/qnx/getlibs.c, arch/unix/qnx/getsize.c: Added qnx
	package creation helper programs.

	* arch/unix/qnx/make-bindist.sh: Added package creation when
	bindistzip is used.

	* arch/unix/types.h, arch/unix/x11/vidmode.c,
	sounddrv/soundsun.c: NetBSD fixes.

	* monitor/mon_util.c: Changed a C++ style comment to a C style
	comment.

2006-07-28  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* console.h: console_t has new member console_cannot output
	now;

	* arch/win32/uimon.c: Handle console_cannot_output of
	console_t for WIN32 port

	* arch/win32/console.c: Optimization in mon_out(): Handle all
	printable characters in one function call (instead of issuing
	many calls to mon_out_character())

	* monitor/mon_util.c: Only buffer output if
	console_cannot_output of console_t is != 0.

2006-07-24  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/res.rc: Make sure the combobox for editing the
	external paletted scrolls horizontally (CBS_AUTOHSCROLL), so
	that the user can enter long paths;

	* arch/win32/rescommon.h: Added define for CBS_AUTOHSCROLL;

	* video/video-color.c: In video_color_update_palette(), test
	if the external palette did load; if not, return with an
	error. Both issues reported by Martin Pils.

2006-07-22  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.25.

2006-07-22  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/gnome/x11ui.c (ui_display_drive_led): use colors
	for drive leds from color array respecting the pwm value.
	(drive_led_on_green_pixels[], drive_led_on_red_pixels[]): new
	global vars to hold color shadings.
	(build_file_selector): Added `show hidden files' checkbox.

	* arch/unix/x11/gnome/uicolor.c (uicolor_alloc_system_colors):
	allocate 16 shadings of red and green drive led colors.

	* arch/unix/x11/gnome/uinetplay.c: Added GUI Elements for netplay
	controls. 

	* arch/unix/x11/gnome/uiscreenshot.c (build_screenshot_dialog):
	Changed Y-size of spin button widgets.

2006-07-14  Christian Vogelgsang  <chris@vogelgsang.org>

	* arch/unix/macosx/make-bindist.sh: added binary format check.
	name extension in distribution archive is now "ub", "i386" or
	"ppc" depending on binary type.

2006-07-11  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/make-bindist.sh,
	arch/unix/gp2x/make-bindist.sh,
	arch/unix/qnx/make-bindist.sh,
	arch/unix/solaris/make-bindist.sh: Updated to not make the
	binary distribution directory/archive outside the VICE
	directory.

2006-07-10  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.24.

	* arch/unix/Makefile.am: Added the macox files.

	* arch/unix/gp2x/c128ui.c, arch/unix/gp2x/c64ui.c,
	arch/unix/gp2x/cbm2ui.c, arch/unix/gp2x/petui.c,
	arch/unix/gp2x/vic20ui.c, arch/unix/console.c: Added missing
	includes.

	* arch/unix/gp2x/make-bindist.sh: Changed archive name and do
	not write anything outsite the vice directory.

	* arch/unix/macosx/make-bindist.sh: Changed archive name.

	* arch/unix/gp2x/make-bindist.sh, arch/win32/make-bindist.sh,
	arch/beos/make-bindist.sh, arch/msdos/make-bindist.sh: Removed
	temporary directory on target `bindistzip'.

	* monitor/mon_lex.l: Defined `YY_ALWAYS_INTERACTIVE' to stop
	it using non-C standard function.

2006-07-10  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/gp2x/Makefile.am, arch/unix/gp2x/c128ui.c,
	arch/unix/gp2x/c64ui.c, arch/unix/gp2x/cbm2ui.c,
	arch/unix/gp2x/petui.c, arch/unix/gp2x/plus4ui.c,
	arch/unix/gp2x/prefs_gp2x.c, arch/unix/gp2x/prefs_gp2x.h,
	arch/unix/gp2x/ui_gp2x.c, arch/unix/gp2x/uimon.c,
	arch/unix/gp2x/uisound.h, arch/unix/gp2x/vic20ui.c,
	arch/unix/gp2x/video.c, arch/unix/gp2x/videoarch.h,
	arch/unix/gp2x/vkeyboard_gp2x.c,
	arch/unix/gp2x/vkeyboard_gp2x.h,
	arch/unix/gp2x/vsidui.c: Seperated the c64/pet/vic20...etc ui
	elements so that no unneeded objects get linked.

	* arch/unix/gp2x/make-bindist.sh: Updated the script to the
	'new' place of the port in the source tree.

	* cartconv.c: Changed the carttype char to signed.

	* cbmdos.c: Added a cast to get rid of a warning.

	* vdc/vdc.c: Fixed to only provide for the creation of the
	vicii screen for the gp2x port (gp2x port can only handle one
	screen).

2006-07-10  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* sound.c: In sound_device_num(), max is unsigned now, so a
	warning w.r.t. a signed/unsigned comparison in the for() loop
	is avoided.

2006-07-09  Christian Vogelgsang  <chris@vogelgsang.org>

	* arch/unix/archdep.c: On Mac OS X search ROMs inside of
	bundle's resources.

	* arch/unix/macosx/make-bindist.sh,
	arch/unix/macosx/Info.plist, arch/unix/macosx/VICE.icns:
	Added bin dist script for Mac OS X. Creates Applications
	bundles including Icon and creates distribution disk image.

2006-07-09  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.23.

	* sound.c, sound.h (sound_device_num, sound_device_name): New
	functions.

	* arch/unix/gui/uisound.c, arch/unix/gui/uisound.h
	(uisound_menu_create, uisound_menu_shutdown): New functions.
	Added sound driver name menu.

	* arch/unix/gui/c64ui.c, arch/unix/gui/c128ui.c,
	arch/unix/gui/vic20ui.c, arch/unix/gui/petui.c,
	arch/unix/gui/plus4ui.c, arch/unix/gui/cbm2ui.c: Init and
	shutdown sound menus.

2006-07-07  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* monitor/mon_file.c: If no address is given with the load
	command, respect the current device (comp, drive8, drive9,
	...).

	* monitor/mon_command.c: fixed a typo in the help text; added
	help for <cond>, so that it can be used by users now; fixed
	the help for the load command (cf. the change for mon_file.c
	above)

	* uimon.h, arch/amigaos/uimon.c, arch/beos/uimon.c,
	arch/msdos/uimon.c, arch/os2/uimon.c, arch/riscos/uimon.c,
	arch/unix/gui/uimon.c, arch/win32/uimon.c: Now, uimon_out()
	gets a static buffer as argument, not printf() style data
	anymore.  It was unnecessary, since this functionality is
	already there.

	* arch/win32/console.c: console_out() uses lib_mvsprintf()
	instead of vsprintf() with a static buffer now; this prevents
	a buffer overflow; make sure all character are output when
	exiting the console (for example, with "x" in the monitor);

	* arch/win32/monitor.dsp: added mon_lex.l, mon_parse.y as
	files.

	* monitor/mon_lex.l: Make sure prefixes 8:, 9:, 10:, 11:, and
	C: are valid in conditions, too.

	* monitor/mon_util.c: Added buffering for the outputs.
	Currently, this is done with a fixed buffer size of 10000
	byte; later, this will be done dynamically with info from the
	console.  This bufféring fixes the problems with the "trace"
	and "watch" monitor commands, where the output did not appear
	at all.

2006-07-07  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* diskimage.h, src/diskimage/fsimage-probe.c: Accept D71 files
	with error info, too. Additionally, make sure the error info
	is deleted whenever another image is attached.

	* diskimage/fsimage.c: Allocate MAX_BLOCKS_ANY instead of
	MAX_BLOCKS_1541 for the error info.

2006-07-05  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.22.

	* arch/unix/uiacia1.h, arch/unix/uiattach.h,
	arch/unix/uic64_256k.h, arch/unix/uic64cart.h,
	arch/unix/uicartridge.h, arch/unix/uicommands.h,
	arch/unix/uicrtc.h, arch/unix/uidatasette.h,
	arch/unix/uidrivec128.h, arch/unix/uidriveiec.h,
	arch/unix/uidriveplus4.h, arch/unix/uidrive.h,
	arch/unix/uidrivec64vic20.h, arch/unix/uidrivepetcbm2.h,
	arch/unix/uiedisk.h, arch/unix/uifliplist.h,
	arch/unix/uigeoram.h, arch/unix/uihotkey.h,
	arch/unix/uiide64.h, arch/unix/uijoystick2.h,
	arch/unix/uikeyboard.h, arch/unix/uilib.h,
	arch/unix/uinetplay.h, arch/unix/uipalemu.h,
	arch/unix/uipalette.h, arch/unix/uiperipheral.h,
	arch/unix/uiperipheraliec.h, arch/unix/uiperipheralieee.h,
	arch/unix/uipetreu.h, arch/unix/uiplus256k.h,
	arch/unix/uiplus60k.h, arch/unix/uiprinter.h,
	arch/unix/uiprinteriec.h, arch/unix/uiprinteriecplus4.h,
	arch/unix/uiprinterieee.h, arch/unix/uiramcart.h,
	arch/unix/uireu.h, arch/unix/uiromset.h, arch/unix/uirs232.h,
	arch/unix/uirs232c64c128.h, arch/unix/uirs232petplus4cbm2.h,
	arch/unix/uirs232user.h, arch/unix/uiscreenshot.h,
	arch/unix/uisettings.h, arch/unix/uisid.h,
	arch/unix/uisnapshot.h, arch/unix/uisound.h,
	arch/unix/uited.h, arch/unix/uitfe.h, arch/unix/uivdc.h,
	arch/unix/uivic.h, arch/unix/uivicii.h: Moved to `gui'
	directory.

	* arch/unix/Makefile.am, arch/unix/gui/Makefile.am: Updated.

	* arch/unix/x11/xaw/Makefile.am,
	arch/unix/x11/gnome/Makefile.am, arch/unix/x11/Makefile.am:
	Updated include paths.

	* arch/unix/gui/uimouse.c, arch/unix/gui/uimouse.h: New files.

	* arch/unix/gui/c64ui.c, arch/unix/gui/c128ui.c: Moved mouse
	UI to separate file.

2006-07-04  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/gp2x/Makefile.am, arch/unix/gp2x/icon.h,
	arch/unix/gp2x/ui_gp2x.c: More cleanup.

2006-07-04  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.21.

	* arch/unix/joy.c: Added USB joystick patch by Christian
	Vogelgsang.

	* arch/unix/joy_mac.c: New file written by Christian
	Vogelgsang.

	* arch/unix/Makefile.am: Added new file.

	* arch/win32/make-bindist.sh, arch/msdos/make-bindist.sh,
	arch/beos/make-bindist.sh: Create archive within the VICE
	directory.

2006-07-03  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/intl.c: Corrected the italian translations as
	provided by Eliseo Bianchi <e.bianchi@libero.it>.

2006-07-03  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.20.

	* resid/sid.cc (SID::write): Increased bus ttl value.

	* attach.c (detach_disk_image_and_free): Fixed crash if there
	is a shutdown during initialization.

2006-07-02  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/gp2x/ui_gp2x.c, arch/unix/gp2x/vsidui.c: Did some
	more clean-up to the gp2x port.

2006-07-01  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/gp2x/Makefile.am, arch/unix/gp2x/c128ui.c,
	arch/unix/gp2x/c64ui.c, arch/unix/gp2x/cbm2ui.c,
	arch/unix/gp2x/petui.c, arch/unix/gp2x/petui.c,
	arch/unix/gp2x/plus4ui.c, arch/unix/gp2x/rs232.c,
	arch/unix/gp2x/ui.c, arch/unix/gp2x/ui_gp2x.c,
	arch/unix/gp2x/uiacia1.c, arch/unix/gp2x/uiattach.c,
	arch/unix/gp2x/uic64_256k.c, arch/unix/gp2x/uic64cart.c,
	arch/unix/gp2x/uicommands.c, arch/unix/gp2x/uicrtc.c,
	arch/unix/gp2x/uidatasette.c, arch/unix/gp2x/uidrive.c,
	arch/unix/gp2x/uidrivec128.c, arch/unix/gp2x/uidrivec128.c,
	arch/unix/gp2x/uidrivec64vic20.c, arch/unix/gp2x/uidriveiec.c,
	arch/unix/gp2x/uidrivepetcbm2.c,
	arch/unix/gp2x/uidriveplus4.c,
	arch/unix/gp2x/uifliplist.c, arch/unix/gp2x/uigeoram.c,
	arch/unix/gp2x/uiide64.c, arch/unix/gp2x/uijoystick2.c,
	arch/unix/gp2x/uikeyboard.c, arch/unix/gp2x/uilib.c,
	arch/unix/gp2x/uilib.h, arch/unix/gp2x/uipalemu.c,
	arch/unix/gp2x/uipalette.c, arch/unix/gp2x/uiperipheral.c,
	arch/unix/gp2x/uiperipheraliec.c,
	arch/unix/gp2x/uiperipheralieee.c, arch/unix/gp2x/uipetreu.c,
	arch/unix/gp2x/uiplus256k.c, arch/unix/gp2x/uiplus60k.c,
	arch/unix/gp2x/uiprinter.c, arch/unix/gp2x/uiprinteriec.c,
	arch/unix/gp2x/uiprinteriecplus4.c,
	arch/unix/gp2x/uiprinterieee.c, arch/unix/gp2x/uiramcart.c,
	arch/unix/gp2x/uiramcart.c, arch/unix/gp2x/uireu.c,
	arch/unix/gp2x/uiromset.c, arch/unix/gp2x/uirs232.c,
	arch/unix/gp2x/uirs232c64c128.c,
	arch/unix/gp2x/uirs232petplus4cbm2.c,
	arch/unix/gp2x/uirs232user.c, arch/unix/gp2x/uisettings.c,
	arch/unix/gp2x/uisid.c, arch/unix/gp2x/uisound.c,
	arch/unix/gp2x/uited.c, arch/unix/gp2x/uivdc.c,
	arch/unix/gp2x/uivic.c, arch/unix/gp2x/uivicii.c,
	arch/unix/gp2x/vic20ui.c, arch/unix/gp2x/vsidui.c: Got rid of
	the not needed unix ui of the gp2x port.

2006-06-26  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.19.

	* arch/unix/gp2x/*: New directory, moved everything from
	`arch/gp2x' here.

	* arch/unix/Makefile.am, arch/unix/videoarch.h,
	arch/unix/uimenu.h: Added gp2x directory.

	* arch/unix/console.c, arch/unix/archdep.c,
	arch/unix/vsyncarch.c, arch/unix/joy.c: Adopted to gp2x.

	* arch/unix/gp2x/types.h, arch/unix/gp2x/console.c,
	arch/unix/gp2x/xcbm2_stubs.c, arch/unix/gp2x/xplus4_stubs.c,
	arch/unix/gp2x/xvic_stubs.c, arch/unix/gp2x/uivdc.h,
	arch/unix/gp2x/uivic.h, arch/unix/gp2x/uisid.h,
	arch/unix/gp2x/uivicii.h, arch/unix/gp2x/uisound.h,
	arch/unix/gp2x/uited.h, arch/unix/gp2x/uisettings.h,
	arch/unix/gp2x/uirs232petplus4cbm2.h,
	arch/unix/gp2x/uirs232c64c128.h, arch/unix/gp2x/uirs232user.h,
	arch/unix/gp2x/uiromset.h, arch/unix/gp2x/uireu.h,
	arch/unix/gp2x/uiramcart.h, arch/unix/gp2x/uiprinterieee.h,
	arch/unix/gp2x/uiprinteriecplus4.h,
	arch/unix/gp2x/uiprinteriec.h, arch/unix/gp2x/uiprinter.h,
	arch/unix/gp2x/uiplus60k.h, arch/unix/gp2x/uiplus256k.h,
	arch/unix/gp2x/uipetreu.h, arch/unix/gp2x/uiperipheralieee.h,
	arch/unix/gp2x/uiperipheraliec.h,
	arch/unix/gp2x/uiperipheral.h, arch/unix/gp2x/uipalette.h,
	arch/unix/gp2x/uipalemu.h,  arch/unix/gp2x/uiattach.h,
	arch/unix/gp2x/uic64_256k.h, arch/unix/gp2x/uic64cart.h,
	arch/unix/gp2x/uicrtc.h, arch/unix/gp2x/uidatasette.h,
	arch/unix/gp2x/uidrive.h, arch/unix/gp2x/uidrivec128.h,
	arch/unix/gp2x/uidrivec64vic20.h, arch/unix/gp2x/uidriveiec.h,
	arch/unix/gp2x/uidrivepetcbm2.h,
	arch/unix/gp2x/uidriveplus4.h, arch/unix/gp2x/uiacia1.h,
	arch/unix/gp2x/uifliplist.h, arch/unix/gp2x/uigeoram.h,
	arch/unix/gp2x/uiide64.h, arch/unix/gp2x/uikeyboard.h,
	arch/unix/gp2x/uirs232.h, arch/unix/gp2x/uijoystick2.h,
	arch/unix/gp2x/gp2xmain.c, arch/unix/gp2x/archdep.h,
	arch/unix/gp2x/archdep.c, arch/unix/gp2x/vsyncarch.c,
	arch/unix/gp2x/coproc.h, arch/unix/gp2x/coproc.c,
	arch/unix/gp2x/blockdev.c, arch/unix/gp2x/ffmpeglib.c,
	arch/unix/gp2x/joy.c, arch/unix/gp2x/joy.h,
	arch/unix/gp2x/kbd.h, arch/unix/gp2x/joy_usb.c,
	arch/unix/gp2x/mousedrv.c, arch/unix/gp2x/mousedrv.h,
	arch/unix/gp2x/signals.c, arch/unix/gp2x/uiscreenshot.h,
	arch/unix/gp2x/uicartridge.h, arch/unix/gp2x/uisnapshot.h,
	arch/unix/gp2x/uihotkey.h, arch/unix/gp2x/uiedisk.h,
	arch/unix/gp2x/ui.h, arch/unix/gp2x/vsiduigp2x.h: Removed.

	* arch/unix/gp2x/Makefile.am: Updated.

	* arch/unix/gp2x/prefs_gp2x.c: Commented out usage of
	cartridge functions as the UI is not separated enough.

	* arch/unix/gp2x/video_gp2x.c: Renamed.

	* arch/unix/gp2x/video_gp2x.h: Moved to `videoarch.h'.

	* arch/unix/gp2x/prefs_gp2x.c, arch/unix/gp2x/vsidui.c: Fixed
	includes.

2006-06-25  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/gp2x/Char_ROM.h, arch/gp2x/Makefile.am,
	arch/gp2x/archdep.c, arch/gp2x/archdep.h,
	arch/gp2x/audio_gp2x.c, arch/gp2x/audio_gp2x.h,
	arch/gp2x/blockdev.c, arch/gp2x/c128ui.c, arch/gp2x/c64ui.c,
	arch/gp2x/cbm2ui.c, arch/gp2x/console.c, arch/gp2x/coproc.c,
	arch/gp2x/coproc.h, arch/gp2x/ffmpeglib.c,
	arch/gp2x/fullscreenarch.h, arch/gp2x/gp2xmain.c,
	arch/gp2x/gp2xui.h, arch/gp2x/gpe-files/vsid.gpe,
	arch/gp2x/gpe-files/x128.gpe, arch/gp2x/gpe-files/x64.gpe,
	arch/gp2x/gpe-files/xcbm2.gpe, arch/gp2x/gpe-files/xpet.gpe,
	arch/gp2x/gpe-files/xplus4.gpe, arch/gp2x/gpe-files/xvic.gpe,
	arch/gp2x/icon.h, arch/gp2x/input_gp2x.c,
	arch/gp2x/input_gp2x.h, arch/gp2x/joy.c, arch/gp2x/joy.h,
	arch/gp2x/joy_usb.c, arch/gp2x/joy_usb.c, arch/gp2x/kbd.h,
	arch/gp2x/make-bindist.sh, arch/gp2x/minimal.c,
	arch/gp2x/minimal.h, arch/gp2x/minimal_940t.h,
	arch/gp2x/mousedrv.c, arch/gp2x/mousedrv.h, arch/gp2x/petui.c,
	arch/gp2x/plus4ui.c, arch/gp2x/prefs_gp2x.c,
	arch/gp2x/prefs_gp2x.h, arch/gp2x/rs232.c,
	arch/gp2x/signals.c, arch/gp2x/types.h, arch/gp2x/ui.c,
	arch/gp2x/ui.h, arch/gp2x/ui_gp2x.c, arch/gp2x/ui_gp2x.h,
	arch/gp2x/uiacia1.c, arch/gp2x/uiacia1.h, arch/gp2x/uiarch.h,
	arch/gp2x/uiattach.c, arch/gp2x/uiattach.h,
	arch/gp2x/uic64_256k.c, arch/gp2x/uic64_256k.h,
	arch/gp2x/uic64cart.c, arch/gp2x/uic64cart.h,
	arch/gp2x/uicartridge.h, arch/gp2x/uicmdline.c,
	arch/gp2x/uicommands.c, arch/gp2x/uicommands.h,
	arch/gp2x/uicrtc.c, arch/gp2x/uicrtc.h,
	arch/gp2x/uidatasette.c, arch/gp2x/uidatasette.h,
	arch/gp2x/uidrive.c, arch/gp2x/uidrive.h,
	arch/gp2x/uidrivec128.c, arch/gp2x/uidrivec128.h,
	arch/gp2x/uidrivec64vic20.c, arch/gp2x/uidrivec64vic20.h,
	arch/gp2x/uidriveiec.c, arch/gp2x/uidriveiec.h,
	arch/gp2x/uidrivepetcbm2.c, arch/gp2x/uidrivepetcbm2.h,
	arch/gp2x/uidriveplus4.c, arch/gp2x/uidriveplus4.h,
	arch/gp2x/uiedisk.h, arch/gp2x/uifliplist.c,
	arch/gp2x/uifliplist.h, arch/gp2x/uigeoram.c,
	arch/gp2x/uigeoram.h, arch/gp2x/uihotkey.h,
	arch/gp2x/uiide64.c, arch/gp2x/uiide64.h,
	arch/gp2x/uijoystick2.c, arch/gp2x/uijoystick2.h,
	arch/gp2x/uikeyboard.c, arch/gp2x/uikeyboard.h,
	arch/gp2x/uilib.c, arch/gp2x/uilib.h, arch/gp2x/uimenu.h,
	arch/gp2x/uimon.c, arch/gp2x/uipalemu.c, arch/gp2x/uipalemu.h,
	arch/gp2x/uipalette.c, arch/gp2x/uipalette.h,
	arch/gp2x/uiperipheral.c, arch/gp2x/uiperipheral.h,
	arch/gp2x/uiperipheraliec.c, arch/gp2x/uiperipheraliec.h,
	arch/gp2x/uiperipheralieee.c, arch/gp2x/uiperipheralieee.h,
	arch/gp2x/uipetreu.c, arch/gp2x/uipetreu.h,
	arch/gp2x/uiplus256k.c, arch/gp2x/uiplus256k.h,
	arch/gp2x/uiplus60k.c, arch/gp2x/uiplus60k.h,
	arch/gp2x/uiprinter.c, arch/gp2x/uiprinter.h,
	arch/gp2x/uiprinteriec.c, arch/gp2x/uiprinteriec.h,
	arch/gp2x/uiprinteriecplus4.c, arch/gp2x/uiprinteriecplus4.h,
	arch/gp2x/uiprinterieee.c, arch/gp2x/uiprinterieee.h,
	arch/gp2x/uiramcart.c, arch/gp2x/uiramcart.h,
	arch/gp2x/uireu.c, arch/gp2x/uireu.h, arch/gp2x/uiromset.c,
	arch/gp2x/uiromset.h, arch/gp2x/uirs232.c,
	arch/gp2x/uirs232.h, arch/gp2x/uirs232c64c128.c,
	arch/gp2x/uirs232c64c128.h, arch/gp2x/uirs232petplus4cbm2.c,
	arch/gp2x/uirs232petplus4cbm2.h, arch/gp2x/uirs232user.c,
	arch/gp2x/uirs232user.h, arch/gp2x/uiscreenshot.h,
	arch/gp2x/uisettings.c, arch/gp2x/uisettings.h,
	arch/gp2x/uisid.c, arch/gp2x/uisid.h, arch/gp2x/uisnapshot.h,
	arch/gp2x/uisound.c, arch/gp2x/uisound.h, arch/gp2x/uited.c,
	arch/gp2x/uited.h, arch/gp2x/uitext_gp2x.c,
	arch/gp2x/uitext_gp2x.h, arch/gp2x/uivdc.c, arch/gp2x/uivdc.h,
	arch/gp2x/uivic.c, arch/gp2x/uivic.h, arch/gp2x/uivicii.c,
	arch/gp2x/uivicii.h, arch/gp2x/vic20ui.c,
	arch/gp2x/video_gp2x.c, arch/gp2x/video_gp2x.h,
	arch/gp2x/videoarch.h, arch/gp2x/vkeyboard_gp2x.c,
	arch/gp2x/vkeyboard_gp2x.h, arch/gp2x/vsidui.c,
	arch/gp2x/vsiduigp2x.h, arch/gp2x/vsyncarch.c,
	arch/gp2x/xcbm2_stubs.c, arch/gp2x/xpet_stubs.c,
	arch/gp2x/xpet_stubs.c, arch/gp2x/xplus4_stubs.c,
	arch/gp2x/xvic_stubs.c, src/joystick.h,
	raster/raster-canvas.c: Added support for the GP2X port.

2006-06-25  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.18.

	* fsdevice/fsdevice.c, fsdevice/fsdevicetypes.h,
	fsdevice/fsdevice-close.c, fsdevice/fsdevice-open.c,
	fsdevice/fsdevice-read.c, fsdevice/fsdevice-write.c,
	fsdevice/fsdevice-flush.c: Moved all variables to a single
	structure.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/cbm2.c, machine.c, init.c: Moved file
	system initialization and shutdown to machine code.

	* arch/unix/Makefile.am: Moved unix gui files.

	* arch/unix/gui/*: New directory containing the unix gui.

	* arch/unix/ui*.c: Moved this file to new directory.

2006-06-24  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.17.

	* core/ciacore.c (ciacore_store, ciacore_store_internal):
	Removed recursion on RMW access because changing `rmw_flag'
	will break vicii alarm code.

	* vicii/vicii.c, vicii/vicii.h
	(vicii_handle_pending_alarms_external_write): New function.

	* c64/c64cia1.c, c64/c64cia2.c (pre_store): Use
	`vicii_handle_pending_alarms_external_write()'.

	* vicii/vicii-mem.c (vicii_store): Use
	`vicii_handle_pending_alarms_external_write()'.

	* c64/c64io.c (c64io1_read, c64io1_store, c64io2_read,
	c64io2_store): Update pending vicii alarms.

	* sid/sid.c (sid_store_chip): Added comment.

	* c128/c128mmu.c (mmu_store): Use
	`vicii_handle_pending_alarms_external_write()'.

	* vdc/vdc-mem.c (vdc_store): Use RMW flag to calculate write
	cycles, added comment.

2006-06-23  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/console.c: Make sure the position of the current
	input line is adjusted whenever the screen is scrolled. This
	fixes a bug when resizing the console windows from bigger to
	smaller. Without this fix, the cursor remains outside of the
	visible area.

2006-06-23  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.16.

	* c128/c128fastiec.c (c128fastiec_init, iec_fast_cpu_write):
	Added four drive support.

	* c128/c128fastiec.c, c128/c128fastiec.h, c128/c128cia1.c,
	c128/c128mmu.c: Renamed fast iec functions.

	* c64/psid.c, diskimage/fsimage.c, tape/t64.c, tape/tap.c,
	tape/tape-snapshot.c, vic20/vic20cartridge.c, autostart.c,
	zfile.c, zfile.h, snapshot.c: Renamed zfile functions.

	* c64/cart/final.c, c64/plus60k.c, c64/ramcart.c,
	c64/plus256k.c, c64/georam.c, c64/c64_256k.c, cbm2/cbm2cia1.c,
	cbm2/cbm2tpi2.c, plus4/plus4memhannes256k.c,
	plus4/plus4memcsory256k.c, c64/c64.c, c64/cart/expert.c,
	c64/cart/supersnapshot.c, c64/cart/delaep256.c,
	c64/cart/delaep7x8.c, c64/cart/rexep256.c: Updated includes.

	* c64/c64io.c, c64/c64io.h, c64/c64meminit.c, c64/c64mem.c,
	c128/c128meminit.c, c128/z80mem.c, c128/c128mem.c: Renamed
	c64io functions.

	* fsdevice/fsdevice.c, fsdevice.h, init.c, machine.c,
	fsdevice/fsdevice-close.c, fsdevice/fsdevice-open.c,
	fsdevice/fsdevice-read.c, fsdevice/fsdevice-cmdline-options.c,
	fsdevice/fsdevicetypes.h, fsdevice/fsdevice-flush.c: Allocate
	buffer and structs at runtime.

2006-06-22  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/vsyncarch.c, arch/unix/vsyncarch.c,
	arch/win32/vsyncarch.c: ui_dispatch_events isn't called in
	vsyncarch_presync but in vsyncarch_postsync to keep the
	order of history playback mode where event alarms are
	executed after the drives vsync.

2006-06-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.15.

	* drive/ieee/fdc.c (fdc_detach_image): Fixed warning.

	* diskimage.h, diskimage/fsimage-create.c,
	diskimage/fsimage-gcr.c, diskimage/fsimage-probe.c,
	diskimage/fsimage.c, diskimage/rawimage.c, c1541.c
	[disk_image_t]: Use a union for private media structs.

	* c64/c64-resources.c, c128/c128-resources.c,
	vic20/vic20-resources.c, pet/pet-resources.c,
	cbm2/cbm2-resources.c, plus4/plus4-resources.c, pet/petpia1.c,
	pet/petpia2.c, pet/petvia.c, pet/petiec.c, c64/c64tpi.c,
	c64/c64cia2.c, c128/c128cia1.c, cbm2/cbm2tpi1.c,
	cbm2/cbm2iec.c, cbm2/cbm2cia1.c, c64/c64iec.c,
	plus4/plus4iec.c, vic20/vic20via1.c, vic20/vic20via2.c,
	vic20/vic20ieeevia1.c, vic20/vic20ieeevia2.c,
	plus4/plus4mem.c, c64/cart/stb.c, arch/unix/rs232.c,
	arch/unix/uinetplay.c, plus4/plus4memhannes256k.c,
	plus4/plus4memcsory256k.c, fileio/fileio.c: Updated includes.

2006-06-19  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/intl.c, arch/amigaos/intl.h,
	arch/amigaos/make-bindist.sh, arch/amigaos/mui/uiacia.c,
	arch/amigaos/mui/uic64_256k.c,
	arch/amigaos/mui/uicbm2settings.c,
	arch/amigaos/mui/uidatasette.c, arch/amigaos/mui/uigeoram.c,
	arch/amigaos/mui/uipetreu.c, arch/amigaos/mui/uiplus256k.c,
	arch/amigaos/mui/uiplus60k.c, arch/amigaos/mui/uiramcart.c,
	arch/amigaos/mui/uireu.c, arch/amigaos/mui/uirs232user.c,
	arch/amigaos/mui/uivic20mem.c, arch/amigaos/mui/uivicii.c,
	arch/amigaos/video.c: Added ppc-aros support.

2006-06-17  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/intl.c, arch/amigaos/intl.h,
	arch/amigaos/mui/uisound.c, arch/amigaos/mui/uivicii.c,
	arch/amigaos/uiattach.c: Fixed some intl support function
	calls and added some new items.

	* arch/amigaos/screenshot.c: Fixed an uninited variable that
	caused 'garbage' at the beginning of the screenshot file name.

	* arch/amigaos/ui.c: Fixed window->UserPort so that it won't
	crash when switching screens/resolutions.

	* arch/amigaos/video.c: Fixed the rendering style and color
	routines for the AROS port to make it work properly, thanx to
	Kalamatee for help on this.

2006-06-12  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* monitor/mon_file.c: mon_file_open() returns -1 now if the
	drive does not exist. This prevents an error if people use the
	old format for the "load", "l" command, for example, 'l "file"
	c000, which resulted in a hangup of the system.

2006-06-11  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.14.

	* video/video-render-2x2.c, video/renderscale2x.c,
	video/renderscale2x.h: Fixed prototypes.

	* sounddrv/soundcoreaudio.c: Added Intel CoreAudio patch by
	Christian Vogelgsang.

2006-06-10  Andreas Matthies  <andreas.matthies@gmx.net>

	* attach.c (detach_disk_image), diskimage/diskimage.c
	(disk_image_media_destroy, disk_image_close),
	drive/iec/wd1770.c (wd1770_detach_image), drive/ieee/fdc.c
	(fdc_detach_image), vdrive/vdrive.c (vdrive_detach_image):
	Moved test for image set to the functions called here cause
	image isn't set after snapshot loading but we need to call
	drive_image_detach for correct detach_clk values.

	* drive/drive-snapshot.c (drive_snapshot_read_module):
	Remember the attach/detach_clk values read from snapshot
	and set them later to avoid changes triggered by attaching
	disk image or calling drive_enable.
	(drive_snapshot_write_image_module): Write NOIMAGE module
	if no image is attached.
	(drive_snapshot_read_image_module): If NOIMAGE module is
	present call file_system_detach_disk.

2006-06-07  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/intl.c, arch/amigaos/intl.h,
	arch/amigaos/joy.c, arch/amigaos/joyll.c,
	arch/amigaos/mui/uidrivec128.c,
	arch/amigaos/mui/uidrivec64vic20.c,
	arch/amigaos/mui/uidrivepetcbm2.c,
	arch/amigaos/mui/uidriveplus4.c, arch/amigaos/mui/uigeoram.c,
	arch/amigaos/mui/uijoystick.c,
	arch/amigaos/mui/uijoystickll.c, arch/amigaos/mui/uipetreu.c,
	arch/amigaos/mui/uiplus256k.c, arch/amigaos/mui/uiplus60k.c,
	arch/amigaos/mui/uiram.c, arch/amigaos/mui/uiramcart.c,
	arch/amigaos/mui/uireu.c, arch/amigaos/mui/uirs232user.c,
	arch/amigaos/mui/uisid.c, arch/amigaos/mui/uisound.c,
	arch/amigaos/mui/uivic20mem.c, arch/amigaos/mui/uivicii.c,
	arch/amigaos/uiapi.c: Finished the intl support for the
	AmigaOS port, swedish translation help by Johan Samuelsson
	<spot@triad.se>.

2006-06-03  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/intl.c, arch/amigaos/intl.h,
	arch/amigaos/mui/filereq.c, arch/amigaos/mui/mui.c,
	arch/amigaos/mui/mui.h, arch/amigaos/mui/uiacia.c,
	arch/amigaos/mui/uic64_256k.c,
	arch/amigaos/mui/uicbm2settings.c,
	arch/amigaos/mui/uidatasette.c,
	arch/amigaos/mui/uidrivec128.c, arch/amigaos/screenshot.c,
	arch/amigaos/statusbar.c, arch/amigaos/ui.c,
	arch/amigaos/uic64cart.c, arch/amigaos/uicart.c,
	arch/amigaos/uicart.h, arch/amigaos/uicmdline.c,
	arch/amigaos/vic20ui.c, arch/amigaos/vsyncapi.c: Continued the
	intl support for the AmigaOS ports.

	* arch/win32/resc128.rc, arch/win32/resc64.rc: Fixed some
	translations.

2006-05-30  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/archdep.c: Fixed some path issues, patch
	provided by Harry Sintonen <sintonen@iki.fi>.

	* arch/amigaos/c128uires.h, arch/amigaos/c64uires.h,
	arch/amigaos/cbm2uires.h, arch/amigaos/petuires.h,
	arch/amigaos/plus4uires.h, arch/amigaos/vic20uires.h: Added
	the fullscreen statusbar and overlay support toggles to the
	menus.

	* arch/amigaos/intl.c, arch/amigaos/intl.h: Fixed default
	locale detection and added the fullscreen statusbar and
	overlay items.

	* arch/amigaos/kbd.c: Deleted unneeded memset, patch provided
	by Harry Sintonen <sintonen@iki.fi>.

	* arch/amigaos/mousedrv.c, arch/amigaos/mousedrv.h: Fixed
	"1351 mouse emulation" inputhandler crash, now removes the
	"1351 mouse emulation" inputhandler when VICE quits, patch
	provided by Harry Sintonen <sintonen@iki.fi>.

	* arch/amigaos/mui/filereq.c: Fixed the custom file requester
	not to list RAM: among the initial directory contents, patch
	provided by Harry Sintonen <sintonen@iki.fi>.

	* arch/amigaos/private.h, arch/amigaos/ui.c,
	arch/amigaos/ui.h, arch/amigaos/uiapi.c, arch/amigaos/uires.h,
	arch/amigaos/video.c, arch/amigaos/videoarch.h: Added overlay
	support for MorphOS, patch provided by Harry Sintonen
	<sintonen@iki.fi>.

	* arch/unix/x11/dga2.c, arch/unix/x11/video.c,
	video/render1x1.c, video/render1x1.h, video/render1x1pal.c,
	video/render1x1pal.h, video/render1x2.c, video/render1x2.h,
	video/render2x2.c, video/render2x2.h, video/render2x2pal.c,
	video/render2x2pal.h, video/video-render-1x2.c,
	video/video-render-2x2.c. video/video-render-pal.c,
	video/video-render.c, src/video.h: Moved some global variables
	to a new structure that makes future expansion easier, patch
	provided by Harry Sintonen <sintonen@iki.fi>.

	* arch/amigaos/screenshot.c: Fixed for non v38 asl names.

	* arch/amigaos/statusbar.c: Added the fullscreen statusbar
	toggle, patch provided by Harry Sintonen <sintonen@iki.fi>.

	* video/video-color.c: Fixed generic problem in VICE; multiple
	windows would corrupt each other's palette, and fixed RGB to
	YCbCr conversion routine, patch provided by Harry Sintonen
	<sintonen@iki.fi>.

2006-05-28  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.13.

	* drive/rotation.c (head_next2_offset, head_next_offset,
	head_current_offset, head_previous_offset,
	head_previous2_offset, peek_next2, peek_next, peek_current,
	peek_previous, peek_previous2, data_write, data_read): New
	functions.

2006-05-28  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/Makefile.am, arch/amigaos/screenshot.c,
	arch/amigaos/screenshot.h: Added screenshot support for the
	AmigaOS ports.

	* arch/amigaos/intl.c, arch/amigaos/intl.h,
	arch/amigaos/joyai.c, arch/amigaos/joyll.c,
	arch/amigaos/ui.c, src/arch/amigaos/uiapi.c,
	arch/amigaos/uiattach.c, arch/amigaos/uic64cart.c,
	arch/amigaos/uicart.c: Continued the intl support for the
	AmigaOS ports.

	* arch/amigaos/statusbar.c, arch/amigaos/statusbar.h,
	arch/amigaos/vsyncapi.c: Added statusbar text support for the
	AmigaOS ports.

2006-05-26  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/Makefile.am, arch/amigaos/c128ui.c,
	arch/amigaos/c128uires.h, arch/amigaos/c64ui.c,
	arch/amigaos/c64uires.h, arch/amigaos/cbm2ui.c,
	arch/amigaos/cbm2uires.h, arch/amigaos/intl.c,
	arch/amigaos/intl.h, arch/amigaos/petui.c,
	arch/amigaos/petuires.h, arch/amigaos/plus4ui.c,
	arch/amigaos/plus4uires.h, src/arch/amigaos/ui.c,
	arch/amigaos/uiapi.c, arch/amigaos/uicmdline.c,
	arch/amigaos/uires.h, arch/amigaos/vic20ui.c,
	arch/amigaos/vic20uires.h, translate.c: Added intl support for
	all AmigaOS flavors.

	* network.c: Added netplay support for MorphOS, patch provided
	by Harry Sintonen <sintonen@iki.fi>.

2006-05-24  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/ahi.c: Fixed to not use AmigaOS4 specific
	function calls.

	* arch/amigaos/amigamain.c: Fixed to use the dos/dos.h include
	for all AmigaOS flavors.

	* arch/amigaos/archdep.c, arch/amigaos/console.c,
	arch/amigaos/uimon.c: Fixed for MorphOS, patch provided by
	Harry Sintonen <sintonen@iki.fi>.

	* arch/amigaos/joyll.c: Fixed the accidental mixup of left and
	right direction.

2006-05-22  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/ahi.c: Fixed ahi audio to resync if
	doublebuffering drops out of sync, and fixed race condition at
	subtask create and exit, patch provided by Harry Sintonen
	<sintonen@iki.fi>.

	* arch/amigaos/amigamain.c: Default minimum stack of 512KB for
	MorphOS, patch provided by Harry Sintonen <sintonen@iki.fi>.

	* arch/amigaos/console.c, arch/amigaos/mui/mui.h,
	arch/amigaos/ui.c, arch/amigaos/ui.h: Added missing includes,
	patch provided by Harry Sintonen <sintonen@iki.fi>.

	* arch/amigaos/joyll.c: Fixed lowlevel joystick code, patch
	provided by Harry Sintonen <sintonen@iki.fi>.

	* arch/amigaos/mui/filereq.c, arch/amigaos/mui/mui.c: Fixed
	$VER, patch provided by Harry Sintonen <sintonen@iki.fi>.

	* arch/amigaos/private.h, arch/amigaos/vsyncapi.c: Added
	proper timer code for MorphOS, no more sync problems, patch
	provided by Harry Sintonen <sintonen@iki.fi>.

	* arch/amigaos/timer.c, arch/amigaos/timer.h: Added proper
	timer code for MorphOS, and simplified by using similar api
	for all AmigaOS platforms, patch provided by Harry Sintonen
	<sintonen@iki.fi>.

	* arch/amigaos/uilib.c: Commented out not yet used functions.

	* arch/amigaos/video.c: Fixed a read access to address
	0xffffffff when opening screen (SA_Pens tag was used wrong),
	patch provided by Harry Sintonen <sintonen@iki.fi>.

2006-05-21  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/mui/filereq.c: Fix for the hook functions for
	MorphOS, patch provided by Harry Sintonen <sintonen@iki.fi>.

	* arch/amigaos/statusbar.c: Fix for the font functions for
	MorphOS, patch provided by Harry Sintonen <sintonen@iki.fi>.

	* cartconv.c: Signed char fix for cartconv, patch provided by
	Harry Sintonen <sintonen@iki.fi>.

2006-05-20  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/info-files/VICE.info,
	arch/amigaos/info-files/x128.exe.info,
	arch/amigaos/info-files/x64.exe.info,
	arch/amigaos/info-files/xcbm2.exe.info,
	arch/amigaos/info-files/xpet.exe.info,
	arch/amigaos/info-files/xplus4.exe.info,
	arch/amigaos/info-files/xvic.exe.info: Added classic icon and
	newicon support.

2006-05-20  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/make-bindist.sh: Fixed the AROS strip commands.

2006-05-19  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/c128ui.c, arch/amigaos/c64ui.c,
	arch/amigaos/cbm2ui.c, arch/amigaos/petui.c,
	arch/amigaos/vic20ui.c: Moved the EmuID toggles to the machine
	specific ui files.

	* arch/amigaos/console.c: Fixed some issues.

	* arch/amigaos/fullscreenarch.h, arch/amigaos/statusbar.c,
	arch/amigaos/ui.c, arch/amigaos/ui.h, arch/amigaos/uiapi.c,
	arch/amigaos/video.c: Added changes and fixes as provided by
	Mathias Roslund.

2006-05-18  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/ahi.c: Fixed the task creation to indicate that
	a ppc task needs to be created, thereby fixing ahi for
	morphos.

	* arch/amigaos/console.c, arch/amigaos/ui.h,
	arch/amigaos/uiapi.c: Fixed the console/monitor code and added
	the cpu-jam dialog.

	* arch/amigaos/make-bindist.sh: Changed to be clearer about
	the flavor that the binary was built for.

2006-05-16  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* sounddrv/soundsdl.c: Added a swab() function for big endian
	platforms that don't have the swab() function.

2006-05-15  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* c1541.c: Ugly patch to print out if a disk image contains an
	error block or not. This should be replaced with a cleaner
	solution in the future.

2006-05-15  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* cartconv.c: Changed prototype of write_chip_package() and
	type of insert_size (in save_delaep64_crt()) to avoid warnings
	with MSVC.

	* network.c: Changed type of server_port, to avoid warnings
	with MSVC.

	* arch/win32/intl.c: Cast the output of MAKELANGID() to WORD
	to avoid warning with MSVC. Although MS states otherwise,
	MAKELANGID() does NOT return a WORD, but an int.

	* arch/win32/parsid.c: Changed type of parsid_ctrport, and
	prototypes of parsid_outb() and parsid_inb() to avoid warnings
	with MSVC.

	* arch/win32/ui.c: Changed prototype of ui_set_language() to
	avoid warnings with MSVC.

	* c64/cart/actionreplay.c, c64/cart/atomicpower.c,
	c64/cart/supersnapshot.c: Cast first parameter to avoid
	warning with MSVC.

	* gfxoutputdrv/iffdrv.c, gfxoutputdrv/pcxdrv.c: Cast second
	parameter to util_word_to_le_buf() to avoid warnings with
	MSVC.

	* monitor/mon_parse.y: Cast in "reg_asgn: register EQUALS
	number" to avoid warning with MSVC.

	* serial/realdevice.c: Cast drive address and secondary
	address to calls for cbm_close(), cbm_listen(), and
	cbm_talk(), to avoid warnings with MSVC.

2006-05-15  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/Makefile.am, arch/amigaos/c128uires.h,
	arch/amigaos/c64uires.h, arch/amigaos/cbm2uires.h,
	arch/amigaos/joy.c, arch/amigaos/joyll.c,
	arch/amigaos/joyll.h, arch/amigaos/mui/uijoystick.c,
	arch/amigaos/mui/uijoystickll.c,
	arch/amigaos/mui/uijoystickll.h, arch/amigaos/petuires.h,
	arch/amigaos/plus4uires.h, arch/amigaos/ui.c,
	arch/amigaos/uires.h, arch/amigaos/vic20uires.h: Added
	joystick support using the lowlevel library system.

	* arch/amigaos/README.AMIGA,
	arch/amigaos/README.OS4: Renamed README.OS4 to README.AMIGA
	and added information to the file.

	* arch/amigaos/make-bindist.sh: Fixed some typos.

	* arch/amigaos/uiapi.c: Implemented the ui_error and
	ui_message functions for the AmigaOS port.

2006-05-14  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.12.

	* c64/cart/ide64.c: Added IO source fix from soci.

	* gcr.c, gcr.h, drive/rotation.c: Added optimization fixes
	written by Wolfgang Moser.

2006-05-12  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/res.rc: Fixed 2 duplicate lines.

2006-05-11  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/amigamain.c, arch/amigaos/archdep.c,
	arch/amigaos/make-bindist.sh, arch/amigaos/mui/mui.h,
	arch/amigaos/signals.c, arch/amigaos/timer.c,
	arch/amigaos/timer.h, arch/amigaos/video.c, c1541.c,
	cartconv.c, gfxoutputdrv/pngdrv.c, ioutil.c,
	vic20/vic20cartridge.c, zfile.c: Added AROS support for the
	AmigaOS port.

2006-05-11  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/mousedrv.c, arch/amigaos/mui/filereq.c,
	arch/amigaos/video.c: Added MorphOS support.

	* arch/amigaos/private.h, arch/amigaos/vsyncapi.c: Got rid of
	some unneeded includes.

	* arch/amigaos/timer.c: Fixed some issues.

2006-05-11  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/README.OS4: Added previously missing file.

	* arch/amigaos/ahi.c, arch/amigaos/amigamain.c,
	arch/amigaos/archdep.c, arch/amigaos/catweaselmkiii.c,
	arch/amigaos/joy.c, arch/amigaos/joyai.c,
	arch/amigaos/mui/filereq.c, arch/amigaos/mui/mui.c,
	arch/amigaos/mui/mui.h, arch/amigaos/mui/uiacia.c,
	arch/amigaos/mui/uic64_256k.c,
	arch/amigaos/mui/uicbm2settings.c,
	arch/amigaos/mui/uidatasette.c,
	arch/amigaos/mui/uidrivec128.c,
	arch/amigaos/mui/uidrivec64vic20.c,
	arch/amigaos/mui/uidrivepetcbm2.c,
	arch/amigaos/mui/uidriveplus4.c, arch/amigaos/mui/uigeoram.c,
	arch/amigaos/mui/uijoystick.c, arch/amigaos/mui/uinetwork.c,
	arch/amigaos/mui/uipetreu.c, arch/amigaos/mui/uiplus256k.c,
	arch/amigaos/mui/uiplus60k.c, arch/amigaos/mui/uiram.c,
	arch/amigaos/mui/uiramcart.c, arch/amigaos/mui/uireu.c,
	arch/amigaos/mui/uirs232user.c, arch/amigaos/mui/uisid.c,
	arch/amigaos/mui/uisound.c, arch/amigaos/mui/uivic20mem.c,
	arch/amigaos/mui/uivicii.c, arch/amigaos/private.h,
	arch/amigaos/statusbar.c, arch/amigaos/timer.c,
	arch/amigaos/timer.h, arch/amigaos/ui.c,
	arch/amigaos/vsyncapi.c: Added 'classic AmigaOS' support.

	* arch/amigaos/make-bindist.sh: Updated to support
	cross-compilers that add the .exe extension.

	* arch/amigaos/video.c: Added Cybergraphics support (with lots
	of help from Itix).

2006-05-05  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/Makefile.am, arch/amigaos/c128ui.c,
	arch/amigaos/c128uires.h, arch/amigaos/c64ui.c,
	arch/amigaos/c64uires.h, arch/amigaos/cbm2ui.c,
	arch/amigaos/cbm2uires.h, arch/amigaos/mui/uiacia.c,
	arch/amigaos/mui/uiacia.h, arch/amigaos/mui/uic64_256k.c,
	arch/amigaos/mui/uic64_256k.h,
	arch/amigaos/mui/uicbm2settings.c,
	arch/amigaos/mui/uicbm2settings.h,
	arch/amigaos/mui/uidatasette.c,
	arch/amigaos/mui/uidatasette.h, arch/amigaos/mui/uigeoram.c,
	arch/amigaos/mui/uigeoram.h, arch/amigaos/mui/uipetreu.c,
	arch/amigaos/mui/uipetreu.h, arch/amigaos/mui/uiplus256k.c,
	arch/amigaos/mui/uiplus256k.h, arch/amigaos/mui/uiplus60k.c,
	arch/amigaos/mui/uiplus60k.h, arch/amigaos/mui/uiram.c,
	arch/amigaos/mui/uiram.h, arch/amigaos/mui/uiramcart.c,
	arch/amigaos/mui/uiramcart.h, arch/amigaos/mui/uireu.c,
	arch/amigaos/mui/uireu.h, arch/amigaos/mui/uirs232user.c,
	arch/amigaos/mui/uirs232user.h, arch/amigaos/mui/uivic20mem.c,
	arch/amigaos/mui/uivic20mem.h, arch/amigaos/mui/uivicii.c,
	arch/amigaos/mui/uivicii.h, arch/amigaos/petui.c,
	arch/amigaos/petuires.h, arch/amigaos/plus4ui.c,
	arch/amigaos/plus4uires.h, arch/amigaos/ui.c,
	arch/amigaos/uic64cart.c, arch/amigaos/uires.h,
	arch/amigaos/vic20ui.c, arch/amigaos/vic20uires.h: Added some
	new dialogs to the AmigaOS ui.

	* arch/amigaos/make-bindist.sh, arch/amigaos/make-dist.sh:
	Renamed make-dist.sh to make-bindist.sh.

2006-05-02  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/amigaos/Makefile.am: Uncommented the 'info-files'
	directory files and added the amigaos specific make-dist.sh
	script.

	* arch/amigaos/make-dist.sh: Added for the amigaos port.

	* arch/beos/make-bindist.sh, arch/msdos/make-bindist.sh,
	arch/win32/make-bindist.sh: Added the 'make bindistzip'
	functionality.

2006-05-01  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.11.

	* c64/c64.c [c64_serial_traps]: Moved traps after SEI.

	* c128/c128.c [c128_serial_traps] Changed likewise.

	* arch/amigaos/Makefile.am: Do not reference files from the
	directory `info-files' because it is missing.

2006-05-01  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/Makefile.am: Added the amigaos directory for the
	AmigaOS4 port.

	* arch/amigaos/Makefile.am, src/arch/amigaos/Makefile.in,
	arch/amigaos/README.OS4, arch/amigaos/ahi.c,
	arch/amigaos/ahi.h, arch/amigaos/amigamain.c,
	arch/amigaos/archdep.c, arch/amigaos/archdep.h,
	arch/amigaos/blockdev.c, arch/amigaos/c128ui.c,
	arch/amigaos/c128uires.h, arch/amigaos/c64ui.c,
	arch/amigaos/c64uires.h, arch/amigaos/catweaselmkiii.c,
	arch/amigaos/cbm2ui.c, arch/amigaos/cbm2uires.h,
	arch/amigaos/console.c, arch/amigaos/fullscreen.c,
	arch/amigaos/fullscreenarch.h, arch/amigaos/hardsid.c,
	arch/amigaos/joy.c, arch/amigaos/joy.h, arch/amigaos/joyai.c,
	arch/amigaos/joyai.h, arch/amigaos/kbd.c, arch/amigaos/kbd.h,
	arch/amigaos/make-bindist.sh, arch/amigaos/memory.h,
	arch/amigaos/mousedrv.c, arch/amigaos/mousedrv.h,
	arch/amigaos/mui/filereq.c, arch/amigaos/mui/filereq.h,
	arch/amigaos/mui/mui.c, arch/amigaos/mui/mui.h,
	arch/amigaos/mui/uidrivec128.c,
	arch/amigaos/mui/uidrivec128.h,
	arch/amigaos/mui/uidrivec64vic20.c,
	arch/amigaos/mui/uidrivec64vic20.h,
	arch/amigaos/mui/uidrivepetcbm2.c,
	arch/amigaos/mui/uidrivepetcbm2.h,
	arch/amigaos/mui/uidriveplus4.c,
	arch/amigaos/mui/uidriveplus4.h,
	arch/amigaos/mui/uijoystick.c,
	arch/amigaos/mui/uijoystick.h, arch/amigaos/mui/uinetwork.c,
	arch/amigaos/mui/uinetwork.h, arch/amigaos/mui/uisid.c,
	arch/amigaos/mui/uisid.h, arch/amigaos/mui/uisound.c,
	arch/amigaos/mui/uisound.h, arch/amigaos/petui.c,
	arch/amigaos/petuires.h, arch/amigaos/plus4ui.c,
	arch/amigaos/plus4uires.h, arch/amigaos/pointer.c
	arch/amigaos/pointer.h, arch/amigaos/private.h,
	arch/amigaos/rs232.c, arch/amigaos/signals.c,
	arch/amigaos/statusbar.c, arch/amigaos/statusbar.h,
	arch/amigaos/tfearch.c, arch/amigaos/timer.c,
	arch/amigaos/timer.h, arch/amigaos/types.h, arch/amigaos/ui.c,
	arch/amigaos/ui.h, arch/amigaos/uiapi.c,
	arch/amigaos/uiattach.c, arch/amigaos/uiattach.h,
	arch/amigaos/uic64cart.c, arch/amigaos/uic64cart.h,
	arch/amigaos/uicart.c, arch/amigaos/uicart.h,
	arch/amigaos/uicmdline.c, arch/amigaos/uicolor.c,
	arch/amigaos/uilib.c, arch/amigaos/uilib.h,
	arch/amigaos/uimon.c, arch/amigaos/uires.h,
	arch/amigaos/vic20ui.c, arch/amigaos/vic20uires.h,
	arch/amigaos/video.c, arch/amigaos/videoarch.h,
	arch/amigaos/vsidui.c, arch/amigaos/vsyncapi.c: Added the
	AmigaOS4 port by Mathias Roslund <vice.emu@amidog.se>.

	* arch/beos/make-bindist.sh, arch/msdos/make-bindist.sh,
	arch/unix/qnx/make-bindist.sh,
	arch/unix/solaris/make-bindist.sh,
	arch/win32/make-bindist.sh: Added changes needed because of
	the addition of the AmigaOS4 port.

	* keyboard.c: Fix for AmigaOS4 where it is possible to get
	keycode 0 (provided by Mathias Roslund <vice.emu@amidog.se>).

	* network.c: Preparation for possible AmiTCP stack support,
	currently disabled though.

	* sound.c, sound.h, sounddrv/Makefile.am,
	sounddrv/soundahi.c, sounddrv/soundahi.c: Added support for
	the Amigaos4 AHI sound driver (provided by Mathias Roslund
	<vice.emu@amidog.se>).

	* util.c: Added a workaround for the AmigaOS4 kind of paths
	(provided by Mathias Roslund <vice.emu@amidog.se>).

2006-04-30  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/c64cart.dsp: Added missing file.

	* arch/win32/res.rc: Increased size of server textfield.

	* drive/drive-snapshot.c (drive_snapshot_write_module):
	Changed order of byte_ready_* and attach_detach_clk in the
	snapshot to fit the order they are read (I introduced these
	members with wrong order in 1.15.12).

	* event.c (event_record_start_trap): In
	EVENT_START_MODE_PLAYBACK set the next event to NULL after the
	trailing events are cut.

2006-04-30  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/msvc/config.h: Added the HAVE_NTOHx defines for
	msvc.

2006-04-28  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.10.

	* serial/serial-trap.c (serial_trap_attention): Set TrapDevice
	even if the trap is not taken; needed for other traps.

	* diskimage/fsimage.c, vdrive/vdrive-command.c, cbmdos.h: Use
	IPE constant defines.

	* c64/cart/actionreplay.c, c64/cart/atomicpower.c,
	c64/cart/c64cartmem.c, c64/cart/ide64.c,
	c64/cart/retroreplay.c, c64/cart/supersnapshot.c: Added IDE64
	ultimax fix provided by soci.

2006-04-28  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/beos/Makefile.am, arch/beos/make-bindist.sh: Added the
	beos specific binary distribution making functionality.

	* arch/msdos/Makefile.am, arch/msdos/make-bindist.sh: Added
	the msdos specific binary distribution making functionality.

	* arch/unix/Makefile.am: Added the qnx and solaris specific
	binary distribution making functionality.

	* arch/unix/qnx/make-bindist.sh: Added the qnx specific binary
	distribution making functionality.

	* arch/unix/solaris/make-bindist.sh,
	arch/unix/solaris/make_package.pl: Added the solaris specific
	binary distribution making functionality.

	* arch/win32/Makefile.am, arch/win32/make-bindist.sh: Added
	the win32 specific binary distribution making functionality.

2006-04-27  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* network.c: Added a fix for the optionally missing
	htons/htonl functions.

2006-04-25  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* translate.c: Fixed a dutch translation.

2006-04-25  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c64/c64io.c, c64/c64io.h, c64/cart/Makefile.am,
	c64/cart/c64cartmem.c, c64/cart/crt.c, c64/cart/mikroass.c,
	c64/cart/mikroass.h, cartconv.c, cartridge.h: Added support
	for the Mikro Assembler cartridge.

2006-04-23  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.9.

2006-04-22  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* core/ciacore.c: Make sure ICR bit 7 is set if FLG or SDR
	generate an interrupt. This fixes a bug with some custom RS232
	routines reported by path0s.

	* rs232drv/rsuser.c: Fixed some code which is only used when
	debugging is enabled. We take into account that "clk" was
	renamed to "maincpu_clk" some time before.

2006-04-22  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* cartconv.c: Added ifdefs for the unistd.h and string.h
	includes.

2006-04-22  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* c1541.c: If accessing drive 10 (or higher), c1541 crashes
	because a test if the drive is available does not check a
	pointer first. Problem reported by Wolfgang Moser.

2006-04-19  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* sound.c: Fixed some sound-driver problems.

2006-04-19  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c64/cart/Makefile.am, c64/cart/delaep64.pl: Deleted the dela
	ep64 perl script.

2006-04-14  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* translate.h: Fixed a small resid related issue.

2006-04-06  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/archdep.c, arch/unix/coproc.c, arch/unix/rs232.c,
	arch/unix/types.h, arch/unix/x11/renderxv.c,
	arch/unix/x11/renderxv.h, arch/unix/x11/video.c,
	arch/unix/x11/xaw/widgets/Canvas.c,
	arch/unix/x11/xaw/widgets/FileSel.c,
	arch/unix/x11/xaw/widgets/MultiList.c,
	arch/unix/x11/xaw/widgets/ScrList.c,
	arch/unix/x11/xaw/x11video.c, c64/c64.c, cbm2/cbm2.c,
	network.c, pet/pet.c, plus4/plus4.c, vic20/vic20.c: Added
	minix3 support.

2006-04-03  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/res.rc, c64/c64io.c, translate.c,
	translate.h: Updated some translations.

2006-04-03  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* cartconv.c: Fixed the signed/unsigned warning.

2006-04-02  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.8.

	* network.c (network_event_record): Fixed warning.

2006-04-01  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c64/c64-resources.c, c64/c64io.c, c64/c64io.h: Simpliefied
	and generalized some of the io-source routine and added the
	EmuID as an io-source.

2006-03-28  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c128/c128-resources.c, c64/c64-resources.c, : Got rid of the
	c64export stuff.

	* c64/c64_256k.c, c64/georam.c, c64/reu.c,
	sid/sid-resources.c, sid/sid.c: Got rid of the c64export stuff
	and added io source collision detection support.

	* c64/c64acia1.c, c64/c64io.c, c64/c64io.h, c64/c64tpi.c,
	c64/cart/actionreplay.c, c64/cart/atomicpower.c,
	c64/cart/c64cartmem.c, c64/cart/comal80.c,
	c64/cart/delaep256.c, c64/cart/delaep64.c,
	c64/cart/delaep7x8.c, c64/cart/epyxfastload.c,
	c64/cart/expert.c, c64/cart/final.c, c64/cart/generic.c,
	c64/cart/ide64.c, c64/cart/kcs.c, c64/cart/magicformel.c,
	c64/cart/rexep256.c, c64/cart/ross.c, c64/cart/stb.c,
	c64/cart/supergames.c, c64/cart/supersnapshot.c,
	c64/cart/zaxxon.c, c64/ramcart.c: Added io source collision
	detection support.

	* c64/c64export.c, c64/c64export.h: Got rid of the i/o(-1/2)
	elements.

	* c64/cart/retroreplay.c: Added io source collision detection
	support, fixed REU compatibility and fixed RR-net expansion
	address decoding.

	* c64/tfe.c, c64/tfe.c: Got rid of the c64export stuff, added
	io source collision detection support and fixed rr-net
	intergration.

	* cbm2/cbm2.c: Got rid of the c64export stuff and added a
	dummy io_source.

2006-03-26  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* c1541.c: Make pager only for pressing CR only if it is
	running in interactive mode.

2006-03-25  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/res.rc: Added network control checkboxes
	to network dialog.

	* arch/win32/resdialogs.txt: Added dialog control IDs.

	* arch/win32/uinetwork.c (init_network_dialog): Initialize
	checkboxes for the network control.
	(set_resources): Update NetworkControl resource.

	* network.c: Added new resource NetworkControl.
	(network_event_record, network_attach_image): Deny network
	event if the corresponding bit in the NetworkControl is clear.

	* network.h: Added some NETWORK_CONTROL names.

2006-03-19  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* Makefile.am, arch/win32/Makefile.am,
	arch/win32/cartconv.dsp, arch/win32/vice.dsw,
	cartconv.c: Added a c64 cartridge conversion program.

2006-03-12  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.7.

2006-02-23  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/msdos/parsid.c, arch/unix/parsid.c,
	arch/win32/parsid.c: Cleaned up the sources.

2006-02-22  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/uimediafile.c: Save Media (Alt-c) Dialog crashed
	because of missing update function.
	To replicate the crash:
	- FFMPEG driver selected,
	- mp3/wav format instead of avi,
	- SHIFT-TAB (or reclick on FFMPEG driver)
	- TAB x 2 (or click the erroneously enabled selector "(default)")

	Now format/bitrate selectors are always dimmed when necessary.
	Patch by iAN CooG <ian7102@libero.it>.

2006-02-23  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c64/cart/Makefile.am, c64/cart/delaep64.pl: Fixed the make
	dist problem.

2006-02-20  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* sid/sid-cmdline-options.c: Fixed some text elements.

	* sid/sid-resources.c: Fixed a port assignment issue.

2006-02-19  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.6.

	* drive/drive.c (drive_init, drive_reset): Clear new led clock
	variables.  (drive_led_update): New function.

	* drive/drive.h: Added led clock variables.

	* drive/drive-overflow.c (drive_clk_overflow_callback): Added
	new clock variables to overflow code.

	* drive/iecieee/via2d.c, drive/iec/cia1581d.c,
	drive/ieee/riot2d.c, drive/tcbm/glue1551.c: Set new led clock
	variables.

	* uiapi.h, arch/unix/x11/xaw/x11ui.c, arch/win32/ui.c,
	arch/unix/x11/gnome/x11ui.c, arch/os2/ui.c, arch/msdos/ui.c,
	arch/riscos/ui.c (ui_display_drive_led): Switched drive led
	api from binary values to pwm values.

2006-02-19  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* petcat.c: Added VIC20 Basic 4.0 and 5.0  extension support.

2006-02-18  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* Makefile.am, arch/msdos/Makefile.am, arch/msdos/parsid.c,
	arch/msdos/uisid.c, arch/unix/Makefile.am,
	arch/unix/parsid.c, arch/unix/uisid.c,
	arch/win32/Makefile.am, arch/win32/arch.dsp,
	arch/win32/msvc/config.h, arch/win32/parsid.c,
	arch/win32/uisid.c, arch/win32/x128.dsp, arch/win32/x64.dsp,
	arch/win32/xcbm2.dsp, parsid.h, sid/sid-cmdline-options.c,
	sid/sid-resources.c, sid/sid.c, sid/sid.h, translate.c: Added
	experimental ParSID support.

2006-02-13  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c64/cart/Makefile.am, c64/cart/delaep64.pl: Made the
	delaep64.pl a binary script in the automake file and fixed a
	small 'game' line issue.

2006-02-13  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* petcat.c: Fixed a warning.

2006-02-11  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.5.

	* 6510core.c: Fixed some typos.

	* c64/cart/delaep64.c (delaep64_crt_attach): Removed unused
	variable.

2006-02-03  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* petcat.c: Added Blarg support.

2006-02-03  Andreas Matthies  <andreas.matthies@gmx.net>

	* autostart.c (autostart_snapshot, autostart_tape,
	autostart_disk, autostart_prg, autostart_autodetect,
	autostart_device): Disabled in network mode.

	* network.c (network_disconnect): Let a connected server
	return to listen mode.

	* vsync.c: Fixed event_relevant for Speed resource.
	(vsync_do_vsync): Don't increase skipped_frames if network
	transfer is delayed, this leads to incorrect fps values.

2006-02-02  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* petcat.c: Added Easy Basic support.

2006-02-02  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* petcat.c: Added Magic Basic support.

2006-02-01  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c64/cart/kcs.c: Fixed an incorrect behaviour of the
	emulation.

2006-01-30  Michael Klein  <michael.klein@puffin.lb.shuttle.de>

	* c1541.c, petcat.c: Eliminate some warnings.

2006-01-30  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.4.

	* 6510core.c: Fixed some warnings.

	* c1541.c, petcat.c: Added dummy function
	`network_connected()'.

2006-01-30  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/Makefile.am: Added 'uiprinteriecplus4.c' to
	resolve a resource issue involving the userport, which the
	plus4 doesn't have.

	* arch/unix/plus4ui.c: Added hannes and csory memory
	expansions support and fixed a resource issue involving the
	userport, which the plus4 doesn't have.

	* arch/unix/uiperipheraliec.c, arch/unix/uiperipheraliec.h,
	arch/unix/uiprinteriecplus4.c, arch/unix/uiprinteriecplus4.h:
	Fixed a resource issue involving the userport, which the plus4
	doesn't have.

	* arch/win32/c128ui.c, arch/win32/c64ui.c,
	arch/win32/cbm2ui.c, arch/win32/petui.c, arch/win32/ui.c,
	arch/win32/vic20ui.c: Put the 'EmuID' menu toggle in the
	machine specific list, because of xplus4 not using it.

	* arch/win32/plus4.dsp, arch/win32/resdialogs.txt,
	arch/win32/resplus4.rc, arch/win32/uiplus4mem.c,
	plus4/Makefile.am, plus4/plus4-cmdline-options.c,
	plus4/plus4-resources.c, plus4/plus4.c, plus4/plus4mem.c,
	plus4/plus4memcsory256k.c, plus4/plus4memcsory256k.h,
	plus4/plus4memhannes256k.c, plus4/plus4memhannes256k.h,
	plus4/plus4memlimit.c, translate.c, translate.h: Added hannes
	and csory memory expansions support.

	* c64/c64io.c: Fixed a cast.

2006-01-29  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/ui.c: Call vsync_suspend_speed_eval if
	fullscreen is toggled.

	* network.c (network_test_delay): Removed factor 2 from delay
	value as the vsync is more stable now in netplay mode.
	(network_server connect_trap, network_connect_client) Call
	vsync_suspend_speed_eval.

	* resources.c (resources_set_value, resources_toggle): Record
	the RES_SAME resources for server and client. This may change
	when network device management is introduced.

	* vsync.c (vsync_do_vsync): If vsync_hook() in network mode
	blocks longer than a frame shift next_frame_start and now to
	this frame. This lets the remote host get in time. Reenabled
	the sleep for client. Disabled the adjusting code in network
	mode.

2006-01-25  Marco van den Heuvel  <blackystardust68@yahoo.com>

        * c1541.c, petcat.c: Added some dummy functions to cope with
        Andreas M.'s recent changes.

2006-01-24  Andreas Matthies  <andreas.matthies@gmx.net>

	* c64/c64_256k.c, c64/plus256k.c, c64/plus60k.c: The resource
	function returns immedialtely if the resource doesn't change
	to avoid needless resets of the machine.

	* event.c, event.h: Added new EVENT_RESOURCE.
	(event_record_in_list): Removed test for recording or netplay
	(this is done in the calling functions already) and handles
	EVENT_RESOURCE.

	* network.c (network_server_connect_trap): Creates a list of
	resources that need to be the same, converts to buffer and
	sends to client.
	(network_client_connect_trap): Sets resources that need strict
	value, receives this buffer, converts to event list with
	resources and applies them.
	(network_start_server): Sets resources that need strict value.

	* resources.c, resources.h: Include event.h and network.h
	Added functions resource_create_event_data,
	resource_record_event, resources_set_value_internal,
	resources_set_value_event, resources_set_event_safe,
	resources_get_event_safe_list.
	(resources_set_value, resource_toggle): Records or rejects a
	resource change in netplay mode depending on event_relevant.

	* vsync.c (vsync_do_vsync): Don't delay in client mode (let
	the server sync). This should improve timing problems.

2006-01-24  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* petcat.c: Added Basic 7.1 support.

2006-01-24  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c64/cart/c64cartmem.c: Reverted the size of roml_banks back
	to the original.

	* c64/cart/rexep256.c: Simplified some things.

2006-01-23  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c64/cart/c64cartmem.c: Fixed some typos and upped the
	roml_banks size in preparation for my next (1 mb) cartridge
	support.

	* c64/cart/delaep64.c: Fixed the loader to accept 8kb or 32kb
	chip packets and corrected the way they were put in the	
	roml_banks.

2006-01-22  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.3.

	* lib/libffmpeg/*: Moved ffmpeg header files to here.

	* lib/Makefile.am: Added ffmpeg header files.

	* gfxoutputdrv/Makefile.am: Removed ffmpeg header files.

	* gfxoutputdrv/Makefile.am, arch/unix/Makefile.am,
	arch/win32/Makefile.am, arch/win32/gfxoutputdrv.dsp,
	arch/win32/arch.dsp: Added new ffmpeg include path.

	* c64/cart/rexep256.c: #include "c64mem.h".
	(rexep256_io2_store, rexep256_io2_read): Fixed warnings.

	* 6510core.c: Fixed some unusual opcodes.

2006-01-22  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* c64/c64rom.c: Make sure the c64memrom_kernal64_trap_rom is
	set *after* c64rom_get_kernal_checksum() is called, as this
	function can change the ROM (for example, when -kernalrev is
	used). This fixes the problem with the sx kernal rom.

2006-01-22  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* pet/petreu.c: Fixed the behaviour of this to match the
	actual module.

2006-01-22  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/c64cart.dsp, c64/cart/Makefile.am,
	c64/cart/c64cartmem.c, c64/cart/crt.c, c64/cart/rexep256.c,
	c64/cart/rexep256.h, cartridge.h: Added REX EP256 cartridge
	support.

2006-01-22  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/beos/constants.h: Corrected a duplicate definition.

	* arch/win32/c64cart.dsp: Corrected a duplicate source file
	entry.

2006-01-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.2.

	* c64/cart/delaep256.c (delaep256_io1_store): Removed unused
	variable.

	* pet/petreu.c (set_petreu_size): Fixed printf format.

2006-01-20  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/c64cart.dsp: Added new files.

	* resource.h, resource.c: Added event_relevant and
	event_strict_value to resource struct for information about
	the recource being relevant for event history and netplay
	and the value needed for stable emulation.

	* ... (every file that defines a resource_t): Added new values
	to all the resources.

2006-01-20  pottendo  <pottendo@utanet.at>

	* arch/unix/archdep.c (archdep_tmpnam): Included mkstemp patch
	to avoid warning at link time.

2006-01-20  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/c64cart.dsp, c64/cart/Makefile.am,
	c64/cart/c64cartmem.c, c64/cart/crt.c,
	c64/cart/delaep256.c, c64/cart/delaep256.h,
	cartridge.h: Added support for the Dela EP256 Cartridge.

2006-01-20  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/c64cart.dsp, c64/cart/Makefile.am,
	c64/cart/crt.c, c64/cart/delaep7x8.c, c64/cart/delaep7x8.h,
	cartridge.h: Added Dela EP7x8 cartridge support.

	* c64/cart/delaep64.c, c64/cart/delaep64.h: Fixed a typo.

	* c64/cart/c64cartmem.c: Added Dela EP7x8 cartridge support
	and fixed a missing 'break' statement for the zaxxon
	cartridge.

2006-01-18  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c64/c64_256k.c: Fixed the init values of the direction
	registers.

2006-01-17  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/beos/c64ui.cc, arch/beos/constants.h,
	arch/beos/vicemenu.cc, arch/msdos/Makefile.am,
	arch/msdos/c64ui.c, arch/msdos/uiplus256k.c,
	arch/msdos/uiplus256k.h, arch/os2/dialogs/menubar.c,
	arch/os2/dialogs/menubar.h, arch/os2/dialogs/menubar.rc,
	arch/os2/vac++/incl/c64.icc, arch/unix/Makefile.am,
	arch/unix/c64ui.c, arch/unix/uiplus256k.c,
	arch/unix/uiplus256k.h, arch/win32/Makefile.am,
	arch/win32/arch.dsp, arch/win32/c64.dsp, arch/win32/c64ui.c,
	arch/win32/resc64.rc, arch/win32/resdialogs.txt,
	arch/win32/resmenu.txt, arch/win32/resplus256k.rc,
	arch/win32/resstrings.txt, arch/win32/uiplus256k.c,
	arch/win32/uiplus256k.h, arch/win32/x64.dsp, c128/c128.c,
	c64/Makefile.am, c64/c64.c, c64/c64mem.c, c64/plus256k.c,
	c64/plus256k.h, translate.c, translate.h: Added +256k
	expansion support.

	* arch/msdos/uic64_256k.c, arch/msdos/uic64_256k.h,
	arch/msdos/uiplus60k.h, arch/win32/uic64_256k.c,
	arch/win32/uic64_256k.h, arch/win32/uiplus60k.c,
	arch/win32/uiplus60k.h: Got rid of the 'hack' reference.

	* arch/msdos/uiplus60k.c, arch/unix/uiplus60k.c,
	arch/win32/resplus60k.rc, c64/plus60k.c: Got rid of the 'hack'
	reference and turned +60K into PLUS60K.

	* arch/win32/c64cart.dsp: Added the missing delaep64.c file,
	in order to compile correctly with msvc.

	* c64/c64_256k.c: Extended the checking of the cpu-line
	resources to include the +256k expansion.

	* c64/c64memlimit.c, c64/c64memlimit.h: Changed the memory
	limit table previously used by the c64 256k expansion into a
	general one for use by the +256k expansion as well.

	* c64/ramcart.c: Fixed to correctly co-exist with the +60k,
	+256k and c64 256k expansion.

2006-01-16  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/gnome/Makefile.am (libgnomeui_a_SOURCES): Removed
	`dummies.c', added `uifileentry.c'. 

	* arch/unix/uifliplist.c (uifliplist_update_menus): Ported to Gtk2
	API. 

	* arch/unix/uicommands.h (ui_change_dir): New Prototype.

	* arch/unix/uicommands.c (change_working_directory): Use new
	`ui_change_dir()' for Gtk2.

	* arch/unix/x11/gnome/*.[ch]: Ported to Gnome2/Gtk2 API.

2006-01-16  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/uirs232.c: Fixed a typo that cause the link to
	fail.

	* arch/unix/uirs232c64c128.c: Uncommented the serial 2 device
	item.

2006-01-15  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.1.

	* arch/unix/uirs232c64c128.c: Commented out undefined
	reference to `ser2_c64c128_baud_submenu'.

	* aciacore.c (get_acia_ticks): Fixed prototype, added dummy
	return value.

	* c64/cart/crt.c: #include "delaep64.h".

2006-01-15  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/beos/constants.h, arch/beos/petui.cc,
	arch/beos/vicemenu.cc, arch/msdos/Makefile.am,
	arch/msdos/petui.c, arch/msdos/uipetreu.c,
	arch/msdos/uipetreu.h, arch/os2/dialogs/menubar.c,
	arch/os2/dialogs/menubar.h, arch/os2/dialogs/menubar.rc,
	arch/unix/Makefile.am, arch/unix/petui.c,
	arch/unix/uipetreu.c, arch/unix/uipetreu.h,
	arch/win32/Makefile.am, arch/win32/arch.dsp,
	arch/win32/pet.dsp, arch/win32/petui.c,
	arch/win32/resdialogs.txt, arch/win32/resmenu.txt,
	arch/win32/respet.rc, arch/win32/respetreu.rc,
	arch/win32/resstrings.txt, arch/win32/uipetreu.c,
	arch/win32/uipetreu.h, arch/win32/xpet.dsp, pet/Makefile.am,
	pet/pet.c, pet/petmem.c, pet/petreu.c, pet/petreu.h,
	translate.c, translate.h: Added PET REU 128kb memory expansion
	support.

2006-01-15  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* acia.h: Added the extra registers definitions and added mode
	definitions for swiftlink and turbo232 support.

	* aciacore.c: Added swiftlink and turbo232 support.

	* arch/unix/uirs232.c, arch/unix/uirs232.h: Added an enhanced
	baud rate menu for swiftlink and turbo232 support.

	* arch/unix/uirs232c64c128.c: Added mode selection and
	enhanced baud rate menus for swiftlink and turbo232 support.

	* arch/win32/c128ui.c, arch/win32/c64ui.c,
	arch/win32/cbm2ui.c, arch/win32/petui.c,
	arch/win32/plus4ui.c: Enhanced the acia dialog for swiftlink
	and turbo232 support.

	* arch/win32/resacia.rc, arch/win32/uiacia.c,
	arch/win32/uiacia.h: Added acia mode selection for swiftlink
	and turbo232 support.

	* arch/win32/resdialogs.txt, arch/win32/resstrings.txt: Added
	swiftlink and turbo232 support.

	* c128/c128.c, c64/c64.c, c64/c64acia.h,
	c64/c64acia1.c: Added a seperate swiftlink/turbo232 resource
	init, so that only x64/x128 would init these.

2006-01-15  Michael Klein <michael.klein@puffin.lb.shuttle.de>

	* c64/cart/Makefile.am: Added new files.

	* c64/cart/delaep64.c, c64/cart/delaep64.h: New files.

	* cartridge.h, c64/cartmem.c, c64/cart/crt.c: Added
	support for Dela EP-64.

2006-01-08  Andreas Boose  <viceteam@t-online.de>

	* Version 1.19.

2006-01-08  pottendo  <pottendo@utanet.at>

	* arch/unix/uinetplay.h: Added prototype again.

2006-01-08  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/intl.c, arch/win32/res.rc,
	arch/win32/resc128.rc, arch/win32/resc64.rc,
	arch/win32/rescbm2.rc, arch/win32/resdrivec128.rc,
	arch/win32/respet.rc, arch/win32/resplus4.rc,
	arch/win32/resrs232user.rc, arch/win32/resvic20.rc,
	translate.c: Updated and fixed translations.

2006-01-08  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/msdos/uic64_256k.c, arch/msdos/uiplus60k.c: Fixed some
	ui text elements.

2006-01-07  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/x11/gnome/uinetplay.c: Changed 'network' text into
	'netplay'.

	* arch/win32/intl.c: Updated.

	* network.c: Fixed a translate.c related element.

	* translate.c, translate.h: Fixed and updated.

2006-01-06  Andreas Boose  <viceteam@t-online.de>

	* Version 1.18.12.

2006-01-06  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/gnome/TODO: Input for Gnome1 and Gnome2.

	* doc/html/plain/NEWS: Minor inputs.

	* arch/unix/x11/gnome/uinetplay.c (netplay_start_server): Show
	server error to user.
	(netplay_connect): Likewise.

	* arch/unix/uicommands.c: moved netplay gnome specifics to
	netplay.c, enabling IPV6 also for gnome.

	* arch/unix/vic20ui.c: Added casts to fix some warnings.

2006-01-06  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/resdrivec128.rc, arch/win32/resdrivec64vic20.rc,
	arch/win32/resdrivepetcbm2.rc, arch/win32/resdriveplus4.rc:
	Fixed the size of the 'extend on access' element in the drive
	settings dialogs.

2006-01-05  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/Makefile.am: Added new files.

	* arch/beos/statusbar.cc, statusbar.h: New Funktion
	DisplayMessage.

	* arch/beos/ui.cc, vicemenu.cc, ui_file.cc, ui_file.h:
	Implemented UI for netplay and event history.

	* arch/beos/ui_netplay.cc, ui_netplay.h: New files.

	* network.c: Added headers for BeOS.
	Replaced test for SOCKET_ERROR with test for negative result
	cause BeOS uses different errors.
	(network_shutdown): Disconnect network.

2006-01-04  Andreas Matthies  <andreas.matthies@gmx.net>

	* datasette (datasette_set_tape_image): Release sense line if
	image is detached.

2006-01-04  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* network.c: Got rid of an unneeded 'err6' and fixed an
	unneeded '#ifdef HAVE_IPV6'.

2006-01-03  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/os2/vac++/incl/gfxoutputdrv.icc: Added the new
	screenshot drivers.

2006-01-02  Andreas Dehmel  <zarquon@t-online.de>

	* keyboard.c: keyboard_key_clear_internal() only defined for
	COMMON_KBD

2006-01-01  Andreas Boose  <viceteam@t-online.de>

	* Version 1.18.11.

	* arch/unix/x11/video.c [fourcc_s]: A string resource needs to
	reference a string and not an integer.

	* arch/beos/ui.cc, arch/msdos/menudefs.c,
	arch/os2/dialogs/dialogs.rc, arch/unix/x11/gnome/about.c,
	arch/unix/x11/xaw/about.c, arch/win32/res.rc: Updated.

2006-01-01  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/msdos/menudefs.c: Got rid of a seperation element to
	make the main menu fit better.

	* arch/msdos/tui_backend.c: Added an ascii conversion table.

	* info.c: Shortened some lines that were too wide and updated
	my own info.

2006-01-01  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/beos/ui.cc, arch/msdos/menudefs.c,
	arch/os2/dialogs/dialogs.rc, arch/unix/x11/gnome/about.c,
	arch/unix/x11/xaw/about.c, arch/win32/res.rc: Updated 2005
	to 2006.

2005-12-31  Andreas Boose  <viceteam@t-online.de>

	* Version 1.18.10.

2005-12-30  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/res.rc, arch/win32/resc128.rc,
	arch/win32/resc64.rc, arch/win32/rescbm2.rc,
	arch/win32/respet.rc, arch/win32/resplus4.rc,
	arch/win32/resvic20.rc, translate.c: Updated the dutch
	translations.

2005-12-30  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/xaw/x11ui.c (ui_display_statustext): Implemented
	statustext widget.
	(x11ui_open_canvas_window): Added media and event record button.

	* arch/unix/x11/gnome/x11ui.c (ui_display_speed): Hide recording
	widget (moved from mainloop).

	* arch/unix/x11/xaw/x11ui.c (ui_enable_drive_status): Hide record
	button if recording isn't active anymore.

	* arch/unix/x11/xaw/uiscreenshot.c (UI_CALLBACK_save_callback): 
	Show `recording' button.

	* arch/unix/x11/xaw/x11ui.c (x11ui_open_canvas_window): Fixed
	size of drive related widgets. This makes the speed label
	visible again.

	* arch/unix/x11/gnome/uiscreenshot.c (ui_screenshot_dialog): Use
	extension provided by driver.

2005-12-29  Andreas Matthies  <andreas.matthies@gmx.net>

	* event.c, event.h: New event EVENT_KEYBOARD_CLEAR.
	(event_record_in_list): Record EVENT_KEYBOARD_CLEAR event.
	(event_playback_event_list): Handles EVENT_KEYBOARD_CLEAR
	event.

	* keyboard.c, keyboard.h: New function
	keyboard_register_clear to set the keyboard_clear flag.
	(keyboard_key_clear): Splitted into *_internal and
	records event in netplay mode.
	(keyboard_event_delayed_playback): Clears keyboard if
	the keyboard_clear flag is set.

2005-12-29  Andreas Boose  <viceteam@t-online.de>

	* Version 1.18.9.

	* event.c (event_playback_start_trap): Fixed some warnings.

	* arch/unix/x11/gnome/uiscreenshot.c
	(build_screenshot_dialog): Likewise.

	* arch/unix/x11/gnome/uinetplay.c (netplay_update_status):
	Likewise.

	* arch/unix/x11/dga2.c (dga2_menu_shutdown): Likewise.

	* arch/win32/archdep.c (verify_exe): Likewise.

	* resources.c, resources.h (resources_get_default_value):
	Changed second parameter to `void *'.

	* arch/unix/x11/gnome/uipalcontrol.c (pal_ctrl_reset): Fixed
	cast to avoid a warning.

	* 6510core.c: Fixed some comments.

	* info.c: Updated.

2005-12-29  Andreas Matthies  <andreas.matthies@gmx.net>

	* event.c, network.c: Uses archdep_tmpnam instead of
	EventSnapshotDir resource for snapshot and image files to
	avoid problems with write protected directories.

	* translate.c: Fixed typos for the ffmpeg IDs.

2005-12-28  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/xaw/x11ui.c (ui_display_statustext): log
	statustext. 

	* arch/unix/x11/gnome/x11ui.c (rebuild_contents_menu): Added casts
	for tmp2 to keep compiler quiet.
	(ui_display_speed): Handle status text.

	* arch/unix/uicommands.c (UI_CALLBACK_netplay): suspend speed
	eval. Makes netplay connection setup happy.

	* arch/unix/x11/gnome/uiscreenshot.c (uiscreenshot_shutdown):
	Check sanity before destroying `screenshot_dialog'.

	* arch/unix/x11/gnome/x11ui.c (ui_display_statustext): Update
	statustext widget.
	(ui_create_status_bar): Add statustext widget.
	(x11ui_open_canvas_window): Attach mouse_handler to new_canvas and
	not new_window. This fixes the annoying bug when trying to access
	the context menus within the status bar ending up in displaying
	the main menus.

2005-12-28  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/x11/gnome/uinetplay.c: Fixed a typo.

2005-12-28  Andreas Boose  <viceteam@t-online.de>

	* Version 1.18.8.

2005-12-28  Marco van den Heuvel  <blackystardust68@yahoo.com>

        * network.c: Fixed the improper use of the select function and
        added a function to get the right fd_size value.

2005-12-27  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/gnome/x11ui.c (ui_dispatch_events): Hide
	video_ctrl_checkbox if appropriate.

	* arch/unix/c128ui.c: Renamed `Screenshot' to `Save media file'. 
	* arch/unix/vic20ui.c: Likewise.
	* arch/unix/plus4ui.c: Likewise.
	* arch/unix/petui.c: Likewise.
	* arch/unix/cbm2ui.c: Likewise.
	* arch/unix/c64ui.c: Likewise.

	* arch/unix/x11/gnome/uiscreenshot.c (build_screenshot_dialog):
	Rewritten to new gfxdrv API.

2005-12-27  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/msdos/Makefile.am, arch/msdos/menudefs.c,
	arch/msdos/uinetplay.c: Added a netplay ui for the msdos port.

2005-12-26  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/uinetplay.c: Added support for IPV6 for netplay.

	* network.c: Added support for IPV6 and fixed some improper
	casts.

	* translate.c: Fixed some typos and added some new entries.

	* translate.h: Added some new entries.

2005-12-24  pottendo  <pottendo@utanet.at>

	* arch/unix/Makefile.am (libarch_a_SOURCES): Added uinetplay.h

2005-12-24  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/Makefile.am: Added uinetplay.c and the previousely
	missing uinetplay.h to the automakefile.

	* arch/unix/uicommands.c, arch/unix/uinetplay.c: Added a
	non-gnome unix ui for the netplay feature.

	* arch/unix/uinetplay.h: Re-added and updated this one.

	* arch/unix/x11/gnome/uinetplay.c: Update to only compile if
	HAVE_NETWORK was defined.

	* network.c: Switched the order of the sys/types.h and
	sys/socket.h headers.

2005-12-23  Andreas Boose  <viceteam@t-online.de>

	* Version 1.18.7.

	* vicii/vicii-badline.c (line_becomes_bad): Always delay
	switch to display state as suggested by AndreasM.

2005-12-23  pottendo  <pottendo@utanet.at>

	* arch/unix/uicommands.c: Added Netplay to Snapshot menu.

	* arch/unix/uinetplay.h: New file

	* arch/unix/x11/gnome/uinetplay.c: New file. Implementation Gnome
	UI for netplay.

2005-12-23  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c64/cart/ide64.c: removed the '_()' from some log related
	translations.

	* gfxoutputdrv/ffmpegdrv.c, translate.c, translate.h: Updated
	some translations.

2005-12-23  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/types.h: Fixed a problem with gcc 2.95 on netbsd,
	patch based on the netbsd package patch by kristerw.

	* arch/unix/x11/video.c: Fixed a static/non-static conflict
	that prevented building on netbsd when using gcc 4, patch by
	kristerw.

	* arch/unix/x11/vidmode.c: Fixed a problem with making the
	emulator work when vidmode extension cannot be used, patch by
	kristerw.

	* sounddrv/soundsun.c: Improved the netbsd sound driver to
	support stereo and not to rely on counting of played samples,
	which can get out of sync, patch by dillo.

2005-12-22  Andreas Boose  <viceteam@t-online.de>

	* Version 1.18.6.

	* vicii/vicii-mem.c (d011_store): A bad line can also be
	triggered by setting DEN bit in line 48.

2005-12-22  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/uiconsole.c, uisnapshot.c, uimediafile.c:
	Replaced fixed filter array with a malloced one to avoid
	crashes.

	* joystick.c (joystick_latch_matrix): Uses first byte of
	joystick array to dtermine, which port was changed and leave
	the other unchanged. This is needed for netplay.
	Removed unused function joystick_get_value_absolute().
	(joystick_set_value_*) These function store the changed
	joyport in the first byte of the array (which was unused).

	* network.c (network_send_buffer, network_recv_buffer): New
	functions to send and receive network buffer with
	fragmentation support. Every send and recv is done here now.

	* translate.c|h: Removed unused network.c translations.

2005-12-20  Andreas Boose  <viceteam@t-online.de>

	* Version 1.18.5.

	* vicii/vicii-badline.c (line_becomes_bad): If forced DMA
	switches to display state, delay the switch by one cycle.

	* plus4/ted-badline.c (ted_badline_check_state): Splitted into
	several functions like the vicii counterpart.

	* vicii/vicii-sprites.c: Added credits to sprite crunch table.

	* c64/plus60k.c, c64/c64_256k.c: Fixed format warning.

2005-12-20  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/res.rc: Fixed a dutch translation and some
	mediafile extensions.

	* arch/win32/uimediafile.c: Fixed some mediafile extensions.

	* c64/c64_256k.h: Fixed a prototype.

2005-12-19  Andreas Matthies  <andreas.matthies@gmx.net>

	* tape/tap.c (tap_cbm_read_block_once): Removed short block
	condition, size is set by the bytes read to detect short
	headers.
	(tap_cbm_read_header): Increased maximum size from 193 to 255
	to detect images with longer header (which also exist).

2005-12-19  Andreas Boose  <viceteam@t-online.de>

	* Version 1.18.4.

	* vicii/vicii-draw.c (_draw_idle, draw_idle_foreground): Idle
	data is 0 if vertical blank flip flop is set.

	* plus4/ted-draw.c (_draw_idle, draw_idle_foreground): Changed
	likewise.

	* c64/plus60k.h [plus60k_base]: Fixed prototype.

	* arch/win32/uimediafile.c (init_mediafile_dialog): Removed
	unused variable.

2005-12-18  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/uiconsole.c, arch/win32/uimediafile.c,
	arch/win32/uisnapshot.c: Better filter construction to avoid
	the wrong filters. Patch by iAN CooG <ian7102@libero.it>.

2005-12-18  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* zfile.c: Fixed a typo "know" vs. "now". Patch by iAN CooG
	<ian7102@libero.it>.

2005-12-18  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* petcat.c: Make petcat output its help information
	(--help, -v) on stdout, not stderr. Patch by iAN CooG
	<ian7102@libero.it>.

2005-12-18  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* imagecontents/diskcontents-block.c: If the directory track
	is linked in a loop, do not destroy all contents until, but
	show everything once. This seems to be a more reasonable way
	to handle this. Patch provided by iAN CooG
	<ian7102@libero.it>.

2005-12-18  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/intl.c, arch/win32/res.rc: Updated the win32
	mediafile dialog.

2005-12-18  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* translate.c: Updated a dutch translation.

2005-12-18  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c64/c64_256k.c, c64/plus60k.c: Fixed the warnings.

2005-12-18  Andreas Boose  <viceteam@t-online.de>

	* Version 1.18.3.

	* c1541.c (info_cmd): Fixed some bugs.

	* diskimage/fsimage.h, diskimage.h, diskimage/fsimage-probe.c,
	diskimage/fsimage.c: Moved error info into fsimage struct.

	* diskimage/diskimage.c, diskimage.h (disk_image_create,
	disk_image_destroy): New function.

	* attach.c, c1541.c: Use new functions.

	* vdrive/vdrive-command.c: Removed cruft.

	* event.c (event_image_append): Fixed some cosmetic warning.

2005-12-18  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/intl.c, arch/win32/res.rc,
	arch/win32/resc128.rc, arch/win32/resc64.rc,
	arch/win32/rescbm2.rc, arch/win32/resdialogs.txt,
	arch/win32/respet.rc, arch/win32/resplus4.rc,
	arch/win32/resstrings.txt, arch/win32/resvic20.rc,
	arch/win32/signals.c, arch/win32/uinetwork.c,
	c64/cart/c64cart.c, network.c, translate.c,
	translate.h: Added previously untranslated items.

2005-12-17  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* c64/patchrom.c: the attached patch fixes a one-byte problem
	with the SX64 kernal on the C64. That is, if you start "x64
	-kernalrev sx", one byte was wrong. This issue was reported
	(with a patch) on Mon, 13 Sep 2004 23:08:25 +0200 by iAN CooG
	<ian7102@libero.it>.

2005-12-16  Michael Klein  <michael.klein@puffin.lb.shuttle.de>

	* fliplist.c, fliplist.h: Add opaque typedef fliplist_t
	* and try to be const correct.

	* console.h: fix typo

2005-12-16  Andreas Matthies  <andreas.matthies@gmx.net>

	* c64/c64_256k.c, c64/georam.c, c64/plus60k.c: Fixed warnings.

	* screenshot.c (screenshot_stop_recording): Don't free the
	reopen* pointers, they are needed in screenshot_try_reopen.

2005-12-16  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/beos/c64ui.cc, arch/beos/constants.h,
	arch/beos/vicemenu.cc, arch/msdos/Makefile.am,
	arch/msdos/c64ui.c, arch/msdos/uic64_256k.c,
	arch/msdos/uic64_256k.h, arch/os2/dialogs/menubar.c,
	arch/os2/dialogs/menubar.h, arch/os2/dialogs/menubar.rc,
	arch/os2/vac++/incl/c64.icc, arch/riscos/uiconfig.c,
	arch/riscos/uiconfig.c, arch/riscos/uiconfig.h,
	arch/riscos/uihelp.c, arch/riscos/uisharedef.h,
	arch/unix/Makefile.am, arch/unix/c64ui.c,
	arch/unix/uic64_256k.c, arch/unix/uic64_256k.h,
	arch/win32/Makefile.am, arch/win32/arch.dsp,
	arch/win32/c64.dsp, arch/win32/c64ui.c,
	arch/win32/resc64.rc, arch/win32/resc64_256k.rc,
	arch/win32/resdialogs.txt, arch/win32/resmenu.txt,
	arch/win32/resstrings.txt, arch/win32/uic64_256k.c,
	arch/win32/uic64_256k.h, arch/win32/x64.dsp,
	c64/Makefile.am, c64/c64.c, c64/c64_256k.c,
	c64/c64_256k.h, c64/c64cia2.c, c64/c64io.c,
	c64/c64mem.c, c64/c64memlimit.c, c64/c64memlimit.h,
	c64/plus60k.c, translate.c, translate.h: Added c64 256k
	expansion support.

	* c128/c128.c: Added some dummy functions to cope with the c64
	256k expansion.

2005-12-12  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* gfxoutputdrv/gifdrv.c, gfxoutputdrv/iffdrv.c,
	gfxoutputdrv/jpegdrv.c, gfxoutputdrv/pcxdrv.c,
	gfxoutputdrv/ppmdrv.c: Fixed the warnings.

2005-12-11  Andreas Dehmel  <zarquon@t-online.de>

	* network.c: fixed compilation error when HAVE_NETWORK not
	defined

2005-12-11  Andreas Boose  <viceteam@t-online.de>

	* Version 1.18.2.

2005-12-10  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/ui.c (ui_pause_emulation): Disable pause if
	network is connected as the trap function is already used
	by the network code.
	(window_proc): Added suspension for two more windows
	messages WM_SYSCOMMAND and WM_NCLBUTTONDOWN.

	* network.c, network.h (network_suspend): New function that
	sends a '0' to the remote host as a suspend notifier.
	(network_hook): Calls vsync_suspend_speed_eval if it receives
	the notifier and displays a message.

	* vsync.c (vsync_suspend_speed_eval): Call network_suspend.

2005-12-08  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/res<machine>.rc, : Added "Always on Top" menu
	item.

	* arch/win32/ui-resources.c: Added resource "AlwaysOnTop".

	* arch/win32/ui.c, ui.h: New function ui_set_alwaysontop.

2005-12-06  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/msdos/uiscreenshot.c, arch/win32/gfxoutputdrv.dsp,
	gfxoutputdrv/Makefile.am, gfxoutputdrv/gfxoutput.c: Added
	support for the new screenshot formats.

	* gfxoutputdrv/iffdrv.c, gfxoutputdrv/iffdrv.h: Added IFF
	screenshot support.

	* gfxoutputdrv/jpegdrv.c, gfxoutputdrv/jpegdrv.h: Added JPEG
	screenshot support.

	* gfxoutputdrv/pcxdrv.c, gfxoutputdrv/pcxdrv.h: Added PCX
	screenshot support.

	* gfxoutputdrv/ppmdrv.c, gfxoutputdrv/ppmdrv.h: Added PPM
	screenshot support.

	* screenshot.c, screenshot.h: Added a new screenshot mode
	'SCREENSHOT_MODE_RGB24'.

	* util.c, util.h: Added some new endian conversion routines.

2005-12-03  Andreas Matthies  <andreas.matthies@gmx.net>

	* attach.c (file_system_attach_disk, file_system_detach_disk):
	Implemented event recording for netplay.

	* tape.c (tape_image_attach, tape_image_detach): Likewise.

	* event.c: Made event_image_append ready for network events.
	(event_record_attach_image): Generalized for network events.
	(event_record): Moved test for network connection here.
	(event_playback_event_list): Added attach events.
	Made event_init_image_list and event_destroy_image_list
	public.

	* joystick.c, keyboard.c: Removed test for network connection.

	* machine.c (machine_trigger_reset): Don't trigger the reset
	when network is connected.

	* network.c (network_init_frame_event_list): Call
	event_init_image_list().
	(network_test_delay): Added debug logging. Changed calculation
	of frame delta. Now responsible for the destroying and
	creation of the event lists.
	(network_attach_image): New function.
	(network_hook): Added debug logging.

2005-12-03  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c64/c64mem.c, c64/c64memlimit.c, c64/c64memlimit.h: Fixed
	an opcode execute problem with the +60k expansion.

2005-12-01  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/res.rc, resdialogs.txt: Added FFPEG settings to
	the mediafile dialog.

	* arch/win32/uimediafile.c: New functions update_ffmpeg_codecs
	and enable_ffmpeg_settings and varoius additions to connect
	FFPFEG dialog boxes with corresponding resources.
	Fixed 0-byte in filter string.

	* gfxoutputdrv/ffmpegdrv.c: New resources FFMPEGFormat,
	FFMPEGAudioCodec, FFMPEGVideoCodec. Added formatlist and lists
	of codecs that are tested to work in VICE.
	(ffmpegdrv_save) uses resources instead of geussing the format
	from the filename.
	Only one driver is registered without default file extension.
	(ffmpegdrv_shutdown): Fixed memory leak.

	* screenshot.c (screenshot_stop_recording): Fixed memory leak.

	* util.c (util_add_extension): Extension is allowed to be NULL
	now.

2005-11-29  Andreas Boose  <viceteam@t-online.de>

	* Version 1.18.1.

	* util.c, util.h (util_le_buf_to_dword): New function.

	* network.c (network_create_event_buffer,
	network_create_event_list): Use helper functions to avoid ugly
	pointer castings, use `BYTE' instead of `char'.
	(network_hook): Fixed some warnings.

	* pet/petmem.c (set_std_9tof): Fixed some warnings.

	* c64/plus60k.c (set_plus60k_base): Likewise.

	* arch/unix/x11/xaw/widgets/MultiList.c (Unselect, Extend,
	RedrawRowColumn, RedrawItem, Select, Toggle): Likewise.

	* c1541.c (attach_cmd): Likewise.

	* arch/unix/x11/vidmode.c, arch/unix/x11/vidmode.h,
	arch/unix/x11/dga1.c [vm_mode_count]: Likewise.

2005-11-29  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/msdos/uiscreenshot.c, gfxoutputdrv/Makefile.am,
	gfxoutputdrv/gfxoutput.c, gfxoutputdrv/gifdrv.c,
	gfxoutputdrv/gifdrv.h: Added gif format screenshot support.

	* arch/msdos/vsync.c: Added needed functions for netplay.

	* main.c: Added myself to the standard log startup.

2005-11-28  Andreas Matthies  <andreas.matthies@gmx.net>

	* keyboard.c (keyboard_key_released): Added missing call of
	machine_set_restore_key.

2005-11-20  Andreas Boose  <viceteam@t-online.de>

	* Version 1.18.

2005-11-19  Andreas Boose  <viceteam@t-online.de>

	* Version 1.17.7.

2005-11-18  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/os2/vac++/incl/mainsrc.icc: Added network.c and
	translate.c for proper compilation.

2005-11-17  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/c64ui.cc: Fixed typo.

	* arch/beos/ui.cc, arch/msdos/ui.c, arch/os2/ui.c,
	arch/riscos/ui.c, arch/unix/x11/gnome/x11ui.c,
	arch/unix/x11/xaw/x11ui.c, arch/win32/ui.c, uiapi.h: New
	function ui_display_statustext to display messages without
	stopping emulation. Only win32 is implemented.

	* arch/win32/uimediafile.c, uisound.c: Added fade parameter
	to ui_display_statustext call.

	* gfxoutputdrv/ffmpegdrv.c (ffmpegdrv_init_video): Get frame
	rate from machine.

	* info.c: Some additions.

	* network.c: Removed NetworkFrameDelta resource. Fixed
	network_event_record_sync_test() by calling it via trap. New
	function network_test_delay. Added some information for the
	user about network operations via ui_display_statustext.

	* vsync.c, vsync.h: New function vsync_get_refresh_frequency.

2005-11-15  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/msdos/Makefile.am, arch/msdos/menudefs.c,
	arch/msdos/uiscreenshot.c, arch/msdos/uiscreenshot.h: Added
	screenshot support to the msdos port.

2005-11-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* arch/msdos/uiplus60k.c: Fixed a typo.

	* network.c: Fixed the includes for proper msdos compilation.

2005-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* arch/beos/c64ui.cc, arch/beos/constants.h,
	arch/beos/vicemenu.cc, arch/msdos/uiplus60k.c,
	arch/os2/dialogs/menubar.c, arch/os2/dialogs/menubar.h,
	arch/os2/dialogs/menubar.rc, arch/unix/uiplus60k.c,
	arch/win32/resc64.rc, arch/win32/resdialogs.txt,
	arch/win32/resplus60k.rc, arch/win32/resstrings.txt,
	arch/win32/uiplus60k.c, c64/c64mem.c, c64/plus60k.c,
	c64/plus60k.h, translate.c, translate.h: Added support for the
	old version of the +60K expansion.

	* arch/win32/uijoystick.c: Made the windows joystick swap
	behave like all other platforms.

	* info.c: Changed my own info a bit.

2005-11-13  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/Makefile.am, arch.dsp: Added new files.

	* arch/win32/res.rc, resdialogs.txt: Added (english) dialog
	for network settings.

	* arch/win32/resc64.rc, resmenu.txt, ui.c: Replaced network
	items with a settings item.

	* arch/win32/uinetwork.c, uinetwork.h: New files.

	* network.c, network.h: New function network_get_mode().

2005-11-12  Andreas Boose  <viceteam@t-online.de>

	* Version 1.17.6.

2005-11-08  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/resc64.rc, resmenu.txt, ui.c : New menu item
	to disconnect network.

	* arch/win32/signals.c (break64): User gets visible message
	if emulator crashes. Register SIGFPE for exception handler.

	* arch/win32/uisnapshot.c (ui_save_snapshot): Don't convert
	filter string as this is no string but a list of string pairs.
	FIXME: This may need some further work if windows archs with
	wide characters shall work with it.

	* c64/c64.c, datasette.c, event.c, init.c, joystick.c,
	keyboard.c, machine.c: Removed all HAVE_NETWORK tests. This
	is handled in network.c now.

	* network.c, network.h: Implement every public function as
	dummies if HAVE_NETWORK isn't defined.
	New function network_disconnect. Improved error handling and
	proper disconnection. Different header includes and typedefs
	for non-windows archs as suggested by Marco.

	* cia.h, riot.h, via.h, core/ciacore.c, core/riotcore.c,
	core/viacore.c: New member 'enabled' in the <chip>_context
	struct which is set by <chip>_reset and cleared by
	<chip>_disable. The overflow handler checks for enabled before
	doing anything. This should fix the 1.17 clock overflow crash.

2005-11-07  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/Makefile.am, arch/unix/minix/minix-ar.sh: Added an
	'ar' wrapper for Minix-Vmd.

	* arch/unix/archdep.c: For Minix-Vmd I split up the
	default_path concat, there were too many parameters for
	Minix-Vmd.

	* arch/unix/rs232.c: Minix-Vmd doesn't have the select()
	function, so it is not used for Minix-Vmd.

	* arch/unix/x11/xaw/widgets/Directory.h: Added correct
	definition of NAME_MAX for Minix-Vmd.

	* c128/c128.c, c64/c64.c, cbm2/cbm2.c, pet/pet.c,
	plus4/plus4.c, vic20/vic20.c: The Minix-Vmd compiler doesn't
	like variable initializations with non-constant parameters,
	so I fixed that problem.

	* monitor/mon_parse.c, monitor/mon_parse.y: Fixed an alloca
	definition problem for Minix-Vmd.

	* vice.h: Undefined vfork for Minix-Vmd, it defines vfork
	itself.

2005-11-06  Andreas Boose  <viceteam@t-online.de>

	* Version 1.17.5.

2005-10-31  Andreas Matthies  <andreas.matthies@gmx.net>

	* machine.h, c128/c128.c, c64/c64.c, cbm2/cbm2.c, pet/pet.c,
	plus4/plus4.c, vic20/vic20.c: machine_has_restore_key
	splitted from machine_set_restore_key.

	* datasette.c (datasette_event_record, datasette_control):
	Handle network connection.

	* event.c (event_playback_event_list): Implemented restore
	key and datasette events.

	* joystick.c: Using new array network_joystick_value to avoid
	mixing actual and event list joystick data.

	* keyboard.c: Using new array network_keyarr and
	network_rev_keyarr to avoid mixing actual and event list
	keyboard data. Implemented restore key events.

	* machine.c (machine_shutdown): Call network_shutdown.

	* network.c: New function network_shutdown.

2005-10-30  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* Makefile.am: Fixed the 'make dist' problem for the built-in
	libpng and zlib.

2005-10-29  Andreas Boose  <viceteam@t-online.de>

	* Version 1.17.4.

	* network.c: Fixed declaration of `network_init_done'.

2005-10-29  Andreas Matthies  <andreas.matthies@gmx.net>

	* Makefile.am, arch/win32/base.dsp: Added new files network.c
	and network.h

	* arch/win32/msvc/config.h: define HAVE_NETWORK

	* arch/win32/resc64.rc, arch/win32/resmenu.txt,
	arch/win32/ui.c: Added menuitems to start server and client.

	* autostart.c (reboot_for_autostart): Fixed autostart for
	empty filenames.

	* c64/c64.c (machine_vsync_hook): Call network_hook.

	* event.c, event.h: Gereralized to handle various event lists.
	New functions event_register_event_list,
	event_playback_event_list, event_record_in_list.

	* joystick.c, joystick.h (joystick_latch_handler,
	joystick_process_latch): Handle newtork connection.
	New functions joystick_event_delayed_playback,
	joystick_register_delay.

	* init.c (init_resources): Register network resources.

	* keyboard.c, keyboard.h (keyboard_latch_handler,
	keyboard_key_pressed, keyboard_key_released): Handle network
	connection. New functions keyboard_event_delayed_playback,
	keyboard_register_delay.

	* machine.c (machine_trigger_reset): Handle network
	connection.

	* network.c, network.h: New files.

	* translate.c: Fixed definition of STB_CART in string_table
	and translation_text table.

2005-10-27  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* Makefile.am: Added built-in support for libpng and libz.

	* arch/os2/Makefile.am: Removed the references to the os/2
	specific libpng and zlib files.

	* arch/os2/lpng/LICENSE, arch/os2/lpng/png.c,
	arch/os2/lpng/png.h, arch/os2/lpng/pngconf.h,
	arch/os2/lpng/pngerror.c, arch/os2/lpng/pngget.c,
	arch/os2/lpng/pngmem.c, arch/os2/lpng/pngpread.c,
	arch/os2/lpng/pngread.c, arch/os2/lpng/pngrio.c,
	arch/os2/lpng/pngrtran.c, arch/os2/lpng/pngrutil.c,
	arch/os2/lpng/pngset.c, arch/os2/lpng/pngtrans.c,
	arch/os2/lpng/pngwio.c, arch/os2/lpng/pngwrite.c,
	arch/os2/lpng/pngwtran.c, arch/os2/lpng/pngwutil.c: Removed
	these old os/2 specific libpng files.

	* arch/os2/vac++/PETcat.ICC, arch/os2/vac++/X1541.ICC,
	arch/os2/vac++/lpng.icc, arch/os2/vac++/lzlib.icc,
	arch/os2/vac++/x128/X128.ICC, arch/os2/vac++/x64/X64.ICC,
	arch/os2/vac++/xcbm2/Xcbm2.ICC, arch/os2/vac++/xpet/Xpet.ICC,
	arch/os2/vac++/xplus4/Xplus4.ICC,
	arch/os2/vac++/xvic/Xvic.ICC: Removed support for the old os/2
	specific libpng and libz, and added support for the new
	built-in support of libpng and libz.

	* arch/os2/zlib/README, arch/os2/zlib/adler32.c,
	arch/os2/zlib/compress.c, arch/os2/zlib/crc32.c,
	arch/os2/zlib/deflate.c, arch/os2/zlib/deflate.h,
	arch/os2/zlib/gzio.c, arch/os2/zlib/infblock.c,
	arch/os2/zlib/infblock.h, arch/os2/zlib/infcodes.c,
	arch/os2/zlib/infcodes.h, arch/os2/zlib/inffast.c,
	arch/os2/zlib/inffast.h, arch/os2/zlib/inffixed.h,
	arch/os2/zlib/inflate.c, arch/os2/zlib/inftrees.c,
	arch/os2/zlib/inftrees.h, arch/os2/zlib/infutil.c,
	arch/os2/zlib/infutil.h, arch/os2/zlib/maketree.c,
	arch/os2/zlib/trees.c, arch/os2/zlib/trees.h,
	arch/os2/zlib/uncompr.c, arch/os2/zlib/zconf.h,
	arch/os2/zlib/zlib.h, arch/os2/zlib/zutil.c,
	arch/os2/zlib/zutil.h: Removed these old os/2 specific zlib
	files.

	* arch/win32/Makefile.am, arch/win32/png.dsp,
	arch/win32/zlib.dsp, arch/win32/vice.dsw: Added png.dsp and
	zlib.png for built-in libpng and zlib support.

	* arch/win32/base.dsp, arch/win32/c1541.dsp,
	arch/win32/gfxoutputdrv.dsp, arch/win32/msvc/config.h,
	arch/win32/petcat.dsp: Added built-in libpng and zlib support.

	* gfxoutputdrv/Makefile.am: Added built-in libpng and zlib
	support.

	* lib/Makefile.am: Added 2 new directories in the new lib
	directory, lpng and zlib.

	* lib/lpng/LICENSE, lib/lpng/Makefile.am, lib/lpng/png.c,
	lib/lpng/png.h, lib/lpng/pngconf.h, lib/lpng/pngerror.c,
	lib/lpng/pngget.c, lib/lpng/pngmem.c, lib/lpng/pngpread.c,
	lib/lpng/pngread.c, lib/lpng/pngrio.c, lib/lpng/pngrtran.c,
	lib/lpng/pngrutil.c, lib/lpng/pngset.c, lib/lpng/pngtrans.c,
	lib/lpng/pngwio.c, lib/lpng/pngwrite.c, lib/lpng/pngwtran.c,
	lib/lpng/pngwutil.c: Added built-in support for libpng.

	* lib/zlib/Makefile.am, lib/zlib/README, lib/zlib/adler32.c,
	lib/zlib/compress.c, lib/zlib/crc32.c, lib/zlib/crc32.h,
	lib/zlib/deflate.c, lib/zlib/deflate.h, lib/zlib/gzio.c,
	lib/zlib/infback.c, lib/zlib/inffast.c, lib/zlib/inffast.h,
	lib/zlib/inffixed.h, lib/zlib/inflate.c, lib/zlib/inflate.h,
	lib/zlib/inftrees.c, lib/zlib/inftrees.h, lib/zlib/trees.c,
	lib/zlib/trees.h, lib/zlib/uncompr.c, lib/zlib/zconf.h,
	lib/zlib/zlib.h, lib/zlib/zutil.c, lib/zlib/zutil.h: Added
	built-in support for zlib.

2005-10-23  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/resplus4.rc: Translations fix.

2005-10-23  Andreas Boose  <viceteam@t-online.de>

	* Version 1.17.3.

	* arch/unix/x11/gnome/x11ui.c (ui_select_contents_cb): Added
	patch submitted by Dominik Vogt.

	* arch/unix/uiattach.c (smart_attach): Likewise.

2005-10-20  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/os2/Makefile.am, arch/os2/vac++/Makefile.am,
	arch/os2/vac++/PETcat.ICC, arch/os2/vac++/X1541.ICC,
	arch/os2/vac++/cbm2-pet-dummy.c,
	arch/os2/vac++/incl/c128.icc, arch/os2/vac++/incl/plus4.icc,
	arch/os2/vac++/incl/vic20.icc, arch/os2/vac++/lpng.icc,
	arch/os2/vac++/lzlib.icc, arch/os2/vac++/x128/X128.ICC,
	arch/os2/vac++/x64/X64.ICC, arch/os2/vac++/xcbm2/Xcbm2.ICC,
	arch/os2/vac++/xpet/Xpet.ICC,
	arch/os2/vac++/xplus4/Xplus4.ICC,
	arch/os2/vac++/xvic/Xvic.ICC: Fixed OS/2 port to compile with
	VAC++ again.

	* arch/os2/dialogs/menubar.c, arch/os2/dialogs/menubar.rc:
	Fixed some definitions.

	* arch/os2/lpng/LICENSE, arch/os2/lpng/png.c,
	arch/os2/lpng/png.h, arch/os2/lpng/pngconf.h,
	arch/os2/lpng/pngerror.c, arch/os2/lpng/pngget.c,
	arch/os2/lpng/pngmem.c, arch/os2/lpng/pngpread.c,
	arch/os2/lpng/pngread.c, arch/os2/lpng/pngrio.c,
	arch/os2/lpng/pngrtran.c, arch/os2/lpng/pngrutil.c,
	arch/os2/lpng/pngset.c, arch/os2/lpng/pngtrans.c,
	arch/os2/lpng/pngwio.c, arch/os2/lpng/pngwrite.c,
	arch/os2/lpng/pngwtran.c, arch/os2/lpng/pngwutil.c: Addition
	of needed libpng files for the OS/2 port.

	* arch/os2/zlib/README, arch/os2/zlib/adler32.c,
	arch/os2/zlib/compress.c, arch/os2/zlib/crc32.c,
	arch/os2/zlib/deflate.c, arch/os2/zlib/deflate.h,
	arch/os2/zlib/gzio.c, arch/os2/zlib/infblock.c,
	arch/os2/zlib/infblock.h, arch/os2/zlib/infcodes.c,
	arch/os2/zlib/infcodes.h, arch/os2/zlib/inffast.c,
	arch/os2/zlib/inffast.h, arch/os2/zlib/inffixed.h,
	arch/os2/zlib/inflate.c, arch/os2/zlib/inftrees.c,
	arch/os2/zlib/inftrees.h, arch/os2/zlib/infutil.c,
	arch/os2/zlib/infutil.h, arch/os2/zlib/maketree.c,
	arch/os2/zlib/maketree.c, arch/os2/zlib/trees.c,
	arch/os2/zlib/trees.h, arch/os2/zlib/uncompr.c,
	arch/os2/zlib/zconf.h, arch/os2/zlib/zlib.h,
	arch/os2/zlib/zutil.c, arch/os2/zlib/zutil.h: Addition of
	needed libz files for the OS/2 port.

2005-10-15  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* doc/html/plain/cbm_basic_tokens.txt, petcat.c: Added support
	for Basic Lightning to petcat.

2005-10-14  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* doc/html/plain/cbm_basic_tokens.txt, petcat.c: Added support
	for Drago basic 2.2 and REU-basic to petcat.

	* c64/cart/crt.c: Fixed missing stb.h include.

2005-10-14  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* doc/html/plain/cbm_basic_tokens.txt, petcat.c: Added support
	for Xbasic to petcat.

	* arch/win32/c1541.dsp, arch/win32/petcat.dsp: Added
	wsock32.lib to the link list

	* c64/cart/ross.c: Fixed a typo.

2005-10-14  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/os2/vac++/incl/c64cart.icc, c64/cart/crt.c,
	cartridge.h: Added support for 'structured basic' and 'ross'
	type carts.

	* arch/win32/c64cart.dsp, c64/cart/Makefile.am,
	c64/cart/ross.c, c64/cart/ross.h: Added support for 'ross'
	type carts.

	* c64/cart/c64cartmem.c: Added support for 'ross' type carts
	and fixed the detach of the 'structured basic' type carts.

	* c64/cart/stb.c, c64/cart/stb.h: Added .crt support.

2005-10-12  pottendo  <pottendo@utanet.at>

	* arch/win32/resc128.rc  resc64.rc  rescbm2.rc  respet.rc
	resplus4.rc  res.rc  resvic20.rc: fixed Italian special
	characters.
	* translate.c: ditto.

2005-10-11  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/os2/vac++/incl/c64cart.icc,
	arch/win32/c64cart.dsp, c64/cart/Makefile.am,
	c64/cart/c64cartmem.c, c64/cart/comal80.c,
	c64/cart/comal80.h, c64/cart/crt.c, cartridge.h: Added support
	for the Comal-80 cartridge.

2005-10-10  Andreas Boose  <viceteam@t-online.de>

	* Version 1.17.2.

	* arch/unix/hardsid.c: New file submitted by Simon White.

	* hardsid.h: Added patch submitted by Simon White.

	* arch/unix/Makefile.am: Added new file.

	* arch/win32/hardsid.c (hardsid_reset): New function.

	* arch/unix/hardsid.c: Added some logging.

	* arch/unix/uisid.c: Added HardSID UI.

	* drive/rotation.c (rotation_rotate_disk): Added some
	workaround for GCR zero bytes.  Not enabled for now.

	* c64/cart/c64cart.c: Fixed STB command line option.

	* arch/win32/resdrivec128.rc, arch/win32/resdriveplus4.rc: New
	files.

	* arch/win32/resc128.rc, arch/win32/resplus4.rc: Moved drive
	specific resources to separate file.

	* arch/win32/Makefile.am, arch/win32/x128.dsp: Added new files.	

2005-10-10  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/Makefile.am: Fixes the res*.txt dependancies.

2005-10-10  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/resc128.rc, arch/win32/resc64.rc,
	arch/win32/rescbm2.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/resvic20.rc: Updated the
	some dutch translations.

2005-10-09  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c64/cart/c64cartmem.c, c64/cart/crt.c,
	c64/cart/epyxfastload.c, c64/cart/epyxfastload.h,
	c64/cart/final.c, c64/cart/final.h, c64/cart/kcs.c,
	c64/cart/kcs.h: Fixed some attach/detach problems with certain
	.crt type carts.

2005-10-09  John Selck  <selck_j@informatik.haw-hamburg.de>

	* vdc/vdc-mem.c (vdc_read): Improved behaviour of vertical
	blank bit.

2005-10-09  Andreas Boose  <viceteam@t-online.de>

	* Version 1.17.1.

	* arch/win32/archdep.c (archdep_network_init,
	archdep_network_shutdown): Moved WSA* functions here.

	* arch/win32/console.c (remember_current_input_and_delete):
	Fixed warnings.

	* c64/cart/Makefile.am, arch/win32/c64cart.dsp: Added new
	files.

	* translate.c, translate.h, c64/cart/c64cart.c: Added
	translation support.

	* arch/win32/resmenu.txt, arch/win32/uic64cart.c,
	arch/win32/resc64.rc, arch/win32/resc128.rc,
	arch/win32/resstrings.txt, arch/win32/intl.c,
	arch/win32/res.rc: Added support for STB cart.

	* c64/cart/c64cart.c: Fixed includes and maked local functions
	static.

	* c64/cart/stb.c, c64/cart/stb.h: Added new files submitted by
	Walter Zimmer.

	* arch/unix/uic64cart.c, c64/cart/c64cart.c,
	c64/cart/c64cartmem.c, cartridge.h

2005-10-09  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/res.rc, translate.c: Updated to the reviewed
	french translations.

2005-10-09  John Selck  <selck_j@informatik.haw-hamburg.de>

	* vdc/vdc.c (vdc_raster_draw_alarm_handler): Attribute RAM
	pointer is now updated on first displayed line.

	* vdc/vdc-mem.c (vdc_store): Attribute RAM pointer now isn't
	update on register 20/21 access. Fixed the force_refresh
	condition of the register 26 access. Inverted the access to
	the horizontal soft scroll register in register 25.

2005-10-09  John Selck  <selck_j@informatik.haw-hamburg.de>

	* drive/driverom.c (driverom_initialize_traps): Added patch
	for fast drive reset for 1541 drives.

2005-10-08  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/intl.c, arch/win32/res.rc,
	arch/win32/resc128.rc, arch/win32/resc64.rc,
	arch/win32/rescbm2.rc, arch/win32/resdrivepetcbm2.rc,
	arch/win32/reside64.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/resplus60k.rc,
	arch/win32/resramcart.rc, arch/win32/resreu.rc,
	arch/win32/resrs232user.rc, arch/win32/ressid.rc,
	arch/win32/restfe.rc, arch/win32/resvic20.rc,
	arch/win32/resvicii.rc: Updated with the latest French and
	Italian translations.

2005-10-02  Andreas Boose  <viceteam@t-online.de>

	* Version 1.17.

	* debug.h: Fixed comment.

2005-10-02  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* translate.c: Updated with the latest french and italian
	translations.

2005-10-02  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/intl.c, arch/win32/res.rc,
	arch/win32/resacia.rc, arch/win32/resc128.rc,
	arch/win32/resc64.rc, arch/win32/rescbm2.rc,
	arch/win32/resdrivec64vic20.rc, arch/win32/resgeoram.rc,
	arch/win32/respet.rc, arch/win32/resplus4.rc,
	arch/win32/resvic20.rc: Partially updated with the latest
	french and italian translations.

2005-10-02  pottendo  <pottendo@utanet.at>

	* info.c: Minor update.

2005-10-01  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.21.

	* debug.h: Undefine `DEBUG'.

2005-09-30  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/intl.c, arch/win32/res.rc,
	arch/win32/resacia.rc, arch/win32/resc128.rc,
	arch/win32/resc64.rc, arch/win32/rescbm2.rc,
	arch/win32/resdialogs.txt, arch/win32/resdrivec64vic20.rc,
	arch/win32/resdrivepetcbm2.rc, arch/win32/resgeoram.rc,
	arch/win32/reside64.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/resplus60k.rc,
	arch/win32/resramcart.rc, arch/win32/resreu.rc,
	arch/win32/resrs232user.rc, arch/win32/ressid.rc,
	arch/win32/restfe.rc, arch/win32/resvic20.rc:  Updated with
	the latest Swedish translation.

2005-09-30  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* translate.c: Updated with the latest Swedish translations.

2005-09-29  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* info.c: Added Solaris binary packages.

2005-09-27  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/res.rc: Added english IDS_NONE

2005-09-24  pottendo  <pottendo@utanet.at>

	* arch/unix/uicmdline.c (ui_cmdline_show_help): Call gettext for
	translation of description.

2005-09-23  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/intl.c, arch/win32/res.rc,
	arch/win32/resacia.rc, arch/win32/resc128.rc,
	arch/win32/resc64.rc, arch/win32/rescbm2.rc,
	arch/win32/resdrivec64vic20.rc,
	arch/win32/resdrivepetcbm2.rc, arch/win32/resgeoram.rc,
	arch/win32/reside64.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/resplus60k.rc,
	arch/win32/resramcart.rc, arch/win32/resreu.rc,
	arch/win32/resrs232user.rc, arch/win32/ressid.rc,
	arch/win32/restfe.rc, arch/win32/resvic20.rc:  Updated with
	the latest German translation.

2005-09-22  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* translate.c: Updated with the latest German translations.

2005-09-21  Tibor Biczo  <crown@t-online.hu>

	* arch/win32/intl.c (intl_arch_language_init): Set default
	language to English, disable autodetect code temporarily.

	* arch/win32/resc128.rc, arch/win32/resc64.rc,
	arch/win32/rescbm2.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/resvic20.rc:
	Disable Language selection menu entries.

2005-09-15  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* translate.c: Fixed some dutch translations.

2005-09-15  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* sid/sid-cmdline-options.c: Fixed to be used by gettext.

2005-09-14  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.20.

	* sounddrv/Makefile.am: Added `soundcoreaudio.c'.

2005-09-14  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* translate.c, translate.h: Cosmetic fixes.

2005-09-12  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* aciacore.c, attach.c, c128/c128-cmdline-options.c,
	c128/c128mmu.c, c128/functionrom.c, c64/c64-cmdline-options.c,
	c64/cart/c64cart.c, c64/cart/ide64.c, c64/georam.c,
	c64/plus60k.c, c64/psid.c, c64/ramcart.c, c64/reu.c,
	c64/tfe.c, cbm2/cbm2-cmdline-options.c, datasette.c, debug.c,
	drive/drive-cmdline-options.c,
	drive/iec/iec-cmdline-options.c,
	drive/iec128dcr/iec128dcr-cmdline-options.c,
	drive/ieee/ieee-cmdline-options.c,
	drive/tcbm/tcbm-cmdline-options.c, event.c, fliplist.c,
	fsdevice/fsdevice-cmdline-options.c, gfxoutputdrv/ffmpegdrv.c,
	initcmdline.c, kbdbuf.c, log.c, mouse.c,
	pet/pet-cmdline-options.c, pet/petpia1.c,
	plus4/plus4-cmdline-options.c, plus4/ted-cmdline-options.c,
	printerdrv/driver-select.c, printerdrv/interface-serial.c,
	printerdrv/interface-userport.c, printerdrv/output-select.c,
	printerdrv/output-text.c, ram.c,
	raster/raster-cmdline-options.c, rs232drv/rs232drv.c,
	rs232drv/rsuser.c, serial/serial-iec-device.c,
	sid/sid-cmdline-options.c, sound.c, sysfile.c, traps.c,
	vdc/vdc-cmdline-options.c, vic20/vic20-cmdline-options.c,
	vic20/vic20cartridge.c, vicii/vicii-cmdline-options.c,
	video/video-cmdline-options.c, vsync.c: Updated the unix intl
	to include the command line options.

2005-09-08  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* petcat.c: Added support for Pegasus basic 4.0.

2005-09-07  Andreas Matthies  <andreas.matthies@gmx.net>

	* c64/c64pla.c (c64pla_pport_reset): Initialize the data parts
	with 0x3f to get correct peek(1) at startup.

2005-09-06  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* petcat.c: Added support for Mighty basic.

2005-09-04  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* petcat.c: Added support for WS basic.

2005-09-04  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* petcat.c: Added support for graphics basic.

2005-08-30  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* petcat.c: Added support for Ultrabasic-64.

2005-08-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.19.

2005-08-14  Michael Klein  <michael.klein@puffin.lb.shuttle.de>

	* Makefile.am: Honor $(LDFLAGS) during link, use @INTLLIBS@
	where needed

	* arch/unix/uisid.c: fixed Catweasel spelling

2005-08-14  Michael Klein  <michael.klein@puffin.lb.shuttle.de>

	* sound.c, sound.h: Added CoreAudio support.

	* sounddrv/soundcoreaudio.c: New file.

2005-08-10  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/beos/ui.cc, arch/msdos/menudefs.c,
	arch/os2/dialogs/dialogs.rc, arch/unix/x11/gnome/about.c,
	arch/unix/x11/xaw/about.c, arch/win32/res.rc, info.c: Added
	myself to the member list.

2005-08-07  pottendo  <pottendo@utanet.at>

	* arch/win32/Makefile.am (res.h): source `genwinres.sh' by
	prefix `.'

2005-08-07  pottendo  <pottendo@utanet.at>

	* petcat.c (p_expand): Removed `(int)' cast to make gcc4
	happy.

	* arch/unix/x11/gnome/uiarch.h: Removed *display declaration.

2005-08-04  Tibor Biczo  <crown@t-online.hu>

	* arch/win32/intl.c (intl_table): Removed dialog ids which are
	not translated this way anymore.

	* arch/win32/res.rc: Moving texts to alternate store method.

	* arch/win32/resdialogs.txt: Removed obsolete IDS, added new
	IDS.

	* arch/win32/reside64.rc, arch/win32/resplus60k.rc,
	arch/win32/resramcart.rc, arch/win32/resreu.rc,
	arch/win32/rs232user.rc: Switching to smart dialog
	initialization.

	* arch/win32/resstrings.txt: Removed obsolete IDS, added new
	IDS.

	* arch/win32/uiide64.c, arch/win32/uiplus60k.c,
	arch/win32/uiramcart.c, arch/win32/uireu.c: Localize and
	resize dialog.

	* arch/win32/x64.dsp: Added plus60k resources.

2005-08-02  Tibor Biczo  <crown@t-online.hu>

	* arch/win32/intl.c (intl_table): Removed dialog ids which are
	not translated this way anymore.
	(text_cache): Bitfield, showing which text blocks are loaded
	and cached.
	(intl_text_init): Do not preload all texts.
	(intl_translate_text_new): Load and cache required texts.

	* arch/win32/res.rc: Moving texts to alternate store method.

	* arch/win32/resacia.rc: Switching to smart dialog
	initialization.

	* arch/win32/resdialogs.txt: Removed obsolete IDS, added new
	IDS.

	* arch/win32/resrs232user.rc: Switching to smart dialog
	initialization.

	* arch/win32/ressid.rc: Removed unused stuff.

	* arch/win32/resstrings.txt: Removed obsolete IDS, added new
	IDS.

	* arch/win32/restfe.rc: Switching to smart dialog
	initialization.

	* arch/win32/resvic20.rc: Switching to smart dialog
	initialization.

	* arch/win32/resvicii.rc: Switching to smart dialog
	initialization.

	* arch/win32/uiacia.c, arch/win32/uijoystick.c: Localize and
	resize dialog.

	* arch/win32/uilib.c, arch/win32/uilib.h
	(uilib_get_group_extent, uilib_move_and_adjust_group_width,
	uilib_move_group, uilib_adjust_group_width,
	uilib_move_and_adjust_element_width,
	uilib_adjust_element_width, uilib_set_element_width,
	uilib_localize_dialog): New support functions to help localize
	and adjust layout of dialogs.

	* arch/win32/uirs232user.c, arch/win32/uisound.c,
	arch/win32/uitfe.c, arch/win32/uivicii.c,
	arch/win32/uivicset.c, arch/win32/vic20ui.c: Localize, and
	adjust dialog layout.

2005-07-30  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.18.

	* arch/unix/x11/vidmode.c, arch/unix/x11/vidmode.h,
	arch/unix/x11/dga1.c, arch/unix/x11/dga1.h,
	arch/unix/x11/dga2.c, arch/unix/x11/dga2.h,
	arch/unix/x11/fullscreen.c, arch/unix/fullscreenarch.h:
	Pass pointer instead of array.

	* arch/unix/uiacia1.h, arch/unix/uidriveplus4.h,
	arch/unix/uivicii.h, arch/unix/uipalemu.h, arch/unix/uicrtc.h,
	arch/unix/uiramcart.h, arch/unix/uiide64.h,
	arch/unix/uic64cart.h, arch/unix/uidrivec128.h,
	arch/unix/uigeoram.h, arch/unix/uiperipheralieee.h,
	arch/unix/uirs232c64c128.h, arch/unix/uisettings.h,
	arch/unix/uireu.h, arch/unix/uited.h, arch/unix/uitfe.h,
	arch/unix/uivdc.h, arch/unix/uivic.h, arch/unix/uidrive.h,
	arch/unix/uidrivepetcbm2.h, arch/unix/uijoystick2.h,
	arch/unix/uirs232user.h, arch/unix/uicommands.h,
	arch/unix/uidriveiec.h, arch/unix/uiprinteriec.h,
	arch/unix/uisound.h, arch/unix/uidatasette.h,
	arch/unix/uidrivec64vic20.h, arch/unix/uikeyboard.h,
	arch/unix/uiprinterieee.h, arch/unix/uiperipheraliec.h,
	arch/unix/uiplus60k.h, arch/unix/uirs232petplus4cbm2.h,
	arch/unix/uifliplist.h, arch/unix/uiattach.h:
	#include "uimenu.h".

	* vicii/vicii.c, plus4/ted.c: Fixed some gcc4 warnings.

	* sid/sid-resources.c: Fixed warning if compiled without
	resid support.

	* raster/raster-line.c (handle_visible_line_without_cache):
	Do not inline.

	* translate.c: Fixed some translations.

2005-07-25  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* info.c: Updated the information.

	* translate.c: Added dutch translation of the new resid item.

2005-07-24  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/x11/qnxipc.h: Added a formerly missing include
	statement.

2005-07-24  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.17.

2005-07-17  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/archdep.c, arch/riscos/kbd.c, arch/riscos/ui.c,
	arch/riscos/uiimage.c: some minor issues with signed
	characters and filing system properties.

	* sid/resid.cc, sid/sid-cmdline-options.c,
	sid/sid-resources.c: resource and command line option for
	reSID gain

	* translate.h, translate.c: macros etc. for reSID gain option
	(this system is really weak, dude)

2005-07-14  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/x11/Makefile.am, arch/unix/x11/qnxipc.h,
	arch/unix/x11/qnxshm.c, arch/unix/x11/qnxshm.h,
	arch/unix/x11/renderxv.h: Added qnx specific files for shared
	memory emulation.

	* arch/unix/x11/renderxv.c: Added dummy shared memory
	functions.

	* arch/unix/x11/xaw/x11video.c, : Made qnx not use mitshm.

	* sid/resid.cc: Fixed an include problem with qnx.

2005-07-10  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* sound.c, sounddrv/soundsun.c: Fixed so that OpenBSD doesn't
	use this sound driver.

2005-07-10  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.16.

	* rs232drv/rsuser.c: Fixed wrong usage of `rsuser_enabled'
	noticed by Keith Henrickson.

2005-06-27  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/beos/c64ui.cc, arch/beos/constants.h,
	arch/beos/vicemenu.cc, arch/msdos/Makefile.am,
	arch/msdos/c64ui.c, arch/msdos/uiplus60k.c,
	arch/msdos/uiplus60k.h, arch/os2/dialogs/menubar.c,
	arch/os2/dialogs/menubar.h, arch/os2/dialogs/menubar.rc,
	arch/os2/vac++/incl/c64.icc, arch/riscos/uiconfig.c,
	arch/riscos/uiconfig.h, arch/riscos/uihelp.c,
	arch/riscos/uisharedef.h, arch/unix/Makefile.am,
	arch/unix/c64ui.c, arch/unix/uiplus60k.c,
	arch/unix/uiplus60k.h, arch/win32/Makefile.am,
	arch/win32/arch.dsp, arch/win32/c64.dsp,
	arch/win32/c64ui.c, arch/win32/intl.c,
	arch/win32/resc64.rc, arch/win32/resdialogs.txt,
	arch/win32/resmenu.txt, arch/win32/resplus60k.rc,
	arch/win32/resstrings.txt, arch/win32/uiplus60k.c,
	arch/win32/uiplus60k.h, c128/c128.c, c64/Makefile.am,
	c64/c64.c, c64/c64mem.c, c64/plus60k.c, c64/plus60k.h,
	c64/ramcart.c, translate.c, translate.h: Added emulation
	of the c64 +60K expansion.

2005-06-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.15.

2005-06-19  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* printerdrv/drv-nl10.c, printerdrv/output-graphics.c,
	util.c: Changed some C++ type comments to C type comments.

2005-06-12  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/x11/xaw/widgets/Directory.c: Added telldir and
	seekdir functions if not present in the compiler environment.

	* arch/unix/x11/xaw/widgets/Directory.h: Added MAXPATHLEN
	definition if not defined, and added u_short definition when
	not defined.

2005-06-10  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/intl.c, arch/win32/joy.c, arch/win32/res.rc,
	arch/win32/resstrings.txt, arch/win32/ui-resources.c,
	arch/win32/video.c, src/translate.c, translate.h: Added the
	last couple of command-line help text for the new
	internationalization.

	* arch/win32/statusbar.h: Added an include to fix a problem
	with a struct.

	* arch/win32/uilib.c: Fixed a 'no newline at end of file'.

	* aciacore.c, arch/win32/uicmdline.c, attach.c,
	c128/c128-cmdline-options.c, c128/c128mmu.c,
	c128/functionrom.c, c1541.c,
	c64/c64-cmdline-options.c, c64/cart/c64cart.c,
	c64/cart/ide64.c, c64/georam.c, c64/psid.c,
	c64/ramcart.c, c64/reu.c, c64/tfe.c,
	cbm2/cbm2-cmdline-options.c, cmdline.c, cmdline.h,
	datasette.c, debug.c, drive/drive-cmdline-options.c,
	drive/iec/iec-cmdline-options.c,
	drive/iec128dcr/iec128dcr-cmdline-options.c,
	drive/ieee/ieee-cmdline-options.c,
	drive/tcbm/tcbm-cmdline-options.c, event.c,
	fliplist.c, fsdevice/fsdevice-cmdline-options.c,
	gfxoutputdrv/ffmpegdrv.c, initcmdline.c, kbdbuf.c,
	log.c, mouse.c, pet/pet-cmdline-options.c,
	pet/petpia1.c, petcat.c, plus4/plus4-cmdline-options.c,
	plus4/ted-cmdline-options.c, printerdrv/driver-select.c,
	printerdrv/interface-serial.c,
	printerdrv/interface-userport.c,
	printerdrv/output-select.c, printerdrv/output-text.c,
	ram.c, raster/raster-cmdline-options.c,
	rs232drv/rs232drv.c, rs232drv/rsuser.c,
	serial/serial-iec-device.c, sid/sid-cmdline-options.c,
	sound.c, sysfile.c, traps.c, uicmdline.h,
	vdc/vdc-cmdline-options.c,
	vic20/vic20-cmdline-options.c, vic20/vic20cartridge.c,
	vicii/vicii-cmdline-options.c,
	video/video-cmdline-options.c, vsync.c: Finshed up the
	internationalization of the command-line help text, and
	removed the temporary duplicated functionality.

2005-06-08  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/Makefile.am, src/arch/win32/genwinres.sh,
	arch/win32/res.h, arch/win32/utils/Makefile.am: Added
	automatic win32 res.h generating, for both native and cross
	gcc compile environments.

2005-06-08  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/arch.dsp, arch/win32/genwinres.dsp,
	arch/win32/intl.c, arch/win32/res.txt,
	arch/win32/resdialogs.txt, arch/win32/resmenu.txt,
	arch/win32/resstrings.txt, arch/win32/utils/genwinres.c,
	arch/win32/vice.dsw:

	* arch/win32/console.c, arch/win32/uimon.c,
	arch/win32/uimonmsg.h:

	* arch/win32/res.rc, arch/win32/resc128.rc,
	arch/win32/resc64.rc, arch/win32/rescbm2.rc,
	arch/win32/respet.rc, arch/win32/resplus4.rc,
	arch/win32/resvic20.rc:

2005-06-05  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.14.

2005-06-05  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/c1541.dsp: Fixed to not link to cmdline.c.

	* arch/win32/petcat.dsp: Fixed to not link to cmdline.c.

	* arch/win32/intl.c: Removed left over codepage 28605 code.

2005-06-05  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/intl.c, arch/win32/res.rc,
	arch/win32/resacia.rc, arch/win32/resc128.rc,
	arch/win32/resc64.rc, arch/win32/rescbm2.rc,
	arch/win32/resdrivec64vic20.rc,
	arch/win32/resdrivepetcbm2.rc, arch/win32/resgeoram.rc,
	arch/win32/reside64.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/resramcart.rc,
	arch/win32/resreu.rc, arch/win32/resrs232user.rc,
	arch/win32/ressid.rc, arch/win32/restfe.rc,
	arch/win32/resvic20.rc, arch/win32/resvicii.rc,
	translate.c, : Removed the 29605 codepage as was used for the
	italian language.

2005-06-04  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* aciacore.c, attach.c, c1541.c, datasette.c,
	debug.c, event.c, fliplist.c, initcmdline.c, kbdbuf.c,
	log.c, mouse.c, petcat.c, ram.c, sound.c, sysfile.c,
	translate.c, translate.h, traps.c,
	video/video-cmdline-options.c, vsync.c: Finished up the
	transition of the common command-line options help text to
	string tables.

2005-05-31  Andreas Matthies  <andreas.matthies@gmx.net>

	* core/ciacore.c (ciacore_intta): Initialize sr_bits with 14
	instead of 8.
	Well, this isn't confirmed by a test suite yet but fixes two
	bugs (Athena, Combat school) and seems reasonable by reading
	the 64PRG p.432: "shifted out on the SP pin at 1/2 the
	underflow rate of TIMER A" and remembering that the first
	underflow already happened when sr_bits is initialized.

2005-05-31  pottendo  <pottendo@utanet.at>

	* arch/win32/Makefile.am (resXXX.o): prefixed source files with
	`$(srcdir)/', added --include-dir $(top_builddir)/src to $(WRC)
	command line. 

2005-05-30  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/Makefile.am (vice.manifest): Added new file.

	* arch/win32/intl.c: Removed SID setting dialog related IDs
	from translation table.
	(intl_text_table2): Temporary table until all texts are
	switched over to new method.
	(intl_text_init): Alternate load method for strings.
	(intl_text_free): Free alternate table as well.
	(intl_translate_text_new): Alternate translation method.

	* arch/win32/intl.h (intl_translate_text_new): New function.

	* arch/win32/msvc/config.h: Disable warning 4996 for MSVC8
	compilation.
	MSVC8 deprecates most of the standard C library functions,
	this turns off warnings for those functions.
	Define HAVE_STRCASECMP, this is a required fix for MSVC8
	compilation.

	* arch/win32/res.h: Removed unused IDs, and added new IDs for
	SID settings dialog.

	* arch/win32/res.rc: Added manifest file. This enables XP
	styles.

	* arch/win32/rescommon.h: Define Language IDS.

	* arch/win32/ressid.rc: Reorganized resources.

	* arch/win32/uilib.c (uilib_get_general_window_extents): New
	function. Calculates window size based on text and used font.

	* arch/win32/uilib.h (uilib_get_general_window_extents): New
	function.

	* arch/win32/uisid.c (init_general_sid_dialog,
	init_resid_sid_dialog, init_hardsid_sid_dialog): Set localized
	strings.
	(resize_general_sid_dialog, resize_resid_sid_dialog,
	resize_hardsid_sid_dialog): New functions, positions and sizes
	control elements.

	* arch/win32/vice.manifest: New file. Enables use of Common
	Controls Version 6 if available (XP only), which switches UI
	to XP style.

2005-05-29  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* printerdrv/driver-select.c, printerdrv/interface-serial.c,
	printerdrv/interface-userport.c, printerdrv/output-select.c,
	printerdrv/output-text.c, raster/raster-cmdline-options.c,
	rs232drv/rs232drv.c, rs232drv/rsuser.c,
	serial/serial-iec-device.c, sid/sid-cmdline-options.c,
	translate.c, translate.h, vdc/vdc-cmdline-options.c,
	vic20/vic20-cmdline-options.c, vic20/vic20cartridge.c,
	vicii/vicii-cmdline-options.c: Transition to string tables for
	the internationalization of the command-line options help
	text.

2005-05-29  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.13.

2005-05-28  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* drive/drive-cmdline-options.c,
	drive/iec/iec-cmdline-options.c,
	drive/iec128dcr/iec128dcr-cmdline-options.c,
	drive/ieee/ieee-cmdline-options.c,
	drive/tcbm/tcbm-cmdline-options.c,
	fsdevice/fsdevice-cmdline-options.c,
	gfxoutputdrv/ffmpegdrv.c, pet/pet-cmdline-options.c,
	pet/petpia1.c, plus4/plus4-cmdline-options.c,
	plus4/ted-cmdline-options.c, translate.c,
	translate.h: More changes for the transition to string tables
	for the internationalization of the command-line options help
	text.

2005-05-27  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c64/c64-cmdline-options.c, c64/ramcart.c,
	cbm2/cbm2-cmdline-options.c, translate.c: Fixed my previous
	mistakes.

2005-05-27  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c128/c128mmu.c, c128/functionrom.c,
	c64/c64-cmdline-options.c, c64/cart/c64cart.c,
	c64/cart/ide64.c, c64/georam.c, c64/psid.c,
	c64/ramcart.c, c64/reu.c, c64/tfe.c,
	cbm2/cbm2-cmdline-options.c, translate.c,
	translate.h: Transition of command-line options help text
	to string tables for the internationalization.

2005-05-27  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* gfxoutputdrv/pngdrv.c: Fixed png_set_invert_alpha() call by
	only using it if the libpng package supports it.

2005-05-26  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* sound.c, sounddrv/sounduss.c: Fix to make BSDI not use
	sounduss.

2005-05-25  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c1541.c, petcat.c: Added a dummy cmdline_register_options
	function.

	* Makefile.am: Got rid of the linking of cmdline.o and the
	arch dependant uicmdline.o for the c1541 and petcat programs.

	* arch/win32/uicmdline.c, c128/c128-cmdline-options.c,
	cmdline.c, cmdline.h, translate.c, translate.h,
	uicmdline.h: Start of the localization of the command-line
	options help text.

2005-05-23  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.12.

	* sound.c: Print available sound devices within one line.

2005-05-23  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* vic20/vic20memsnapshot.c: Fixed an unchecked memory.h
	include.

2005-05-19  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* sound.c, sounddrv/sounduss.c: Fix to make FreeBSD not use
	sounduss.

2005-05-16  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/x11/xaw/widgets/Directory.h,
	fsdevice/fsdevice-cmdline-options.c,
	fsdevice/fsdevicetypes.h, ioutil.c: PATH_MAX fix for unix
	platforms.

2005-05-15  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/x128.dsp, arch/win32/x64.dsp,
	arch/win32/xcbm2.dsp, arch/win32/xpet.dsp,
	arch/win32/xplus4.dsp, arch/win32/xvic.dsp: Concatenate
	resource files into master resource file for compilation.

2005-05-15  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.11.

	* translate.c, main.c: Added missing includes.

	* translate.c (translate_resources_shutdown): Removed unused
	variable.

2005-05-15  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/c128ui.c, arch/win32/c64ui.c,
	arch/win32/cbm2ui.c, arch/win32/ffmpeglib.c,
	arch/win32/fullscrn.c, arch/win32/petui.c,
	arch/win32/plus4ui.c, arch/win32/statusbar.c,
	arch/win32/ui.c, arch/win32/uiacia.c,
	arch/win32/uiattach.c, arch/win32/uic128.c,
	arch/win32/uic64cart.c, arch/win32/uicart.c,
	arch/win32/uicbm2set.c, arch/win32/uiconsole.c,
	arch/win32/uidatasette.c, arch/win32/uidrivec128.c,
	arch/win32/uidrivec64vic20.c, arch/win32/uidrivepetcbm2.c,
	arch/win32/uidriveplus4.c, arch/win32/uievent.c,
	arch/win32/uifliplist.c, arch/win32/uigeoram.c,
	arch/win32/uihelp.c, arch/win32/uiide64.c,
	arch/win32/uijoystick.c, arch/win32/uikeyboard.c,
	arch/win32/uilib.c, arch/win32/uimediafile.c,
	arch/win32/uimon.c, arch/win32/uiperipheral.c,
	arch/win32/uipetset.c, arch/win32/uiplus4cart.c,
	arch/win32/uiplus4mem.c, arch/win32/uiquicksnapshot.c,
	arch/win32/uiram.c, arch/win32/uiramcart.c,
	arch/win32/uireu.c, arch/win32/uirom.c,
	arch/win32/uirs232.c, arch/win32/uirs232user.c,
	arch/win32/uisid.c, arch/win32/uisnapshot.c,
	arch/win32/uisound.c, arch/win32/uispeed.c,
	arch/win32/uitfe.c, arch/win32/uivicii.c,
	arch/win32/uivicset.c, arch/win32/uivideo.c,
	arch/win32/vic20ui.c, : Changed functions to use translate.c
	calls instead of intl.c calls.

	* arch/win32/intl.c, arch/win32/intl.h: Added codepage
	conversion and changed function names.

	* translate.c, translate.h: Added codepage table,
	translate_res() call and init/cleanup of codepage conversion.

	* arch/win32/res.rc, arch/win32/resacia.rc,
	arch/win32/resc128.rc, arch/win32/resc64.rc,
	arch/win32/rescbm2.rc, arch/win32/resdrivec64vic20.rc,
	arch/win32/resdrivepetcbm2.rc, arch/win32/resgeoram.rc,
	arch/win32/reside64.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/resramcart.rc,
	arch/win32/resreu.rc, arch/win32/resrs232user.rc,
	arch/win32/ressid.rc, arch/win32/restfe.rc,
	arch/win32/resvic20.rc, arch/win32/resvicii.rc: Added
	italian used codepage (28605 / ISO-8859-15).

2005-05-13  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* Makefile.am, arch/win32/base.dsp: Added translate.c for
	the new internationalization scheme.

	* arch/win32/msvc/config.h: Added HAS_TRANSLATION define.

	* arch/win32/intl.c, arch/win32/intl.h: Changed/moved
	functions to where they only have the arch dependant elements.

	* arch/win32/ui-resources.c, main.c: Changed the intl.c calls
	to translate.c calls.

	* autostart.c, c64/c64export.c, debug.c,
	event.c, screenshot.c, sound.c: Added common
	internationalization.

	* translate.c, translate.h: The new (common)
	internationalization scheme.

2005-05-11  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/console.c, arch/win32/uimon.c:
	[cosmetical] replaced tab-stops with spaces

2005-05-11  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/console.c: added multiline input support;
	corrected a reentrance problem because ui_dispatch_events()
	was called in console_in(), resulting in wrong outputs; cursor
	is now stopped while outputting, which fixes an output problem
	because wrong parts were overwritten with the old value under
	the cursor.

	* arch/win32/uimon.c: ask the MDI windows for their minimum
	size when resizing.

2005-05-09  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/intl.c, arch/win32/intl.h,
	arch/win32/res.h, arch/win32/res.rc,
	arch/win32/statusbar.c, arch/win32/uigeoram.c,
	arch/win32/uijoystick.c, arch/win32/uiramcart.c,
	arch/win32/uireu.c: Added some more formerly untranslated
	text, and added pre-translation of the main window caption.

	* arch/win32/ui.c, arch/win32/uiacia.c,
	arch/win32/uiattach.c, arch/win32/uic128.c,
	arch/win32/uicbm2set.c, arch/win32/uidrivec128.c,
	arch/win32/uidrivec64vic20.c, arch/win32/uidrivepetcbm2.c,
	arch/win32/uidriveplus4.c, arch/win32/uievent.c,
	arch/win32/uifliplist.c, arch/win32/uiide64.c,
	arch/win32/uikeyboard.c, arch/win32/uilib.c,
	arch/win32/uiperipheral.c, arch/win32/uipetset.c,
	arch/win32/uirom.c, arch/win32/uirs232user.c,
	arch/win32/uisid.c, arch/win32/uisound.c,
	arch/win32/uivideo.c: Got rid of some unneeded TEXT()
	elements.

	* arch/win32/uiconsole.c, arch/win32/uimediafile.c,
	arch/win32/uisnapshot.c: Fixed filter strings.

2005-05-08  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.10.

	* resources.c, resources.h (resources_save): Improved error
	checking.

2005-05-07  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/Makefile.am: Combine separate resource files
	before compiling and linking.

	* arch/win32/res.h: Fixed resource value typo.

2005-05-06  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/Makefile.am: Added new file rescommon.h.

	* arch/win32/res.h: Reorganized string IDS.

	* arch/win32/res.rc: Moved some defines into rescommon.h

	* arch/win32/resacia.rc, arch/win32/resc128.rc,
	arch/win32/resc64.rc, arch/win32/rescbm2.rc,
	arch/win32/resdrivec64vic20.rc, arch/win32/resdrivepetcbm2.rc,
	arch/win32/resgeoram.rc, arch/win32/reside64.rc,
	arch/win32/respet.rc, arch/win32/resplus4.rc,
	arch/win32/resramcart.rc, arch/win32/resreu.rc,
	arch/win32/resrs232user.rc, arch/win32/ressid.rc,
	arch/win32/restfe.rc, arch/win32/resvic20.rc,
	arch/win32/resvicii.rc: Updated include files.

	* arch/win32/rescommon.h: New file.

	* arch/win32/x128.dsp, arch/win32/x64.dsp,
	arch/win32/xcbm2.dsp, arch/win32/xpet.dsp,
	arch/win32/xplus4.dsp, arch/win32/xvic.dsp: Compile and link
	with separate resource files.

2005-05-04  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/Makefile.am: Added wrc as the prefered
	win32 resource compiler.

	* arch/win32/intl.c, arch/win32/res.h, arch/win32/vic20ui.c:
	Corrected vic20 cart mistakes.

	* arch/win32/res.rc, arch/win32/resacia.rc,
	arch/win32/resc128.rc, arch/win32/resc64.rc,
	arch/win32/rescbm2.rc, arch/win32/resdrivec64vic20.rc,
	arch/win32/resdrivepetcbm2.rc, arch/win32/resgeoram.rc,
	arch/win32/reside64.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/resramcart.rc,
	arch/win32/resreu.rc, arch/win32/resrs232user.rc,
	arch/win32/ressid.rc, arch/win32/restfe.rc,
	arch/win32/resvic20.rc, arch/win32/resvicii.rc: Added
	pragma directives for correct resource compilation
	of the polish dialogs, menus and string tables.

2005-05-03  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/intl.c, arch/win32/intl.h, arch/win32/res.h,
	arch/win32/res.rc, arch/win32/resacia.rc,
	arch/win32/resc128.rc, arch/win32/rescbm2.rc,
	arch/win32/resgeoram.rc, arch/win32/reside64.rc,
	arch/win32/respet.rc, arch/win32/resplus4.rc,
	arch/win32/resramcart.rc, arch/win32/resreu.rc,
	arch/win32/ressid.rc, arch/win32/resvic20.rc,
	arch/win32/statusbar.c, arch/win32/uic128.c,
	arch/win32/uic64cart.c, arch/win32/uicart.c,
	arch/win32/uicart.h, arch/win32/uicbm2set.c,
	arch/win32/uiconsole.c, arch/win32/uidrivec128.c,
	arch/win32/uidrivec64vic20.c, arch/win32/uidrivepetcbm2.c,
	arch/win32/uidriveplus4.c, arch/win32/uievent.c,
	arch/win32/uigeoram.c, arch/win32/uihelp.c,
	arch/win32/uiide64.c, arch/win32/uijoystick.c,
	arch/win32/uilib.c, arch/win32/uimediafile.c,
	arch/win32/uiperipheral.c, arch/win32/uipetset.c,
	arch/win32/uiplus4cart.c, arch/win32/uiquicksnapshot.c,
	arch/win32/uiramcart.c, arch/win32/uireu.c,
	arch/win32/uirom.c, arch/win32/uirs232user.c,
	arch/win32/uisid.c, arch/win32/uisnapshot.c,
	arch/win32/uisound.c, arch/win32/uivideo.c,
	arch/win32/vic20ui.c, vice.h: Finished the transition to
	string tables for the win32 intl.

2005-04-29  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/ffmpeglib.c, arch/win32/intl.c,
	arch/win32/res.rc, arch/win32/ui.c,
	arch/win32/uiattach.c, arch/win32/uic64cart.c,
	arch/win32/uicart.c, arch/win32/uiconsole.c,
	arch/win32/uifliplist.c, arch/win32/uikeyboard.c,
	arch/win32/uilib.c, arch/win32/uiperipheral.c,
	arch/win32/uiplus4cart.c: Transition to stringtable based
	translation.

	* arch/win32/res.h: Transition to stringtable based
	translation and renumbered the resources so it works
	on win9x again.

	* arch/win32/resc128.rc, arch/win32/resc64.rc,
	arch/win32/rescbm2.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/resvic20.rc: Fixed
	some comments.

2005-04-26  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/c128ui.c, arch/win32/c64ui.c,
	arch/win32/cbm2ui.c, arch/win32/petui.c,
	arch/win32/plus4ui.c, arch/win32/uic128.c,
	arch/win32/uicbm2set.c, arch/win32/uiconsole.c,
	arch/win32/uidatasette.c, arch/win32/uidrivec128.c,
	arch/win32/uidrivec64vic20.c, arch/win32/uidrivepetcbm2.c,
	arch/win32/uidriveplus4.c, arch/win32/uigeoram.c,
	arch/win32/uiide64.c, arch/win32/uikeyboard.c,
	arch/win32/uimediafile.c, arch/win32/uimon.c,
	arch/win32/uimon.c, arch/win32/uiperipheral.c,
	arch/win32/uipetset.c, arch/win32/uiplus4mem.c,
	arch/win32/uiram.c, arch/win32/uiramcart.c,
	arch/win32/uireu.c, arch/win32/uirom.c,
	arch/win32/uirs232.c, arch/win32/uirs232user.c,
	arch/win32/uisid.c, arch/win32/uisnapshot.c,
	arch/win32/uispeed.c, arch/win32/uitfe.c,
	arch/win32/uivicii.c, arch/win32/uivicset.c,
	arch/win32/uivideo.c, arch/win32/vic20ui.c: Merged
	intl_translate_dialog() and intl_translate_menu() into
	intl_translate.

	* arch/win32/ffmpeglib.c, arch/win32/fullscrn.c,
	arch/win32/intl.c, arch/win32/intl.h,
	arch/win32/res.h, arch/win32/res.rc,
	arch/win32/resacia.rc, arch/win32/ui.c,
	arch/win32/uiacia.c, arch/win32/uijoystick.c,
	arch/win32/uilib.c, arch/win32/uisound.c,
	vice.h: Start of the transition to a stringtable based
	translation.

	* arch/win32/resc128.rc, arch/win32/resc64.rc,
	arch/win32/rescbm2.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/resvic20.rc: Translated
	the new language menu into dutch.

	* arch/win32/rs232.c: Fixed inappropriate _() function calls.

2005-04-26  Dirk Jagdmann  <doj@cubic.org>

	* sound.c (sound_register_device): print available device
	names, fix a possible buffer overflow

2005-04-26  Dirk Jagdmann  <doj@cubic.org>

	* arch/unix/joy.c: add support for analog joysticks 0-5 (only
	for new_joystick_* codes)

	* arch/unix/joy.h, arch/unix/uijoystick2.c: add #defines for
	analog joysticks 0-5

2005-04-26  Dirk Jagdmann  <doj@cubic.org>

	* sound.h: Fixed bufferspace description.

2005-04-24  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.9.

	* arch/win32/resc64.rc, arch/win32/resc128.rc,
	arch/win32/resvic20.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/rescbm2.rc: Tweaked German
	translation.

	* arch/win32/ui.c (ui_set_language): Fixed prototype.

2005-04-24  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/intl.c (set_current_language): Call
	ui_update_menu on language change, to update the user
	interface.

	* arch/win32/res.h: Added ID's for language menu entries.

	* arch/win32/resc128.rc, arch/win32/resc64.rc,
	arch/win32/rescbm2.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/resvic20.rc:
	Added language selection menu entries.

	* arch/win32/ui.c (ui_lang_menu_entries): Struct for linking
	Language resource names, and menu resource ids for Language
	selection.
	(ui_update_menu): New function to update the current menu, on
	language change.
	(update_menus): Handle Language selection menu entries.
	(ui_set_language): New function to find language resource
	values for language menu entries, and to change the current
	language.
	(handle_wm_command): Handle Language selection menu entries.

	* arch/win32/ui.h (ui_update_menu): New function.

2005-04-23  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.8.

	* diskimage/fsimage.c (fsimage_write_sector): Flush buffer to
	make sure the write is visible to other readers.

	* diskimage/fsimage-gcr.c (fsimage_gcr_write_track): Changed
	likewise.

	* arch/win32/Makefile.am: Fixed order of source files.

2005-04-21  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/intl.c: Fixed to compile with msvc.

	* arch/win32/uiacia.c, arch/win32/uiperipheral.c,
	arch/win32/uisid.c: Fixed some warnings.

2005-04-21  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/res.rc, arch/win32/res.rc,
	arch/win32/resc128.rc, arch/win32/resc64.rc,
	arch/win32/rescbm2.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/resramcart.rc,
	arch/win32/resvic20.rc: Fixed some dutch sentences.

	* arch/win32/ffmpeglib.c, arch/win32/fullscrn.c,
	arch/win32/intl.c, arch/win32/statusbar.c,
	arch/win32/ui.c, arch/win32/uiacia.c,
	arch/win32/uiattach.c, arch/win32/uic128.c,
	arch/win32/uic64cart.c, arch/win32/uicart.c,
	arch/win32/uicbm2set.c, arch/win32/uiconsole.c,
	arch/win32/uidrivec128.c, arch/win32/uidrivec64vic20.c,
	arch/win32/uidrivepetcbm2.c, arch/win32/uidriveplus4.c,
	arch/win32/uievent.c, arch/win32/uifliplist.c,
	arch/win32/uigeoram.c, arch/win32/uihelp.c,
	arch/win32/uiide64.c, arch/win32/uijoystick.c,
	arch/win32/uikeyboard.c, arch/win32/uilib.c,
	arch/win32/uimediafile.c, arch/win32/uiperipheral.c,
	arch/win32/uipetset.c, arch/win32/uiplus4cart.c,
	arch/win32/uiquicksnapshot.c, arch/win32/uiramcart.c,
	arch/win32/uireu.c, arch/win32/uirom.c,
	arch/win32/uirs232user.c, arch/win32/uisid.c,
	arch/win32/uisnapshot.c, arch/win32/uisound.c,
	arch/win32/uivideo.c, c64/c64export.c, event.c,
	vice.h: Finished up the win32 intl.

	* info.c: Added the other things I've made for VICE thusfar.

2005-04-20  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.7.

2005-04-19  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* monitor/monitor.c: mon_set_mem_val() now allows writes into
	the address space of floppy drives.

2005-04-18  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/ffmpeglib.c, arch/win32/fullscrn.c,
	arch/win32/intl.c, arch/win32/intl.h,
	arch/win32/ui.c: Start of the text translation step of the
	win32 localization.

2005-04-18  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/intl.c, arch/win32/intl.h, arch/win32/res.h,
	arch/win32/resc64.rc, arch/win32/rescbm2.rc,
	arch/win32/respet.rc, arch/win32/resplus4.rc,
	arch/win32/resvic20.rc, arch/win32/ui.c,
	main.c: Finished up the menu step of the win32 localization.

2005-04-17  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.6.

2005-04-16  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/intl.c, arch/win32/intl.h, arch/win32/res.h,
	arch/win32/res.rc, arch/win32/resc128.rc, arch/win32/ui.c,
	arch/win32/uimon.c : Start of the menu part of the windows
	localization.

2005-04-14  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/win32/intl.c, arch/win32/res.h, arch/win32/res.rc,
	arch/win32/resacia.rc, arch/win32/resacia.rc,
	arch/win32/resc128.rc, arch/win32/resc64.rc,
	arch/win32/rescbm2.rc, arch/win32/resdrivec64vic20.rc,
	arch/win32/resdrivepetcbm2.rc, arch/win32/resgeoram.rc,
	arch/win32/reside64.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/resramcart.rc,
	arch/win32/resreu.rc, arch/win32/resrs232user.rc,
	arch/win32/ressid.rc, arch/win32/resvic20.rc,
	arch/win32/uiconsole.c, arch/win32/uigeoram.c,
	arch/win32/uijoystick.c, arch/win32/uilib.c,
	arch/win32/uimediafile.c, arch/win32/uiperipheral.c,
	arch/win32/uiram.c, arch/win32/uirom.c,
	arch/win32/uirs232.c, arch/win32/uisnapshot.c,
	arch/win32/uisound.c, arch/win32/uispeed.c,
	arch/win32/uivideo.c : Finished up the dialog step of the
	win32 localization

2005-04-13  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* c64/c64mem.c, c64/ramcart.c, c64/ramcart.h: Ramcart fixes.

2005-04-13  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/msdos/Makefile.am: Ethernet support libpcap fix.

2005-04-12  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.5.

	* arch/win32/intl.c: Fixed includes.

2005-04-12  pottendo  <pottendo@utanet.at>

	* info.c: Added Marco to contributors.

2005-04-12  Andreas Matthies  <andreas.matthies@gmx.net>

	* cia.h, riot.h, via.h, core/ciacore.c, core/riotcore.c,
	core/viacore.c: New functions <chip>_disable mainly to
	stop pending alarms.

	* drive/iec/iec.c, drive/iecieee/iecieee.c, drive/ieee/ieee.c
	(*_drive_reset): Resets or disables the chips depending on
	the drive type.

2005-04-12  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/unix/x11/xaw/widgets/RegExp.h: Fixed BSD compile.

2005-04-09  Marco van den Heuvel  <blackystardust68@yahoo.com>

        * arch/win32/Makefile.am, arch/win32/arch.dsp,
        arch/win32/c128ui.c, arch/win32/c64ui.c, arch/win32/cbm2ui.c,
        arch/win32/intl.c, arch/win32/intl.h, arch/win32/petui.c,
        arch/win32/plus4ui.c, arch/win32/res.h, arch/win32/resacia.rc,
        arch/win32/resc128.rc, arch/win32/resc64.rc,
        arch/win32/rescbm2.rc, arch/win32/resdrivec64vic20.rc,
        arch/win32/resdrivepetcbm2.rc, arch/win32/resgeoram.rc,
        arch/win32/reside64.rc, arch/win32/respet.rc,
        arch/win32/resplus4.rc, arch/win32/resramcart.rc,
        arch/win32/resreu.rc, arch/win32/resrs232user.rc,
        arch/win32/ressid.rc, arch/win32/restfe.rc,
        arch/win32/resvicii.rc, arch/win32/ui-resources.c,
        arch/win32/uiacia.c, arch/win32/uic128.c,
        arch/win32/uicbm2set.c, arch/win32/uidrivec128.c,
        arch/win32/uidrivec64vic20.c, arch/win32/uidrivepetcbm2.c,
        arch/win32/uidriveplus4.c, arch/win32/uigeoram.c,
        arch/win32/uiide64.c, arch/win32/uikeyboard.c,
        arch/win32/uipetset.c, arch/win32/uiplus4mem.c,
        arch/win32/uiramcart.c, arch/win32/uireu.c,
        arch/win32/uirom.c, arch/win32/uirs232user.c,
        arch/win32/uisid.c, arch/win32/uitfe.c, arch/win32/uivicii.c:
        Added internationalization support.

2005-04-09  Andreas Dehmel  <zarquon@t-online.de>

        * arch/riscos/archdep.h: defines for rs232-devices.

2005-04-09  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.4.

	* arch/unix/x11/xaw/uiscreenshot.c: #include "util.h".

	* sounddrv/soundalsa.c (alsa_init): Fixed warning.

2005-03-29  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/msdos/Makefile.am, arch/msdos/c128ui.c,
	arch/msdos/c64ui.c, arch/msdos/tfearch.c, arch/msdos/uitfe.c,
	arch/msdos/uitfe.h, c64/tfe.c: Added TFE/RR-NET support for
	the MSDOS version of VICE.

2005-03-28  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.3.

	* arch/unix/rs232.c, arch/win32/rs232.c, rs232drv/rs232drv.c,
	arch/unix/archdep.h, arch/win32/archdep.h: Moved resource and
	command line code to common file.

	* sound.h: Fixed warning.

	* sounddrv/soundalsa.c: Define `ALSA_PCM_NEW_HW_PARAMS_API'.

2005-03-16  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/beos/c128ui.cc, arch/beos/c64ui.cc,
	arch/beos/constants.h, arch/beos/vicemenu,
	arch/msdos/Makefile.am, arch/msdos/c128ui.c
	arch/msdos/c64ui.c, arch/msdos/uiramcart.c,
	arch/msdos/uiramcart.h, arch/os2/dialogs/menubar.c,
	arch/os2/dialogs/menubar.h, arch/os2/dialogs/menubar.rc,
	arch/os2/vac++/incl/c64.icc, arch/os2/vac++/x128/X128.ICC,
	arch/riscos/uiconfig.c, arch/riscos/uiconfig.h,
	arch/riscos/uihelp.c, arch/riscos/uisharedef.h,
	arch/unix/Makefile.am, arch/unix/c128ui.c,
	arch/unix/c64ui.c, arch/unix/uiramcart.c,
	arch/unix/uiramcart.h, arch/win32/Makefile.am,
	arch/win32/arch.dsp, arch/win32/c128ui.c, arch/win32/c64.dsp,
	arch/win32/c64c128.dsp, arch/win32/c64ui.c, arch/win32/res.h,
	arch/win32/resc128.rc, arch/win32/resc64.rc,
	arch/win32/resramcart.rc, arch/win32/uiramcart.c,
	arch/win32/uiramcart.h, c128/c128.c, c64/Makefile.am,
	c64/c64.c, c64/c64io.c, c64/c64mem.c, c64/cart/c64cartmem.c,
	c64/ramcart.c, c64/ramcart.h: added support for RAMCART	
	64/128.

	* arch/msdos/uigeoram.c: fixed georam submenu.

	* c64/c64io.c: fixed georam monitor entries.

2005-03-15  Andreas Matthies  <andreas.matthies@gmx.net>

	* gfxoutputdrv/ffmpeg/rational.h, gfxoutputdrv/Makefile.am:
	Added file.

	* arch/win32/msvc/config.h: Define snprintf.

	* arch/win32/uikeyboard.c (mapping_index_get): Fixed warning.

2005-03-12  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.2.

	* arch/unix/x11/videoarch.h: Added patch suggested by Andreas
	Jochens

2005-03-12  Dag Lem  <resid@nimrod.no>

	* arch/unix/x11/xaw/uiscreenshot.c (save_screenshot): Add
	filename extension via util_add_extension().
	(build_screenshot_dialog): Show driver->displayname, fit
	button width.

	* gfxoutputdrv/ffmpegdrv.c (ffmpegdrv_alloc_picture): Set
	picture->pts = AV_NOPTS_VALUE to fix frame errors and eventual
	crash.
	(ffmpegdrv_save): Changed non-standard _snprintf to snprintf.

2005-03-09  Dag Lem  <resid@nimrod.no>

	* sound.c (sound_init): Initialize ALSA sound device.

	* sounddrv/Makefile.am: Added soundalsa.c

	* sounddrv/soundalsa.c: New file - ALSA sound device.

2005-03-06  Andreas Matthies  <andreas.matthies@gmx.net>

	* gfxoutputdrv/ffmpeglib.h, arch/unix/ffmpeglib.c,
	arch/win32/ffmpeglib.c: Replaced __av_freep with av_free.

	* arch/win32/ffmpeglib.c (ffmpeglib_load_library): Checks for
	correct version of the dll.

	* gfxoutputdrv/ffmpeg/*.h: Replaced with headerfiles of
	ffmpeg-0.49pre1.

	* gfxoutputdrv/ffmpegdrv.c: Added support for the latest
	ffmpeg library. Code is based on the corresponding
	output_example.c.

2005-03-06  Tibor Biczo  <crown@axelero.hu>

	* tape/tap.c (tap_get_pulse): Report number of bytes read from
	file.
	(tap_cbm_skip_pilot): Keep track of file position by updating
	private counter, instead of using ftell().

2005-02-16  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* c64/reu.c: Correct REU values after reset.

2005-02-13  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/msdos/c128ui.c, arch/msdos/c64ui.c:
	it says I/O extensions at dfxx, but the mouse is in there and
	now my georam extension is in there (which uses $de00-dffff),
	in my opinion this should just be changed to just I/O
	extensions, without any naming of an address.

	* arch/unix/uigeoram.h:
	small typo, it said  '* uireu.h'  changed to  '* uigeoram.h'.

	* arch/win32/resgeoram.rc:
	changed some of the sizes of the elements of the dialog to
	make things fit better.

	* c64/c64io.c:
	georam only reacts in the range of $df80-$dfff with it's 2
	registers being mirrored, fixes made.

	* c64/georam.c:
	fixed the adresses the georam registers react to.

	* arch/msdos/ui.c:
	halftracks were not divided by 2, therefor the track display
	for the drive was wrong, fix made.

	* c128/c128-resources.c, c64/c64-resources.c:
	the ACIA is mapped into I/O-1 space when active, therefore it
	should be handled by c64export to avoid I/O-conflicts, fixes
	made.

	* c64/c64export.c, sid/sid-resources.c, sid/sid-resources.h:
	since the entire I/O-1 or I/O-2 is blocked when something is
	using that line the stereo-sid should not be excluded by the
	checking in c64export, if the stereo-sid is mapped into I/O-1
	then I/O-1 should be blocked for other hardware that wants to
	use this region, to avoid I/O conflicts, fixes made.

	* cbm2/cbm2.c:
	dummy c64export needed for the above fix.

2005-02-13  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.1.

	* c128/c128mem.c (mem_initialize_memory): In C64 mode writes
	to the last page should call `ram_hi_store()'.
	(ram_hi_store): New function.

2005-01-30  Michael Klein  <michael.klein@puffin.lb.shuttle.de>

	* keyboard.c: Use `keyc_num' to count keysyms.

2005-01-24  Marco van den Heuvel  <blackystardust68@yahoo.com>

	* arch/beos/c128ui.cc, arch/beos/c64ui.cc,
	arch/beos/constants.h, arch/beos/vicemenu.cc,
	arch/msdos/Makefile.am, arch/msdos/c128ui.c,
	arch/msdos/c64ui.c, arch/msdos/uigeoram.c,
	arch/msdos/uigeoram.h, arch/os2/dialogs/menubar.c,
	arch/os2/dialogs/menubar.h, arch/os2/dialogs/menubar.rc,
	arch/os2/vac++/incl/c64.icc, arch/os2/vac++/x128/X128.ICC,
	arch/riscos/uiconfig.c, arch/riscos/uiconfig.h,
	arch/riscos/uihelp.c, arch/riscos/uisharedef.h,
	arch/unix/Makefile.am, arch/unix/c128ui.c, arch/unix/c64ui.c,
	arch/unix/uigeoram.c, arch/unix/uigeoram.h,
	arch/win32/Makefile.am, arch/win32/arch.dsp,
	arch/win32/c128ui.c, arch/win32/c64.dsp,
	arch/win32/c64c128.dsp, arch/win32/c64ui.c, arch/win32/res.h,
	arch/win32/resc128.rc, arch/win32/resc64.rc,
	arch/win32/resgeoram.rc, arch/win32/uigeoram.c,
	arch/win32/uigeoram.h, c128/c128-resources.c, c128/c128.c,
	c128/c128mem.c, c128/c128memsnapshot.c, c64/Makefile.am,
	c64/c64-resources.c, c64/c64.c, c64/c64io.c,
	c64/c64memsnapshot.c, c64/georam.c, c64/georam.h: Added GEORAM
	support.

2005-01-23  Andreas Boose  <viceteam@t-online.de>

	* Version 1.16.

	* video/video-resources.c [video_resources]: Initialize
	`delayloop_emulation' with proper value.

	* main.c (main_program): Removed debug output.

2005-01-22  Andreas Boose  <viceteam@t-online.de>

	* Version 1.15.15.

	* arch/unix/x11/xaw/about.c, arch/unix/x11/gnome/about.c,
	info.c, arch/os2/dialogs/dialogs.rc, arch/beos/ui.cc,
	arch/msdos/menudefs.c, arch/win32/res.rc: Updated.

	* arch/unix/uited.c, arch/unix/uivic.c:
	#include "resources.h".

2005-01-18  Dominik Vogt  <dominik.vogt@gmx.de>

	* arch/unix/x11/xaw/x11ui.c (ui_select_file):
	removed trailing period as in other error messages

	* arch/unix/x11/gnome/x11ui.c (ui_select_contents_cb):
	fixed core dump
	fixed ascending the path by one level each time a file dialog
	was called

2005-01-16  Dag Lem  <resid@nimrod.no>

	* arch/unix/x11/video.c (init_xv_settings): Moved
	initialization code for XVideo settings from
	video_canvas_create() to separate function. Also called from
	video_canvas_resize() to ensure initialization when hardware
	scaling is not enabled at startup.

	* video/video-color.c (video_calc_ycbcrtable,
	video_calc_palette, video_color_update_palette): Modified to
	work with YCbCr instead of CBM palette, in order to make
	external palettes work with PAL emulation and hardware
	scaling.
	(video_ycbcr_palette_create, video_ycbcr_palette_free,
	video_convert_rgb_to_ycbcr, video_palette_to_ycbcr,
	video_cbm_palette_to_ycbcr): New functions.

	* video-render-pal.c (video_render_pal_main): Commented out
	disable of PAL emulation for external palettes.

	* video-resources.c (set_hwscale_enabled): Added call to
	video_color_update_palette() to update palette on switch from
	hardware to software scaling (the screen went black when
	hardware scaling was enabled at startup and disabled by the
	GUI).

2005-01-16  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/ui.c: savebox handling consistent over drags,
	clicks and keyboard presses for the various save modes.

2004-12-29  Andreas Boose  <viceteam@t-online.de>

	* Version 1.15.14.

	* vicii/viciitypes.h, vicii/vicii.c, vicii/vicii-fetch.c:
	Added support for phi1 and phi2 screen base.

	* raster/raster-sprite-status.h, vicii/vicii.c: Removed unused
	member `ptr_base'.

	* vicii/viciitypes.h, vicii/vicii-timing.c: Moved timing
	constants to source file.

	* raster/raster-cache-const.h, vdc/vdc-draw.c: Removed useless
	`src_step' parameter.

	* c64/c64memrom.h, c128/c128memrom.h, vic20/vic20memrom.h:
	Fixed typo.

	* plus4/plus4memrom.c, plus4/plus4memrom.h: New files.

	* plus4/Makefile.am, arch/win32/plus4.dsp: Updated.

	* plus4/plus4mem.c, plus4/plus4mem.h, plus4/plus4.c,
	plus4/plus4rom.c: Added support for separate trap ROM.

	* arch/unix/x11/xaw/uimenu.c, arch/unix/x11/xaw/uimenu.h,
	arch/unix/x11/xaw/x11ui.c: Added support for dynamic menu
	structure allocation.

	* resources.c (write_resource_item): Use `fputs()' to write
	resource lines as `fprintf()' chokes on resource values that
	look like format specifiers.

	* arch/unix/uivicii.c, arch/unix/uivic.c, arch/unix/uited.c:
	Added proper color set UI greying.

2004-12-25  Andreas Boose  <viceteam@t-online.de>

	* Version 1.15.13.

	* vicii/vicii.c (vicii_update_memory_ptrs): Fixed char ROM
	display bug.

	* plus4/plus4.c, tape/tap.c: Removed C++ style comments.

	* vic20/vic20rom.c, vic20/vic20mem.c, vic20/vic20.c,
	vic20/vic.c, vic20/vic20memsnapshot.c: Added support for
	separate trap ROM.

	* c128/c128rom.c, c128/c128mem.c, c128/c128.c, c128/c128mmu.c,
	c128/c128memsnapshot.c, c128/c128meminit.c: Added support for
	separate trap ROM.

	* vic20/vic20memrom.c, vic20/vic20memrom.h,
	c128/c128memrom.c, c128/c128memrom.h: New files.

	* vic20/Makefile.am, arch/win32/vic20.dsp, c128/Makefile.am,
	arch/win32/c128.dsp: Updated.

	* c64/c64memrom.c, c64/c64memrom.h, c64/c64rom.c,
	c64/patchrom.c, c64/c64mem.c, c64/c64mem.h, c128/c128mem.c,
	c64/c64meminit.c, c128/c128rom.c: Renamed some variables.

2004-12-23  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/imagecontents.dsp: Removed unnecessary file
	grouping from project file.

	* plus4/plus4.c (tapeinit): Set proper tape pulse widths.

	* tape/tap.c: Added support for C16 tapes, half and whole
	waves as well. Moved debug logging from stderr to log file.

2004-12-21  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/res.rc: Added "read only" checkbox to the
	attach template.

	* arch/win32/uilib.h, uilib.c (uilib_select_file_autostart)
	Added parameter for "read only" resource name.
	(uilib_select_hook_proc) uses this to toggle the resource.
	(uilib_select_file): Call uilib_select_file_autostart with
	NULL resource name.

	* arch/win32/uiattach.c (uiattach_disk_dialog): Call
	uilib_select_file_autostart with corresponding read only
	resource name.
	(uiattach_tape_dialog, uiattach_autostart_dialog): No resource
	so the parameter is NULL.

2004-12-19  Andreas Boose  <viceteam@t-online.de>

	* Version 1.15.12.

	* keyboard.c (keyboard_key_released): Do not check shift state
	to abort keymap search.
	(keyboard_keymap_dump): Added new shift flags comments.

	* arch/win32/kbd.h, arch/msdos/kbd.h, arch/unix/kbd.h,
	arch/beos/kbd.h, arch/riscos/kbd.h, arch/os2/kbd.h,
	c64/c64-resources.c, pet/pet-resources.c,
	cbm2/cbm2-resources.c, arch/win32/resc64.rc: Changed
	definition names.

2004-12-19  Andreas Matthies  <andreas.matthies@gmx.net>

	* drive/drive-snapshot.c (drive_snapshot_read_module),
	(drive_snapshot_write_module): Include byte_ready_edge
	and byte_ready_active in the snapshot.

2004-12-05  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/joy.c: Joystick fire button can be selected for
	HW joysticks.

	* arch/win32/res.h: Added IDs for joystick fire button UI.

	* arch/win32/res.rc, arch/win32/uijoystick.c: Added UI for
	joystick fire button.

2004-12-05  Andreas Boose  <viceteam@t-online.de>

	* Version 1.15.11.

	* arch/win32/uikeyboard.c (end_mapping_dialog): Set index.

	* keyboard.c (keyboard_parse_set_pos_row): Allow same keysym
	to be added if `ALLOW_OTHER' was specified.
	(keyboard_keyconvmap_free): Set `keyconvmap' to NULL.

	* arch/win32/c64ui.c, c64/c64-resources.c, c64/c64.c,
	arch/unix/kbd.h, arch/win32/kbd.h, arch/msdos/kbd.h,
	arch/riscos/kbd.h, arch/os2/kbd.h, arch/beos/kbd.h,
	arch/win32/res.h, arch/win32/resc64.rc,
	c64/c64-cmdline-options.c: Added support for German symbolic
	keyboard mapping.

	* datasette.c, parallel/parallel.c, parallel/parallel-trap.c,
	parallel/parallel-trap.h, drive/drivemem.c, drive/drivemem.h,
	drive/iec/iec-resources.c, drive/drive-snapshot.c,
	drive/drivecpu.c, monitor/mon_ui.c, monitor/mon_breakpoint.c,
	monitor/mon_breakpoint.h, monitor/mon_memory.c, fliplist.c,
	fliplist.h, machine.c, attach.c, arch/unix/uifliplist.c,
	arch/riscos/ui.c, arch/os2/dialogs/dlg-drive.c, autostart.c.
	arch/msdos/kbd.c, arch/msdos/uiattach.c, init.c, video.h,
	arch/win32/uifliplist.c, arch/os2/dialogs/menubar.c,
	arch/os2/dialogs/dlg-fileio.c, arch/unix/uisettings.c,
	arch/beos/ui.cc, kbdbuf.c, kbdbuf.h, monitor/monitor.c,
	c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	pet/petmemsnapshot.c, pet/petrom.c, plus4/plus4.c,
	cbm2/cbm2rom.c, arch/os2/unused/vsync.c, arch/os2/vsyncarch.c,
	arch/beos/vsyncarch.c, arch/unix/vsyncarch.c, drive/drive.c,
	arch/msdos/vsync.c, arch/win32/vsyncarch.c,
	arch/riscos/vsync.c, drive/ieee/riot2d.c, drive/ieee/riotd.h,
	drive/ieee/ieee.c, drive/drivecpu.c, drive/drivecpu.h,
	drive/drive-resources.c, drive/drive-snapshot.c,
	drive/driverom.c, drive/driverom.h, drive/drivesync.c,
	drive/iec/via1d1541.c, video/video-resources.c,
	video/video-canvas.c, arch/unix/x11/video.c, raster/raster.h,
	raster/raster.c, raster/raster-line.c, arch/os2/video.c,
	arch/win32/video.c, arch/riscos/video.c, vicii/vicii.c,
	vic20/vic.c, vic20/vic-mem.c, vicii/vicii-draw.c,
	arch/beos/video.cc, raster/raster-line-changes.c,
	raster/raster-line-changes-sprite.c: Small changes.

2004-12-05  Andreas Dehmel  <zarquon@t-online.de>

	* arch/unix/uirs232user.c: missing NULL terminator, causes
	crashes with ICC6.

2004-11-30  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/uihelp.c: missing include

	* arch/riscos/uiimage.c: replaced usage of non-standard dirent
	fields with stat-call

2004-11-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.15.10.

	* arch/win32/resc128.rc, arch/win32/resc64.rc,
	arch/win32/rescbm2.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/resvic20.rc: Fixed mingw32
	compile.

	* arch/win32/resc128.rc: Resized function ROM dialog.

2004-11-07  Dag Lem  <resid@nimrod.no>

	* arch/beos/archdep.h, arch/msdos/archdep.h,
	arch/os2/archdep.h, arch/riscos/archdep.h,
	arch/unix/archdep.h, arch/win32/archdep.h:
	Define ARCHDEP_<videochip>_HWSCALE.

	* arch/unix/uited.c, arch/unix/uivic.c, arch/unix/uivicii.c:
	Toggle "<videochip>HwScale".

	* arch/unix/x11/gnome/gnomevideo.c,
	arch/unix/x11/gnome/x11ui.c, arch/unix/x11/xaw/x11video.c,
	arch/unix/x11/xaw/x11ui.c:
	Replaced use_xvideo with canvas->videoconfig->hwscale.

	* arch/unix/x11/video.c: Removed XVIDEO resource and -xvideo
	option. Added support for interactive selection of hardware
	scaling.

	* crtc/crtc-resources.c, plus4/ted-resources.c,
	vdc/vdc-resources.c, vic20/vic-resources.c,
	vicii/vicii-resources.c: Initialization of
	video_chip_cap.hwscale_allowed.

	* video/video-cmdline-options.c: Added <videochip>HwScale
	resource and -<videochip>hwscale option.

2004-11-06  Andreas Boose  <viceteam@t-online.de>

        * Version 1.15.9.

	* fsdevice/fsdevicetypes.h, fsdevice/fsdevice-open.c,
	fsdevice/fsdevice-read.c, fsdevice/fsdevice.c: Fixed directory
	mask bug.

	* vdrive/vdrive-dir.c (vdrive_dir_create_directory):
	Simplified.

	* interrupt.c, interrupt.h (get_int): Removed.

	* kbdbuf.c, kbdbuf.h, monitor/monitor.c (kbd_buf_feed_string):
	Renamed.

	* drive/iecieee/via2d.c, drive/viad.h, drive/ieee/via1d2031.c,
	drive/iec/via1d1541.c (viad2_update_pcr): Renamed.

2004-10-30  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/res.h: New IDs for debug menu.

	* arch/win32/res<machine>.rc: Added menu items for debug mode.

	* arch/win32/ui.c: Added debug mode items to the list of
	mutual exclusive menues.

	* event.h, event.c: New event EVENT_OVERFLOW which is recorded
	in the new overflow callback.
	(event_snapshot_read_module): Fixed insertion of timestamps
	in overflow condition.

2004-10-17  Michael Klein  <michael.klein@puffin.lb.shuttle.de>

	* findpath.c: Fixed some buffer size.

2004-10-17  Andreas Boose  <viceteam@t-online.de>

	* Version 1.15.8.

	* arch/win32/uikeyboard.c, arch/win32/uikeyboard.h,
	arch/win32/c64ui.c, arch/win32/c128ui.c, arch/win32/vic20ui.c,
	arch/win32/petui.c, arch/win32/plus4ui.c, arch/win32/cbm2ui.c,
	arch/win32/uilib.c, arch/win32/uilib.h: More keyboard UI.

	* arch/win32/uifliplist.c (uifliplist_save_dialog): Fixed wide
	char bug.

	* arch/win32/uireu.c, arch/win32/uisound.c,
	arch/win32/uic128.c, arch/win32/uirom.c, arch/win32/uisid.c,
	arch/win32/uiperipheral.c, arch/win32/ui.c,
	arch/win32/video.c, arch/win32/videoarch.h,
	arch/win32/fullscrn.c, arch/win32/uisnapshot.c: Minor changes.

	* serial/serial-iec-bus.c, serial/serial-iec-bus.h,
	serial/serial-trap.c, serial/serial-iec-device.c,
	serial/serial-iec.c, serial/realdevice.c, serial/realdevice.h:
	Separated listen and talk functions.

	* dma.c, vicii/vicii-fetch.c, interrupt.h, vice.h: New
	interrupt routines are standard now.

2004-10-16  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/ui.c: Size of Accelerator tables are calculated
	compile time, no need to update #define values anymore.

	* drive/drive-check.c (drive_check_idle_method): Added 1551
	drive.

	* drive/drive.h: (rom_idle_trap): Increased size to accomodote
	1551 ROM patch bytes.

	* drive/drivecpu.c (drive_trap_handler): Added support for
	1551 drive.

	* drive/driverom.c (drive_rom_initialize_traps): Added 1551
	and 1541-II drives.

	* drive/iec/iec-resources.c (set_drive_idling_method): Added
	1551 and 1541-II drives.

2004-10-12  Tibor Biczo <crown@axelero.hu>

	* vicii/vicii-timing.c (vicii_timing_set): Set screen_height
	when selecting OLD NTSC-M. This was missing.

2004-10-09  Andreas Boose  <viceteam@t-online.de>

	* Version 1.15.7.

	* arch/win32/res.rc, arch/win32/res.h, arch/win32/resc64.rc,
	arch/win32/resc128.rc, arch/win32/resvic20.rc,
	arch/win32/respet.rc, arch/win32/resplus4.rc,
	arch/win32/rescbm2.rc, arch/win32/ui.c, arch/win32/c64ui.c,
	arch/win32/c128ui.c, arch/win32/vic20ui.c, arch/win32/petui.c,
	arch/win32/plus4ui.c, arch/win32/cbm2ui.c: Added keyboard UI.
	
	* arch/win32/uikeyboard.c, arch/win32/uikeyboard.h: New files.

	* arch/win32/Makefile.am, arch/win32/arch.dsp: Added new
	files.

	* arch/win32/uisid.c: Small changes.

	* arch/win32/uiperipheral.c (uiperipheral_dialog): Drive #8
	page is default.

	* c128/z80.c (z80_mainloop): Clear DMA during opcode counter.

2004-10-06  Andreas Matthies  <andreas.matthies@gmx.net>

	* dma.c: Include 6510core.h.
	(dma_maincpu_steal_cycles): Trigger immediate start of IRQ
	after DMA even for instructions with delayed interrupt.

	* interrupt.c: Include 6510core.h
	(interrupt_fixup_int_clk): Fixed calculation of
	num_cycles_left which was wrong for INTREQ inside CPU cycles.
	Trigger immediate start of IRQ even for instructions with
	delayed interrupt.

2004-10-03  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/ui.c (handle_wm_command): Removed unused
	variable.

	* arch/win32/uihelp.c: Include version.h.

	* datasette.c (datasette_internal_reset): Reset
	motor_stop_clk.

	* monitor/mon_parse.y: Initialize the child nodes of a new
	conditional node.

2004-10-02  Andreas Boose  <viceteam@t-online.de>

	* Version 1.15.6.

	* arch/win32/resdrivec64vic20.rc, arch/win32/resc128.rc,
	arch/win32/resdrivepetcbm2.rc, arch/win32/resplus4.rc,
	arch/win32/resrs232user.rc: Fixed some window geometry.

	* arch/win32/rs232.c: Fixed resource bug.

	* serial/realdevice.c (realdevice_enable, realdevice_disable):
	Print device name.

	* arch/win32/opencbmlib.c: Disabled `cbm_get_driver_name()'
	workaround.

	* arch/win32/uidriveplus4.c, arch/win32/uisid.c,
	arch/win32/uivicii.c, arch/win32/uivideo.c,
	arch/win32/uiide64.c, arch/win32/uic128.c,
	arch/win32/uidrivec128.c, arch/win32/uiplus4mem.c,
	arch/win32/uicbm2set.c,arch/win32/uidrivepetcbm2.c,
	arch/win32/uivicset.c, arch/win32/uisound.c,
	arch/win32/uidatasette.c, arch/win32/uidrivec64vic20.c,
	arch/win32/uidrivec64vic20.c, arch/win32/uipetset.c:
	arch/win32/uihelp.c, arch/win32/uihelp.h: Small changes.

	* arch/win32/uiperipheral.c, arch/win32/uiperipheral.h
	arch/win32/uifliplist.c, arch/win32/uifliplist.h,
	arch/win32/uidatasette.c, arch/win32/uidatasette.h,
	arch/win32/uiattach.c, arch/win32/uiattach.h,
	arch/win32/ui.c: Moved some commands to separate files.

	* arch/win32/uievent.c, arch/win32/uievent.h: New files.

	* arch/win32/Makefile.am, arch/win32/arch.dsp: Added new
	files.

	* arch/win32/uiperipheral.c (dialog_proc): Fixed greying bug.

2004-09-26  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/c1541.dsp, arch/win32/petcat.dsp: Added
	version.lib to be linked against.

2004-09-26  Andreas Boose  <viceteam@t-online.de>

	* Version 1.15.5.

	* arch/win32/res.rc, arch/win32/res.h, arch/win32/ui.c,
	arch/win32/resc64.rc, arch/win32/resc128.rc,
	arch/win32/resvic20.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/rescbm2.rc: Added RS232
	settings dialog.

	* arch/win32/uirs232.c, arch/win32/uirs232.h,
	arch/win32/uiattach.c, arch/win32/uiattach.h,
	arch/win32/uiquicksnapshot.c, arch/win32/uiquicksnapshot.h,
	arch/win32/uihelp.c, arch/win32/uihelp.h: New files.

	* arch/win32/Makefile.am, arch/win32/arch.dsp: Added new
	files.

	* arch/win32/uirs232user.c, arch/win32/uiacia.c: Fixed RS232
	device name.

	* arch/win32/ui.c: Moved attach, quicksnapshot and help
	specific code to separate files.

	* arch/win32/uiperipheral.c, arch/win32/res.h,
	arch/win32/res.rc: Added opencbmlib settings.

	* arch/win32/opencbmlib.c, opencbmlib.h
	(opencbm_is_available): New function.

	* arch/win32/winhack.h: Removed.

	* arch/win32/uisnapshot.c, arch/win32/uisnapshot.h,
	arch/win32/ui.c, arch/win32/ui.h: Moved more snapshot specific
	code to separate file.

2004-09-25  Andreas Boose  <viceteam@t-online.de>

	* Version 1.15.4.

	* rs232drv/rsuser.c, arch/unix/uirs232c64c128.c,
	arch/unix/uirs232user.c, arch/unix/uirs232user.h,
	arch/unix/vic20ui.c: Changed resource code.

	* arch/win32/resrs232user.rc, arch/win32/uirs232user.c,
	arch/win32/uirs232user.h: New files.

	* arch/win32/Makefile.am, arch/win32/arch.dsp: Added new
	files.

	* arch/win32/res.h, arch/win32/resc64.rc,
	arch/win32/resc128.rc, arch/win32/resvic20.rc,
	arch/win32/c64ui.c, arch/win32/c128ui.c, arch/win32/vic20ui.c:
	Added RS232 userport UI.

	* arch/win32/uiacia.c (enable_acia_controls): Fixed some bug.

2004-09-12  Andreas Boose  <viceteam@t-online.de>

	* Version 1.15.3.

	* c64/c64export.c: #include <string.h>.

	* arch/win32/uiacia.c, arch/win32/uiacia.h,
	arch/win32/resacia.rc: New files.

	* arch/win32/Makefile.am, arch/win32/arch.dsp: Added new
	files.

	* arch/win32/res.h, arch/win32/resc64.rc,
	arch/win32/resc128.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/rescbm2.rc,
	arch/win32/c64ui.c, arch/win32/c128ui.c, arch/win32/petui.c,
	arch/win32/plus4ui.c, arch/win32/cbm2ui.c,
	c64/c64-resources.c, c64/c64-cmdline-options.c,
	c128/c128-resources.c, c128/c128-cmdline-options.c,
	arch/unix/uirs232c64c128.c, arch/riscos/uiconfig.c: Added
	win32 ACIA settings dialog.

	* arch/win32/uireu.c, arch/win32/uiram.c, arch/win32/uitfe.c:
	Removed some includes.

	* version.h.in: Fixed as suggested by Tibor.

2004-09-11  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/uiimage.c: read filelength with stat() rather
	than dirent extension field.

2004-09-07  Tibor Biczo  <crown@axelero.hu>

	* configure.in: Build VICE_VERSION and VERSION_RC from version
	nibbles.

	* arch/win32/archdep.c (archdep_boot_path): Verify exe on NT4
	path as well.

	* version.h.in: Define VERSION_RC_NUMBER.

2004-09-06  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/c1541.dsp, arch/win32/petcat.dsp: Added
	version.lib to be linked against.

2004-09-06 Andreas Matthies  <andreas.matthies@gmx.net>

	* c64/c64memsnapshot.c (c64_snapshot_write_module),
	(c64_snapshot_read_module): Include pport.data_out,
	pport.data_read and pport.dir_read in snapshots.

	* c64/c64pla.c (c64pla_pport_reset): Initialize
	pport.data_out, pport.data_read and pport.dir_read.

2004-09-04  Andreas Boose  <viceteam@t-online.de>

	* Version 1.15.2.

	* arch/win32/resdrivepetcbm2.rc: New files.

	* arch/win32/Makefile.am, arch/win32/xvic.dsp: Updated.

	* arch/win32/res.h, arch/win32/res.rc, arch/win32/respet.rc,
	arch/win32/rescbm2.rc, arch/win32/resc64.rc,
	arch/win32/uidrivec64vic20.c: Moved resources.

	* arch/win32/resvic.rc: Renamed.

	* plus4/plus4acia.c: Changed `MYACIA' define.

	* arch/unix/uirs232c64c128.c, arch/unix/uirs232c64c128.h,
	arch/unix/uirs232petplus4cbm2.c, arch/unix/uiacia1.c,
	arch/unix/uirs232petplus4cbm2.h, arch/unix/uiacia1.h,
	arch/unix/uirs232user.c, arch/unix/uirs232user.h: New files.

	* arch/unix/c64ui.c, arch/unix/c128ui.c, arch/unix/petui.c,
	arch/unix/cbm2ui.c, arch/unix/vic20ui.c, arch/unix/plus4ui.c:
	Moved RS232 specific code.

	* arch/unix/Makefile.am: Added new files.

2004-09-02  Andreas Matthies  <andreas.matthies@gmx.net>

	* datasette.c (datasette_read_bit): Stops motor if
	motor_stop_clk is reached.
	(datasette_start_motor): Use MOTOR_DELAY instead of 1000.
	(datasette_set_motor): flag=1 will reset motor_stop_clk,
	flag=0 won't stop the motor immediatlely but delay it by
	setting motor_stop_clk.

2004-09-01  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* c64/c64export.c: In c64export_query(), do not reject as busy
	if the ressource is queried by the one who is actually holding
	the ressource.

2004-09-01  EMILIANO PERUCH  <EMILIANO.PERUCH@softway.it>

	* fsdevice/fsdevice-read.c (command_directory_get): Fixed some
	crash.

2004-09-01  Andreas Boose  <viceteam@t-online.de>

	* Version 1.15.1.

	* interrupt.h [INTRRUPT_MAX_DMA_PER_OPCODE]: Increased.

2004-08-28  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/unix/x11/vidmode.c: vidmode_init() calculates the video
	frequency depending on dotclock, htotal and vtotal. On some
	machines, these are reported as null, resulting in a floating
	point exception on startup. Now, there is a workaround: If
	this occurs, we just report 0 Hz (which is better than an
	exception).

2004-08-27  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/archdep.c (verify_exe): New function, simple
	check of Vice executable validity.
	(archdep_boot_path): Verify that first module is the Vice
	executable, keep searching for it, but report first module as
	a possible trojan to the user.

	* arch/win32/res.rc: Added VersionInfo resource, it is used
	for checking Vice executable validity.

	* arch/win32/ui.c (window_proc): Fixed WM_PAINT message
	processing. Wrong rect was used for updating the screen, on
	dual CPU systems this resulted in some painting artifacts.

	* arch/win32/x128.dsp, arch/win32/x64.dsp,
	arch/win32/xcbm2.dsp, arch/win32/xpet.dsp,
	arch/win32/xplus4.dsp, arch/win32/xvic.dsp:
	Link with version.lib.

	* plus4/ted-mem.c (ted3e_store, ted3f_store): Update ted
	pointers on memory configuration switch.

	* plus4/ted.c (ted_update_memory_ptrs): Fixed $ff14
	calculation.

	* version.h: Added VERSION_RC_NUMBER definition, it is used in
	win32 Version resource.

2004-08-22  Andreas Boose  <viceteam@t-online.de>

	* Version 1.15.

	* c64/cart/final.c (final_v3_io2_store): Call
	`cartridge_trigger_freeze_nmi_only'.

	* c64/cart/c64cart.c, cartridge.h
	(cartridge_trigger_freeze_nmi_only): New function.

	* arch/win32/res.rc: Commented out `Other' button.

	* petcat.c (p_tokenize): Fixed a warning.

2004-08-22  Andreas Matthies  <andreas.matthies@gmx.net>

	* event.c (event_snapshot_read_module): Fixed initialization
	of data and  next_timestamp_clk.

2004-08-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.40.

	* debug.h: Undefined `DEBUG'.

	* debug.c, vicii/vicii-fetch.c: Added missing `DEBUG' define.

	* event.c (destroy_image_list): Fixed prototype.

	* info.c: Updated.

2004-08-20  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* petcat.c: ctrl characters are braced consistently with { and
	} now (before, it was <> and (), depending upon if we
	tokenized or detokenized). This allows petcat to detokenize,
	edit and tokenize the same source again (not possible before).
	The command-line help now prints all available parameters.
	Examples are added. The petcat version contains the VICE
	version now, too.

2004-08-18  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* petcat.c: Fixed a bug where REM and DATA statements where
	not processed correctly. The are a type of "quote" mode,
	meaning that keywords are not tokenized between REM and
	newline or DATA and colon ':' (or newline, if there is no
	colon). Fixed this.

2004-08-14  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/<arch>/ui.c, uiapi.h (ui_display_playback): Added
	parameter for version string.

	* arch/unix/uicommands.c, arch/win32/res<machine>.rc,
	arch/win32/res.h, arch/win32/uic: Added menuitem for new
	history start mode.

	* event.c, event.h: Version of VICE is written into data
	portion of EVENT_INITIAL by new function event_write_version.
	Version is presented by new parameter in ui_display_playback.
	Timestamps aren't recorded anymore but inserted when event
	snapshot is loaded. New funtion cut_list() to remove all
	events from current.
	(event_initial_write): record_active needs to be set earlier
	otherwise EVENT_INITIAL isn't loaded.
	Added new mode EVENT_START_MODE_PLAYBACK that records from a
	running playback.
	Some fixes to repair buggy histories.

	* log.c: New function log_file_open. set_log_file_name()
	closes existing log file and opens new one.

	* main.c (main_program): Call log_init before
	initcmdline_check_args to avoid error messages when opening
	(cart-)zfiles via commandline.

2004-08-08  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.39.

	* arch/win32/res.h, arch/win32/res.rc, arch/win32/uirom.c,
	arch/win32/uirom.h, arch/win32/c64ui.c, arch/win32/c128ui.c,
	arch/win32/vic20ui.c, arch/win32/petui.c,
	arch/win32/plus4ui.c, arch/win32/cbm2ui.c, romset.c,
	arch/win32/resc64.rc, arch/win32/resc128.rc,
	arch/win32/resvic.rc, arch/win32/respet.rc,
	arch/win32/resplus4.rc, arch/win32/rescbm2.rc: Added support
	for computer and drive romset resources.

2004-08-08  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/ui.cc: Deleted ui_cmdline_options_show using its
	code directly.

	* vic20/vic20mem.c (mem_powerup): Initialize the fake RAM
	area with 0 to make the VIC read correct values from
	non-existing color RAM.

2004-08-07  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.38.

	* serial/realdevice.c: Added debugging.

	* vdrive/vdrive-internal.c (vdrive_internal_open_disk_image):
	Flush machine drive cache.

	* machine-drive.h, c64/c64drive.c, c128/c128drive.c,
	vic20/vic20drive.c, pet/petdrive.c, plus4/plus4drive.c,
	cbm2/cbm2drive.c, c1541.c (machine_drive_flush): New function.

2004-08-03  Andreas Matthies  <andreas.matthies@gmx.net>

	* vic20/vic.c (vic_raster_draw_alarm_handler): Once the
	graphic area has started ycounter is incremented even in
	blank lines but memptr isn't incremented in that case.

2004-07-26  Dieter Baron  <dillo@danbala.ifoer.tuwien.ac.at>

	* arch/unix/Makefile.am, arch/unix/vic20ui.c, arch/unix/joy.h,
	arch/unix/uijoystick2.c, arch/unix/joy_usb.c, arch/unix/joy.c:
	Added BSD USB joystick support.

2004-07-17  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.37.

	* opencbmlib.h, arch/unix/opencbmlib.c,
	arch/win32/opencbmlib.c, arch/win32/opencbm.h: New files.

	* Makefile.am, arch/unix/Makefile.am, arch/win32/Makefile.am,
	arch/win32/arch.dsp: Added new files.

	* arch/win32/serial.dsp: Added `realdevice.c'.

	* serial/serial-trap.c, serial.h, c64/c64.c, c128/c128.c,
	vic20/vic20.c, plus4/plus4.c, c1541.c: Moved initialization of
	`serial_iec_bus_init()'.

	* arch/win32/archdep.c (archdep_file_is_chardev): Added dummy
	char device `/dev/cbm'.

	* arch/win32/msvc/config.h: Define `HAVE_OPENCBM'.

2004-07-17  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.36.

2004-07-12  Rami Rasanen  <raipe@neutech.fi>

	* vic20/vic20sound.c: Rewritten.

2004-07-08  Roberto Muscedere  <cococommie@cogeco.ca>

	* cbmdos.c: cbmdos_command_parse() was fixed to skip parsing
	the text after the record size was processed.  IE: opening
	"FILENAME,L,P" would result in a program file, not a REL file
	of record length 80.

	* cbmdos.c: cbmdos_command_parse() was fixed to not allow
	the creation of REL files less than 2 bytes.  This is
	noted in one of the CBM drive manuals, although most drives
	don't check for it.

	* parallel/parallel-trap.c: parallelattention() was corrected
	to call the vdrive->listenf function after unlistens also.

	* serial/fsdrive.c: fsdrive_unlisten() was corrected to call
	the vdrive->listenf function after unlistens also.

	* vdrive/vdrive-dir.c: vdrive_dir_create_slot() changed
	malloc to calloc to clear out the sequential write buffer.
	This keeps the disk images a little more cleaner.

	* vdrive/vdrive-iec.c: iec_open_write() changed malloc to
	calloc to clear out the sequential write buffer on replace
	mode.

	* vdrive/vdrive-iec.c: iec_open_write() changed the method
	used to update the block count of a sequential file during
	append mode.  We now recount the block number when following
	the links to find the end of the file.

	* vdrive/vdrive-rel.c: vdrive_rel_add_sector() fixed not to
	update the block count.  Deferred to vdrive_rel_grow()
	function.

	* vdrive/vdrive-rel.c: vdrive_rel_add_sector() corrected
	signed/unsigned variable assignments.

	* vdrive/vdrive-rel.c: vdrive_rel_grow() added block count
	update code here.  Also removed excessive writes to disk.

	* vdrive/vdrive-rel.c: vdrive_rel_open_existing() added DOS
	error message if sector couldn't be read.

	* vdrive/vdrive-rel.c: vdrive_rel_close() removed excessive
	disk writes.

	* vdrive/vdrive-rel.c: vdrive_rel_listen() removed block
	count code and placed it in vdrive_rel_grow() function.

2004-07-08  <fabrizio.ge@tiscali.it>

	* sound.c, sounddrv/sounduss.c: Added support for
	`HAVE_SYS_SOUNDCARD_H' define.

2004-06-30  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.35.

	* monitor/mon_file.c: Declare `mon_file_read_eof' int.

	* vdrive/vdrive-command.c, vdrive/vdrive-iec.c, cbmdos.c,
	fsdevice/fsdevice-open.c, fsdevice/fsdevice-read.c,
	arch/win32/rs232.c, c64/c64io.c, 6510core.c: Fixed minor
	warnings.

	* vdrive/vdrive-rel.c, vdrive/vdrive-rel.h (vdrive_rel_open,
	vdrive_rel_open_new): `name' is unsigned char.

	* cbmdos.h: Member `cmd' is unsigned char.

2004-06-28  Roberto Muscedere  <cococommie@cogeco.ca>

	* vdrive/vdrive-command.c: vdrive_command_copy() Fixed "copy"
	error which copied all but the last byte of a file.  This was
	due to the new CBM EOF introduced in 1.14.25.

	* c1541.c: Fixed copy_cmd(), extract_cmd() and read_cmd()
	error which read/copied all but the last byte of a file.
	This was due to the new CBM EOF introduced in 1.14.25.

	* monitor/mon_file.c: Added static mon_file_read_eof[4][16]
	to support CBM EOFs.  Initialised new variables in
	mon_file_open() and used in mon_file_read() to support CBM
	EOFs from "vdrive" to standard EOFS in "mon_file".

	* vdrive/vdrive-iec.c: iec_close_sequential() Initialised
	conditional variable - just in case.

	* vdrive/vdrive-rel.c: vdrive_rel_grow(), vdrive_rel_read()
	and vdrive_rel_write() Initialised conditional variable -
	just in case.

	* c1541.c: split_args() corrected to support "spaces" in
	quoted arguments.

2004-06-28  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.34.

	* cbmdos.c (cbmdos_command_parse): Fixed compile errors.

	* dma.c (dma_maincpu_steal_cycles): Fixed write cycles.

	* vicii/vicii-fetch.c (do_matrix_fetch): Pass `sub' parameter
	to DMA function.

	* machine.h, c64/c64.c, c128/c128.c, vic20/vic20.c,
	plus4/plus4.c, pet/pet.c, cbm2/cbm2.c
	(machine_tape_type_default): New function.

	* tape.h: Moved tape program type defines here.

	* tape/tape.c (tape_find_header_trap): Get machine specific
	program type define.

2004-06-25  Roberto Muscedere  <cococommie@cogeco.ca>

	* vdrive/vdrive-command.c: Changed argument type in
	declaration and function vdrive_command_block() to keep
	command chars unsigned.  Also added B-(shift)R and B-(shift)W
	(from 1581) to function since they operate as U1/UA and U2/UB.
	Also corrected bufferpointers for U1/UA and U2/UB.

	* vdrive/vdrive-command.c: vdrive_command_position() corrected
	to return DOS Error 50.

	* vdrive/vdrive-dir.c: Made vdrive_dir_free_chain() global so
	that save/replace can use it.

	* vdrive/vdrive-dir.h: Added SLOT entries for save and replace
	as well as GEOS slots for date/time.  CMD uses same slots.
	Also added vdrive_dir_free_chain() declaration.

	* vdrive/vdrive-command.c: vdrive_command_execute() added true
	B-R and B-W, corrected U1/UA and U2/UB.

	* vdrive/vdrive-command.c: added cursor-left to white-space in
	vdrive_get_block_parameters() - this is used in 1541 firmware.

	* vdrive/vdrive-iec.c: vdrive_iec_open() The buffer pointer of
	a newly opened buffer set to 1, not 0.  Probably relates to
	DOS1 and B-R, B-W commands.  Also fixed vdrive_iec_read() for
	this too as well as vdrive_iec_write().

	* vdrive/vdrive-iec.c: iec_open_write() changed to support
	append and save and replace.  Also creates directory entry
	before close to support SPLAT files.

	* vdrive/vdrive-iec.c: vdrive_iec_open() corrected NULL
	pointer reference if a new REL file was created.

	* vdrive/vdrive-iec.c: iec_write_sequential() changed to
	support save/replace as well as append mode.

	* vdrive/vdrive-iec.c: iec_close_sequential() changed to
	support save/replace as well as append mode.

	* vdrive/vdrive-iec.c: moved iec_read_relative() to
	vdrive-rel.c and renamed to vdrive_rel_read().

	* vdrive/vdrive-iec.c: Changed vdrive_iec_write() to call
	REL file write routing.

	* vdrive/vdrive-iec.c: Added vdrive_iec_listen() to call
	vdrive_rel_listen.

	* vdrive/vdrive-iec.c: Added vdrive_iec_update_dirent() to
	update REL and SEQ/PRG/USR directory entries (ie. splat files,
	block sizes).

	* cbmdos.c: cbmdos_command_parse() corrected signed
	declaration of input text to unsigned. This caused problems
	with the REL file length.  Also a case for append (",a").

	* vdrive/vdrive-iec.h: added declaration for
	vdrive_iec_listen(), and vdrive_iec_update_dirent().

	* vdrive/vdrive-rel.c: created vdrive_close_relative() to
	clean up closing of REL files (flushed side sectors and write
	buffers).

	* vdrive/vdrive-rel.c: vdrive_rel_read() changed to support
	REL file writing.  Added some code to return DOS Error 50 if
	we go past the end of a file.  Also added buffer wrapping if
	we position the REL pointer past the end of record on the last
	record.  On 1541/71/81, we end up getting data from another
	buffer (e.g. directory).

	* vdrive/vdrive-rel.c: Added vdrive_rel_write() to support
	REL file writes.

	* vdrive/vdrive-rel.c: Added vdrive_rel_listen() to move
	REL file to next record when an listen occurs.  Function
	performs other house keeping operations.

	* vdrive/vdrive-rel.c: Added vdrive_rel_has_super() to
	determine if the disk image requires a super-side-sector.

	* vdrive/vdrive-rel.c: Added vdrive_rel_blocks_max() to limit
	the size of growing REL files for a particular disk image.

	* vdrive/vdrive-rel.c: Changed vdrive_rel_open_existing() to
	support REL writing.

	* vdrive/vdrive-rel.c: Changed vdrive_rel_open() to support
	REL file creation and writing.  Also changed arguments so that
	name is passed so directory slot can be created.

	* vdrive/vdrive-rel.c: Changed vdrive_rel_record_max() to
 	support REL file creation and fixed an error with
	super-side-sectors.

	* vdrive/vdrive-rel.c: Added vdrive_rel_add_sector() to add
	one sector (254 bytes) to the end of a REL file.

	* vdrive/vdrive-rel.c: Added vdrive_rel_grow() to grow a REL
	file to a specific number of records.

	* vdrive/vdrive-rel.c: Added vdrive_rel_commit() to commit
	dirty buffers.

	* vdrive/vdrive-rel.c: Added vdrive_rel_fillrecord() to fill
	the remainer of a record with zeros.

	* vdrive/vdrive-rel.c: Changed vdrive_rel_position() toi
	support REL file writes and creation.

	* vdrive/vdrive-rel.h: Added declaration of:
	vdrive_rel_listen().

	* vdrive/vdrive.h: Added dir_track, dir_sector and dir_slot to
	struct bufferinfo_s so that we can remember where the
	directory entry is on the disk for the current REL or
	SEQ/PRG/USR file.  Also added *needsupdate to indicate if
	memory buffers are dirty.

	* cbmdos.h: Added DOS Error 52 - File Too Large.

	* drive/ieee/memieee.c: memieee_init() corrected oversight in
	memory read/write function that would map $5000 - $50ff out
	to RAM instead of unconnected.

	* fsdevice/fsdevice.c: fsdevice_error_get_byte() corrected to
	handle buffered reads to support CBM EOFs.  Missed this when
	all others were corrected back in 1.14.25.

	*** In order to support REL file reads, a new function had to
	added so that when an listen occured on the serial bus during
	a REL write, the REL pointer has to move to the next record.
	The following are the files change for this.

	* machine-bus.h: Added "listenf" to
	machine_bus_device_attach() prototype.

	* machine-bus.c: machine_bus_device_attach() Added "listenf"
	to argument list and code for setup.	

	* machine-bus.c: machine_bus_init() Added default
	initialization of new "listenf" member.

	* fsdevice/fsdevice.c: fsdevice_attach() Added NULL to
	argument list for new "listenf" function.

	* serial/fsdrive.c: fsdrive_listentalk() added code to call
	"p->listen" when an listen is sent.

	* parallel/parallel-trap.c: parallelattention() added code to
	call "p->listen" when an listen/talk is sent.

	* serial.h: added "listenf" member to struct serial_s.

	* printerdrv/interface-serial.c: interface_serial_attach()
	Added NULL to argument list for "listen" function for
	device 4 and 5.

	* c1541.c: machine_bus_device_attach() added "listenf"
	to function arguments.

2004-06-25  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.33.

	* fileio/cbmfile.c (cbmfile_find_file): Set path if no path is
	present.

	* interrupt.c, interrupt.h (interrupt_fixup_int_clk): Fixed
	interrupt clock calculation.

	* dma.c (dma_maincpu_steal_cycles): Likewise.

	* vice.h: Define `NEW_INTERUPT'.

	* vicii/vicii-fetch.c (handle_fetch_sprite): Removed obsolete
	cruft.

	* arch/win32/uilib.c, arch/win32/msvc/config.h: Fixed PATH
	defines as suggested by AndreasM.

2004-06-23  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.32.

	* Makefile.am: Added `crc32.h'.

	* parallel/parallel-trap.c, fileio/cbmfile.c, fileio/p00.c,
	vicii/vicii-irq.c, monitor/mon_file.c, serial/fsdrive.c,
	vic20/vic-mem.c, plus4/ted-irq.c, arch/unix/uicommands.c,
	c1541.c, drive/iecieee/via2d.c, drive/drivecpu.c, traps.c,
	vicii/vicii-sprites.c, printerdrv/interface-serial.c,
	findpath.c, vic20/vic20ieeevia1.c, vic20/vic20ieeevia2.c,
	vic20/vic20via1.c, vic20/vic20via2.c, drive/iec/via1d1541.c,
	drive/ieee/via1d2031.c: Fixed some warnings.

	* arch/win32/uirom.c, arch/win32/res.rc, arch/win32/res.h:
	Further ROM set work.

	* arch/win32/uilib.c, arch/win32/uilib.h (uilib_dialogbox):
	New function.

	* arch/win32/uispeed.c (ui_speed_settings_dialog): Use
	`uilib_dialogbox()'.

	* arch/win32/uilib.c, arch/win32/uilib.h,
	arch/win32/uiide64.c, arch/win32/uic128.c, arch/win32/uireu.c,
	arch/win32/uirom.c (uilib_select_browse): Added filter
	parameter.

	* sound.h: Include C standard file `stdio.h' instead of
	`unistd.h' to define `size_t'.

2004-06-23  pottendo  <pottendo@utanet.at>

	* sound.h: Added `unistd.h' for size_t.

	* arch/unix/x11/gnome/x11ui.c: include `uifliplist.h'.
	Fixed signature of `enter_window_callback',
	`exposure_callback_app', `exposure_callback_canvas',
	`fliplist_popup_cb', `tape_popup_cb', `update_menu_cb',
	filesel_autostart_cb', `speed_popup_cb' to proper
	callbacks.
	(fliplist_popup_cb): made static, introduced proper prototype.

	* arch/unix/x11/gnome/uiarch.h: Changed `ui_callback_t' to
	`GtkSignalFunc'.
	(UI_CALLBACK): Removed unused 3'rd parameter.
	This fixes the `-O2' gcc optimizer triggered bug.

2004-06-20  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/types.h: added PATH_MAX macro

	* arch/riscos/ui.c, arch/riscos/uiimage.c,
	arch/riscos/video.c: missing limits.h include

	* fsdevice/fsdevice-cmdline-options.c: include types.h

2004-06-20  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.31.

	* core/riotcore.c (riotcore_reset): Clear ports.

	* ioutil.c, ioutil.h (ioutil_maxpathlen): New function.

	* vice.h, c1541.c, findpath.c, arch/win32/uiconsole.c,
	fsdevice/fsdevicetypes.h, fsdevice/fsdevice-flush.c,
	fsdevice/fsdevice-open.c, fsdevice/fsdevice-read.c,
	fsdevice/fsdevice.c, arch/unix/uicommands.c, vsync.c,
	arch/unix/uikeyboard.c, arch/msdos/ui.h, arch/os2/config.h,
	arch/msdos/uiattach.c, arch/msdos/uisnapshot.c: Removed
	inclusion of `limits.h' and `sys/param.h' from `vice.h'.

	* crc32.c, crc32.h: New files.

	* util.c, util.h, c64/tfe.c: Moved crc specific code to
	separate file.

	* Makefile.am, arch/win32/base.dsp: Updated.

	* arch/unix/archdep.h, arch/win32/archdep.h,
	arch/msdos/archdep.h, arch/riscos/archdep.h,
	arch/beos/archdep.h, arch/os2/archdep.h, findpath.c,
	printerdrv/output-text.c, sysfile.c, arch/unix/archdep.c,
	arch/win32/archdep.c, arch/msdos/archdep.c,
	arch/beos/archdep.c, arch/os2/archdep.c: Fixed defines.

	* c64/c64tpi.c, cbm2/cbm2tpi1.c, cbm2/cbm2tpi2.c, cia.h,
	via.h: Added regparm patch contributed by Adam Sampson.

	* arch/os2/ui.h: #include "types.h".

2004-06-20  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/archdep.c:
	- replaced PATH_MAX by CCHMAXPATH

	* arch/os2/archdep.h:
	- removed obsolete MPS803_DEFAULT_OUTPUT_NAME

	* arch/os2/dialogs/dlg-fileio.c:
	- fixed VIDEO_PALETTE ambiguity for xcbm2
	- replaced vice2.fon by vice2.dll

	* arch/os2/dialogs/menubar.[h,c,rc]:
	- added NL-10 to printer devices
	- added 8580+digiboost
	- added Fast Resampling

	* arch/os2/fonts/vice-cbm.cmd:
	- do not create font-dll anymore

	* arch/os2/makedist.cmd:
	- copy nl10 rom

	* arch/os2/Makefile.am:
	- removed signals.h

	* arch/os2/signals.c:
	- moved arrays from signal.h to source file
	- ignore SIGINT

	* arch/os2/signals.h:
	- removed

	* arch/os2/vac++/*/*.icc:
	- updated

	* arch/os2/vac++/incl/monitor.icc:
	- found a fix for 'fileno'

	* arch/os2/vac++/incl/raster.icc:
	- udated
	- removed special optimization treatment

	* arch/os2/vac++/RESID.ICC:
	- updated version number

	* arch/os2/vac++/vicedll.ICC:
	- added info.c
	- added fonts

	* printerdrv/interface-serial.c:
	- fixed a typo

	* printerdrv/output-graphics.c:
	- made comment around obsolete code. Andreas B
	some time ago promised to reinvent this kind of
	rendering when the printer code is finished

	* raster/raster-line.c:
	- introduced a workaround for a os2 compiler bug

	* resid/sid.cc:
	- log(int) is not defined! Replaced by log(2.)

2004-06-17  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.30.

	* arch/unix/uiromset.c, arch/unix/uiromset.h, romset.c,
	romset.h, arch/win32/res.h, arch/win32/res.rc,
	arch/win32/uirom.c, machine.h, c64/c64romset.c,
	c128/c128romset.c, vic20/vic20romset.c, pet/petromset.c,
	plus4/plus4romset.c, cbm2/cbm2romset.c: More ROM set work.

	* util.c, util.h (util_addline): New function.
	(util_concat): Skip copy if list is empty.

	* arch/unix/archdep.h, arch/win32/archdep.h,
	arch/msdos/archdep.h, arch/riscos/archdep.h,
	arch/os2/archdep.h, arch/beos/archdep.h: Added standard line
	delimiter define.

	* arch/unix/x11/xaw/x11ui.c, arch/unix/x11/gnome/x11ui.c,
	arch/unix/ui.c, arch/unix/ui.h (ui_common_init): New function.

2004-06-14  Dag Lem  <resid@nimrod.no>

	* sid/resid.cc (resid_state_write): Use defaults for
	rate_period and exponential_counter_period in old snapshots.

	* sid/sid-snapshot.c (sid_snapshot_read_module_extended):
	Blank out sid_state before reading snapshot.

2004-06-14  Dag Lem  <resid@nimrod.no>

	* resid/: Compilation workaround for MSVC.

2004-06-12  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.29.

	* sid/sid-snapshot.c (sid_snapshot_write_module_extended,
	sid_snapshot_read_module_extended): Fixed forward and
	backward compatibility.

	* info.c: Updated.

2004-06-11  Dag Lem  <resid@nimrod.no>

	* resid/: Actually read sustain value in SID::read_state.
	Final reSID 0.16. Finally.

2004-06-08  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/{beos|msdos|riscos|unix|win32}/uimon.c,
	monitor/mon_util.c: fixed a vulnerability: calls to
	uimon_out() and console_out did not specify a format string,
	thus, any input with "%" could cause errors to VICE; even
	arbitrary code execution on the host machine was possible!

	* arch/win32/{x128|x64|xcbm2|xpet|xplus4|xvic}.dsp: Added
	wsock32.lib as library to make MSVC compile again.

2004-06-08  Dag Lem  <resid@nimrod.no>

	* resid/: Added fields to SID::State - final reSID 0.16?

	* sid/sid-snapshot.c, sid/sid-snapshot.h: Added
	rate_counter_period and exponential_counter_period to extended
	snapshot. Increased SNAP_MINOR_EXTENDED to 1.

2004-06-06  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.28.

	* video/render1x1.c, video/render1x1pal.c, video/render1x2.c,
	video/render2x2.c, video/render2x2pal.c: Fixed some warnings.

	* interrupt.c (interrupt_cpu_status_int_new): Fixed array size
	calculation.

	* arch/win32/rs232.c: Added patch contributed by Tim Newsham.

2004-06-05  Dag Lem  <resid@nimrod.no>

	* arch/unix/x11/video.c, video/renderyuv.c, video/renderyuv.h,
	video/video-render.c: Restored blur in XVideo PAL rendering.

2004-06-01  Roberto Muscedere  <cococommie@cogeco.ca>

	* vdrive/vdrive-dir.h: Added offset for REL file record size.

	* vdrive/vdrive-command.c: Updated REL record position command
	to compensate for default values and ORing of the channel
	number by 96.

	* vdrive/vdrive.h: Moved "side_sector" pointer from the vdrive
	structure to the buffer structure and added somemore
	variables.  The primary reason for this is so we can have more
	than one REL file opened at one time (1581's can do this, but
	not 1541's).

	* vdrive/vdrive-iec.c: Corrected REL file open command.
	Checks both requested and current record lengths and errors
	out it they are different.

	* vdrive/vdrive-iec.c: Removed closing of all channels if
	command channel is closed.  This caused problems with REL
	files in BASIC 7.0 with the RECORD command.

	* vdrive/vdrive-iec.c: Added iec_read_relative() to read REL
	files.

	* cbmdos.c: Corrected cbmdos_command_parse() not to set the
	default file type (base on secondary address) unless in write
	mode.  This solves several problems, for example, a load"$",8
	which would only show PRG files since the secondary address is
	1.

	* vdrive/vdrive-rel.c: Re-written to support efficient
	buffered reads of REL files (with super side sector support).
	Write abilility not included - it will give an error if you
	try to open a new REL file, but the code is ready for write
	modifications.

2004-05-31  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.27.

	* vicii/vicii-fetch.c (handle_fetch_sprite): Fixed DMA length
	calculation.  Disabled for now.

	* debug.c, interrupt.c, keyboard.c: Fixed warnings.

	* arch/win32/rs232.c: Added file contributed by Tim Newsham.
	Fixed several warnings.

	* arch/win32/Makefile.am, arch/win32/arch.dsp: Added new file.

	* arch/win32/msvc/config.h: Define `HAVE_RS232'.

	* arch/win32/uivideo.c (ui_video_settings_dialog): Reordered
	property sheet.

2004-05-26  Dag Lem  <resid@nimrod.no>

	* resid/: Restored full accuracy in resampling filter table
	lookup.

2004-05-24  Andreas Matthies  <andreas.matthies@gmx.net>

	* vicii/vicii.c (clk_overflow_callback): Handle overflow for
	sprite_fetch_clk.

	* vicii/vicii-snapshot.c (vicii_snapshot_read_module): Set
	sprite_fetch_clk one line earlier and recalculate
	vicii.sprite_fetch_idx.

2004-05-23  Andreas Matthies  <andreas.matthies@gmx.net>

	* c1541.c (write_cmd): Allocate memory for dest_name as
	finfo->name ist freed in fileio_close.

2004-05-23  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.26.

	* fsdevice/fsdevice-open.c (fsdevice_open_directory): Fixed
	memory corruption.

	* dma.c (dma_maincpu_steal_cycles): Call DMA debug.
	Remember all DMA events within one opcode.

	* debug.c, debug.h (debug_dma): New function.
	(debug_int, debug_irq, debug_nmi): Print clock.

	* 6510core.c [TRACE_NMI, TRACE_IRQ]: Added clock parameter.

	* interrupt.h: Added `num_cycles_left' to
	`interrupt_cpu_status_s'.
	(interrupt_set_irq, interrupt_set_nmi): Fixed calculation of
	`irq_clk' if DMA has happened.  This is not enabled yet.

	* interrupt.c (interrupt_cpu_status_reset): Reset
	`num_cycles_left'.
	(interrupt_fixup_int_clk): New function.

	* maincpu.c (maincpu_mainloop): Clear DMA per opcode counter
	after any opcode.

2004-05-22  Andreas Matthies  <andreas.matthies@gmx.net>

	* drive/drive-snapshot (drive_snapshot_write_module,
	drive_snapshot_read_module): Moved attach_detach_clk value
	to the very end of the module.

2004-05-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.25.

	* keyboard.h, joystick.h: Fixed declaration of `snapshot_s'.

	* cbm2/cbm2mem.c: Added SID patch contributed by Marco van den
	Heuvel.

2004-05-20  Roberto Muscedere  <cococommie@cogeco.ca>

	* serial/fsdrive.c: Removed EOF buffering in fsdrive_read();
	all *(p->getf) functions must return SERIAL_EOF on last byte
	now

	* parallel/parallel-trap.c: Removed EOF in
	parallelreceivebyte();
	all *(p->getf) functions must return SERIAL_EOF on last byte
	now

	* fsdevice/fsdevicetypes.h: Added 1-byte read ahead buffering
	variables to struct fs_buffer_info_s

	* fsdevice/fsdevice-read.c: Added 1-byte read ahead buffering
	in command_read() to present CBM EOF on last byte (for
	serial/fsdrive.c)

	* fsdevice/fsdevice-open.c: Added 1-byte read ahead buffering
	initialisation to fsdevice_open_file()

	* vdrive/vdrive-iec.c: Modified iec_read_sequential() to send
	CBM EOF with last byte

	* vdrive/vdrive-iec.c: Modified vdrive_iec_read() to send CBM
	EOF with last byte

2004-05-20  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.24.

2004-05-18  Dag Lem  <resid@nimrod.no>

	* resid/: reSID 0.16 - even faster resampling.

	* arch/beos/ui_sid.cc: Added "fast resampling" to
	samplingmode.

	* arch/msdos/uisid.c (toggle_ResidSampling_callback): Allow
	value = 3.

	* arch/unix/uisid.c: Added "Fast Resampling" to
	sid_resid_sampling_submenu.

	* arch/win32/uisid.c: Added "fast resampling" to
	ui_sid_samplemethod.

2004-05-17  Andreas Matthies  <andreas.matthies@gmx.net>

	* joystick.h, joystick.c: New functions
	joystick_snapshot_write_module, joystick_snapshot_read_module.

	* keyboard.h, keyboard.c: New functions
	keyboard_snapshot_write_module, keyboard_snapshot_read_module.

	* <machine>/<machine>-snapshot.c (<machine>_snapshot_read):
	Read keyboard and joystick snapshot module.
	(<machine>_snapshot_write): Write keyboard and joystick
	snapshot module.

2004-05-15  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* c64/tfe.c: Make sure tfe_reset() is only called in the
	ressource handling functions if tfe has been initialized
	before; before, there were some cases where selecting tfe
	crashed the emulator.

2004-05-14  Andreas Matthies  <andreas.matthies@gmx.net>

	* debug.c, debug.h: Replaced resource AutoPlaybackLogs with a
	frame based AutoPlaybackFrames. Added new function
	debug_check_autoplay_mode that handles changes between
	recording and playback.

	* vsync.c (vsync_do_vsync): Call debug_check_autoplay_mode if
	DEBUG is defined.

	* drive/drive-snapshot.c (drive_snapshot_write_module,
	drive_snapshot_read_module): Read/write the drives
	attach_detach_clk value.

	* drive/driveimage.c (drive_image_detach): Reset the drive
	struct even if drive->imgae is NULL. This is especially needed
	when you detach a disk and need a correct detach_clk after you
	have read a snapshot, which reads the gcr data but leaves
	data->image empty.

	* maincpu.c (maincpu_snapshot_read_module): Temporary removed
	the "mighty kludge" as it causes problems with some snapshots.
	FIXME: Needs further investigation.

	* vicii/vicii-snapshot.c (vicii_snapshot_read_module): Don't
	use vicii_irq_set_raster_line to restore the raster IRQ as it
	would delay IRQ on line 0 for one frame.

2004-05-13  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/uimon.c: Don't call EnumChildWindows if monitor
	isn't open.

	* datasette.c (datasette_read snapshot): Don't set tape sense
	if no image is attached.

	* debug.c, debug.h: New resource AutoPlaybackLogs, new
	functions debug_set_milestone, debug_reset_milestone which
	handle milestones while debugging history.
	debug_history_step and debug_stop_playback handle new trace
	mode DEBUG_AUTOPLAY: Switch from recording to playback and
	vice versa if number of logs has reached AutoPlaybackLogs.

	* event.c (event_record_set_milestone_trap): Call
	debug_set_milestone.
	(event_record_reset_milestone_trap): Call
	debug_reset_milestone.

2004-05-10  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.23.

2004-05-10  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/ui.c (handle_wm_command): Fixed memory leak.

	* arch/win32/uifliplist.c: Include util.h.
	(uifliplist_save_dialog). Append default file extension.

	* arch/win32/uilib.c: Fixed memory leak.

	* c128/c128.c, c64/c64.c, cbm2/cbm2.c, pet/pet.c,
	plus4/plus4.c, vic20/vic20.c, tape/tape.c, tape.h: Made
	tape_image_detach_internal public and use it to avoid memory
	leaks when playing back history file.

	* datasette.c (datasette_read_snaphot): Call
	datasette_set_tape_sense depending on image->mode.

	* fliplist.c, resources.c, tape-snapshot.c, zfile.c: Fixed
	more memory leaks.

2004-05-06  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/archdep.c:
	- fixed archdep_default_fliplist_file_name
	- fixed IsDir check

	* arch/os2/config.h:
	- do not define HAVE_TFE by default

	* arch/os2/dialogs/dlg-color.c, arch/os2/dialogs/dlg-color.h
	arch/os2/dialogs/dlg-color.rc:
	- added PALScanLineShade and PALBlur

	* arch/os2/dialogs/dlg-fileio.c:
	- fixed names of PaletteFile

	* arch/os2/dialogs/menubar.[h,c,rc]:
	- fixed Pal mode access
	- added tfe stuff

	* arch/os2/mousedrv.c:
	- fixed a strange crash when startup
	- fixed resource handling

	* arch/os2/vac++/incl/*.icc, arch/os2/vac++/incl/*/*.icc:
	- fixed

	* arch/os2/vac++/incl/monitor.icc:
	- set correct options for mon_parse.c

	* arch/os2/vac++/incl/raster.icc:
	- do not optimize raster-line.c (COMPILER BUG?)

	* arch/os2/video.c:
	- fixed and simplified initialisation of canvas
	- fixed correct resizing and double-scan

	* ioutil.c:
	fixed for OS/2

2004-05-05  Dag Lem  <resid@nimrod.no>

	* resid/: reSID 0.16 - faster resampling.

	* arch/unix/x11/gnome/uiscreenshot.c (uiscreenshot_shutdown):
	free of buttons variable instead of nonexisting
	driver_buttons variable.

2004-05-04  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/gnome/uiscreenshot.c (uiscreenshot_shutdown):
	Fixed `driver_buttons' -> `buttons'.

	* info.c: Added `Paul Dubé' to the credits list.

2004-05-02  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.22.

	* arch/unix/ui.h: Fixed prototype.

	* raster/raster.c, raster/raster.h, vicii/vicii.c,
	vic20/vic.c, crtc/crtc.c, vdc/vdc.c, plus4/ted.c
	(raster_set_title): Take machine name.

	* pet/pet.c, arch/unix/uisettings.c, arch/unix/tfearch.c,
	arch/unix/uiprinteriec.c, arch/unix/uiprinterieee.c,
	arch/msdos/c64ui.c, arch/msdos/video.c, arch/win32/ui.c:
	Fixed includes.

	* arch/unix/ui.c, arch/unix/uiscreenshot.h,
	arch/unix/x11/xaw/uiscreenshot.c,
	arch/unix/x11/gnome/uiscreenshot.c: Fixed memory leak.

2004-05-02  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/archdep_shutdown: Free some string variables.

	* arch/win32/fullscrn.c, fullscrn.h: New function
	ui_fullscreen_shutdown to free the device and mode lists.

	* arch/win32/ui-resources.c: Implemented function
	ui_resources_shutdown.

	* arch/win32/ui.c (ui_exit): Free the hwnd_title strings and
	call ui_fullscreen_shutdown and uilib_shutdown.

	* arch/win32/uilib.c: Free contents buffer after usage, added
	new function uilib_shutdown.

	* arch/win32/fullscrn.c, arch/win32/joy.c, tape/tap.c,
	screenshot.c: Replaced generic memory allocation with the
	lib_* functions.

	* c64/c64.c, c128/c128.c (machine_specific_shutdown): Call
	tfe_shutdown.

	* c64/tfe.c (tfe_shutdown): Free tfe_interface string.

	* event.c (event_image_append): Allocate a new string for
	mapped_name.
	(event_playback_attach_image): Free filename after usage.

	* fliplist.c, fliplist.h: New function
	fliplist_resources_shutdown.

	* romst.c, romset.h: New function romset_resources_shutdown.

	* machine.c: Include romset.h.
	(machine_shutdown): Call fliplist_resources_shutdown and
	romset_resources_shutdown.

2004-05-01  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/uirom.c: Fixed typo.

	* attach.c (file_system_attach_disk_internal): Call
	event_record_attach_image instead of recoding the filename.
	(file_system_event_playback): Gets unit and filename parameter
	directly now.

	* tape/tape.c: Changed likewise.

	* attach.h, tape.h: Changed *_event_playback prototypes.

	* c64/tfe.c: Removed crc32 helper and use the one in util.

	* event.h: New ID EVENT_ATTACHIMAGE. New prototypes.

	* event.c: Added event_image_list to remember the attached
	images, created and destroyed with the event_list.
	New function event_image_append which is used to add new
	image names to the list, find previously attached images,
	and store the mapped filenames in the playback session.
	New funtions event_record_attach_image,
	event_playback_attach_image to store new images in the history
	when recording and to create temporary files from the stored
	image when playing back.
	(event_alarm_handler): Uses these funtions to handle
	EVENT_ATTACHIMAGE.

	* util.c, util.h: New funtions util_get_extension,
	util_crc32, util_crc32_file.

2004-04-25  pottendo  <pottendo@utanet.at>

	* arch/unix/ui.h: Added prototype for `ui_restore_mouse()'.

	* arch/unix/uimon.c (uimon_window_close): Check whether mouse
	shall be enabled.

	* arch/unix/uicommands.c (active_monitor): Restore mouse.

2004-04-24  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.21.

2004-04-19  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* c64/tfe.c: tfe_deactive() now calls tfe_deactive_i() if
	should_activate is not 1; there was an "else" missing, causing
	VICE to bugcheck whenever TFE was activated afterwards. The
	c64export functions are moved from TFE/RR selection to the
	enabling/disabling of the whole cartridge itself. As both
	cards use the same memory area, this makes more sense than the
	behaviour before. Don't disable tfe_as_rr_net when the TFE
	cartridge is disabled.  Depending on the UI selection code, it
	might be the tfe_as_rr_net is not restored when the card is
	selected again.

	* arch/unix/tfearch.c: new implementation, now uses libpcap
	and libnet to access the network. This should be more portable
	for other platforms than Linux.

2004-04-18  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.20.

	* arch/unix/uiromset.c, arch/unix/uiromset.h,
	arch/unix/c64ui.c, arch/unix/c128ui.c, arch/unix/vic20ui.c,
	arch/unix/petui.c, arch/unix/plus4ui.c, arch/unix/cbm2ui.c:
	More romset UI.

	* romset.c, romset.h, c64/c64romset.c, c128/c128romset.c,
	vic20/vic20romset.c, pet/petromset.c, plus4/plus4romset.c,
	cbm2/cbm2romset.c, machine.h, arch/os2/dialogs/dlg-fileio.c,
	arch/unix/uiromset.c, arch/msdos/menudefs.c, arch/riscos/ui.c:
	Romset archive changes.

2004-04-17  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/res<machine>.rc: Changed menu item for event
	history file and directory selection.

	* arch/win32/statusbar.c: Fixed warning.

	* arch/win32/ui.c (handle_wm_command): IDM_EVENT_DIRECTORY
	will also be used to select start and end snapshot file.

	* arch/win32/uilib.c: Added new member file_resource to
	uilib_fs_style_type_t and replaced UILIB_SELECTOR_STYLE_EVENT
	with UILIB_SELECTOR_STYLE_EVENT_START and
	UILIB_SELECTOR_STYLE_EVENT_END.
	(uilib_select_file_autostart): file_resource is used for
	initial file selection and to change resource with selected
	file.

	* event.c: More precise error messages. Reset UI if something
	fails at startup of playback or recording.
	(event_playback_start_trap): Try both the filename inside the
	history snapshot module and the EventStartSnapshot resource
	to open start snapshot. This makes it possible to rename
	snapshot files after recording.

2004-04-14  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/ui.c: protected ui_update_menus() against
	premature calls (VIC20 crash on startup)

2004-04-11  Andreas Boose  <viceteam@t-online.de>

        * Version 1.14.19.

	* arch/win32/uirom.c, arch/win32/res.rc: More romset UI.

	* arch/win32/uilib.c, arch/win32/uilib.h
	(uilib_select_browse): New function.

	* arch/win32/uireu.c, arch/win32/uiide64.c,
	arch/win32/uic128.c: Use filename browse function.

	* resources.c, resources.h (string_resource_item,
	resources_write_item_to_string): New function.

	* romset.c, romset.h (romset_file_list): New function.

	* c64/c64romset.c, c128/c128romset.c, vic20/vic20romset.c,
	pet/petromset.c, plus4/plus4romset.c, cbm2/cbm2romset.c,
	machine.h (machine_romset_file_list): New function.

	* arch/unix/uiromset.c, arch/unix/uiromset.h: New files.

	* arch/unix/Makefile.am: Added new files.

	* arch/unix/uisettings.c, arch/unix/uisettings.h: Moved romset
	code to separate file.

	* arch/unix/c64ui.c, arch/unix/c128ui.c, arch/unix/vic20ui.c,
	arch/unix/petui.c, arch/unix/plus4ui.c, arch/unix/cbm2ui.c,
	arch/unix/uidrivec128.c, arch/unix/uidrivec64vic20.c,
	arch/unix/uidrivepetcbm2.c, arch/unix/uidrivepetcbm2.h,
	arch/unix/uidriveplus4.c, arch/unix/uidriveplus4.h,
	arch/unix/uidrivec128.c: Reorganized romset settings.

2004-04-10  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.18.

	* arch/win32/res.rc, arch/win32/res.h, arch/win32/uirom.c,
	romset.c, romset.h: Further romset improvements.

	* init.c (init_resources): initialize romset resources.

2004-04-10  Andreas Matthies  <andreas.matthies@gmx.net>

	* uiapi.h, arch/beos/ui.cc, arch/msdos/ui.c, arch/os2/ui.c,
	arch/riscos/ui.c, arch/unix/ui.c: Added new prototype and
	dummies for ui_display_event_time.

	* arch/win32/statusbar.c, statusbar.h: New functions
	statusbar_event_status, statusbar_event_time.
	(SetStatusWindowParts): Handles another part for the event
	playback and recording UI.
	(statusbar_handle_WMDRAWITEM): Event UI implemented,
	statustext uses DT_WORDBREAK now, some code cleanup.

	* arch/win32/ui.c (ui_display_event_time): New function using
	the statusbar to display recording/playback time.

	* event.h: New event ID EVENT_TIMESTAMP. Renamed
	event_playback_reset_ack to event_reset_ack as this is even
	used when recording.

	* event.c: Implemented another event EVENT_TIMESTAMP.
	event_alarm is used to record these events once a second.
	Recording and playing back these events is used to update the
	event UI. Counting these events in the end snapshot file is
	used to determine the total playing time.

	* machine.c (machine_reset) Fixed call.

2004-04-05  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/statusbar.c (statusbar_create): Send WM_SIZE
	message after height is set.

2004-04-03  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.17.

	* c64/c64-resources.c, c128/c128-resources.c,
	vic20/vic20-resources.c, pet/pet-resources.c,
	plus4/plus4-resources.c, cbm2/cbm2-resources.c,
	drive/iec/iec-resources.c, drive/ieee/ieee-resources.c,
	drive/iec128dcr/iec128dcr-resources.c,
	drive/tcbm/tcbm-resources.c: Added romset resources.

	* c64/c64romset.c, c64/c64romset.h, c128/c128romset.c,
	c128/c128romset.h, vic20/vic20romset.c, vic20/vic20romset.h,
	pet/petromset.c, pet/petromset.h, plus4/plus4romset.c,
	plus4/plus4romset.h, cbm2/cbm2romset.c, cbm2/cbm2romset.h:
	New files.

	* c64/Makefile.am, c128/Makefile.am, vic20/Makefile.am,
	pet/Makefile.am, plus4/Makefile.am, cbm2/Makefile.am,
	arch/win32/c64.dsp, arch/win32/c128.dsp, arch/win32/vic20.dsp,
	arch/win32/pet.dsp, arch/win32/plus4.dsp, arch/win32/cbm2.dsp:
	Added new files.

	* c64/c64mem.c, c128/c128mem.c, vic20/vic20mem.c,
	pet/petmem.c, plus4/plus4mem.c, cbm2/cbm2mem.c, mem.h: Removed
	broken romset definitions.

	* init.c (init_main): Initialize romset handling.

	* arch/os2/dialogs/dlg-fileio.c, arch/unix/uisettings.c,
	arch/msdos/menudefs.c, arch/riscos/ui.c, machine.h: Changed to
	new romset API.

	* romset.c, romset.h: First changes for better romset support.

	* arch/win32/petui.c, arch/win32/plus4ui.c,
	arch/win32/statusbar.c, arch/win32/uivideo.c,
	arch/win32/vic20ui.c, arch/win32/c64ui.c, arch/win32/c128ui.c,
	arch/win32/cbm2ui.c: Fixed warnings.

2004-03-28  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.16.

	* arch/win32/uilib.c, arch/win32/uiide64.c,
	arch/win32/uic128.c: Use common file selector.

	* arch/win32/uicmdline.c, arch/win32/uilib.c, uicmdline.h,
	arch/win32/uilib.h, arch/win32/ui.c, c1541.c, petcat.c: Moved
	`uilib_show_options()'.

	* arch/win32/uirom.c, arch/win32/resc64.rc,
	arch/win32/resc128.rc, arch/win32/resvic.rc,
	arch/win32/respet.rc, arch/win32/resplus4.rc,
	arch/win32/rescbm2.rc, arch/win32/res.h, arch/win32/uirom.h,
	arch/win32/c64ui.c, arch/win32/c128ui.c, arch/win32/vic20ui.c,
	arch/win32/petui.c, arch/win32/plus4ui.c, arch/win32/cbm2ui.c:
	Added drive firmware ROM UI.

2004-03-27  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.15.

	* c64/tfe.c: #include "util.h".

	* arch/win32/uilib.c, arch/win32/uilib.h, arch/win32/ui.c,
	arch/win32/uivideo.c, arch/win32/vic20ui.c,
	arch/win32/uic64cart.c, arch/win32/uiplus4cart.c,
	arch/win32/uirom.c, arch/win32/uiperipheral.c,
	arch/win32/uisnapshot.c, arch/win32/uifliplist.c,
	arch/win32/uirom.h, arch/win32/c64ui.c, arch/win32/c128ui.c,
	arch/win32/vic20ui.c, arch/win32/petui.c,
	arch/win32/plus4ui.c, arch/win32/cbm2ui.c, arch/win32/uireu.c,
	arch/win32/ui-resources.c: Reorganized file selector API.

	* arch/win32/uicart.c, arch/win32/uicart.h: New files.

	* arch/win32/Makefile.am, arch/win32/arch.dsp: Added new
	files.

	* uicmdline.h: Fixed warning.

2004-03-27  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/ui.cc, arch/msdos/ui.c, arch/os2/ui.c,
	arch/riscos/ui.c, arch/unix/ui.c, arch/win32/ui.c: Added
	dummies or implementations for ui_display_joyport.

	* arch/beos/joy.cc, arch/beos/ui.h: Removed arch dependent
	joystick display.

	* arch/beos/statusbar.cc: Adapted to common joystick display.

	* arch/win32/Makefile.am, arch.dsp: Added new file.

	* arch/win32/statusbar.c: Rearranged statusbar to display all
	four drives and the joystick status.

	* arch/win32/statusbar.h: Added prototype for
	statusbar_display_joyport.

	* arch/win32/ui-resources.c: New file.

	* arch/win32/ui.c: Moved resource and cmdline stuff to
	seperate file. Removed unused code.
	(ui_display_speed, ui_display_statustext): Clear status text
	after 5 seconds.

	* joystick.c(joystick_latch_matrix): Call ui_display_joyport.

	* uiapi.h: New prototype ui_display_joyport.

2004-03-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.14.

	* arch/unix/uitfe.c, arch/unix/uitfe.h, arch/unix/uilib.c,
	arch/unix/uilib.h: New files.

	* arch/unix/Makefile.am: Added new files.

	* arch/unix/c64ui.c, arch/unix/c128ui.c: Added TFE menu.

	* c64/tfe.c, arch/unix/archdep.h, arch/win32/archdep.h,
	arch/msdos/archdep.h, arch/riscos/archdep.h,
	arch/os2/archdep.h, arch/beos/archdep.h: Added Ethernet
	default device.

	* arch/unix/uireu.c, arch/unix/uiide64.c, arch/unix/uirs232.c,
	arch/unix/uiperipheral.c, arch/unix/uiprinter.c: Use uilib.

	* drive/ieee/fdc.c, drive/drive-writeprotect.c, iecbus.h,
	iecbus/iecbus.c, c64/c64cia2.c, c64/c64iec.h,
	plus4/plus4iec.h, c64/reloc65.c: Removed warinings.

2004-03-21  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* c64/tfe.c: Don't activat tfe if tfe_init() has not yet been
	called.

	* c64/tfearch.c: As it is done in tfe.c know, don't test if
	tfe_arch_init() has been called before activating.
	tfe_arch_enumadapter() and tfe_arch_enumadapter_open() and
	tfe_arch_enumadapter_close() now do something usefull

2004-03-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.13.

	* drive/drive.c, drive/drive.h (drive_current_track_size_set):
	New function.

	* drive/drive-snapshot.c (drive_snapshot_read_module): Also
	set current track size as suggested by AndreasM.

	* drive/drive-writeprotect.c, drive/drive-writeprotect.h: New	
	files.

	* drive/Makefile.am, arch/win32/drive.dsp: Added new files.

	* drive/drive.c, drive/drive.h, drive/iecieee/via2d.c,
	drive/tcbm/glue1551.c: Moved write protect code to separate
	file.

	* drive/drivecpu.c, 6510core.c: Fixed naming.

	* 6510core.c: Simplified JSR and JMP opcodes.

	* pet/petvideo.c (machine_video_init): Init 2x2 render.

	* crtc/crtc.c (crtc_set_screen_options): Refresh double size
	settings after the window geometry has been updated.

	* video/video-resources.c (set_double_size_enabled): Resize
	viewport even if only one dimensions has changed.

2004-03-15  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.12.

	* 6510core.c: Fixed branch and RTS opcodes.

	* arch/unix/uiattach.c, arch/unix/uiattach.h,
	arch/unix/uikeyboard.c, arch/unix/uikeyboard.h: New files.

	* arch/unix/Makefile.am: Added new files.

	* arch/unix/ui.c (ui_common_shutdown): Shutdown attach UI.

	* arch/unix/uicommands.c, arch/unix/uicommands.h: Moved attach
	specific code to separate file.

	* arch/unix/c64ui.c, arch/unix/c128ui.c, arch/unix/petui.c,
	arch/unix/vic20ui.c, arch/unix/plus4ui.c, arch/unix/cbm2ui.c:
	Changed calls to attach UI.

	* arch/unix/uisettings.c, arch/unix/uisettings.h: Moved
	keyboard code to separate file.

2004-03-14  Dag Lem  <resid@nimrod.no>

	* resid/: Fixed bug in fast envelope clocking.

	* arch/unix/uicommands.c: Moved GNOMEUI toggles to
	uifliplist.c

	* arch/unix/uifliplist.c: Added include of "uidrive.h". Moved
	GNOMEUI toggles from uicommands.c

2004-03-14  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.11.

	* 6510core.c: Fixed indirect indexed addressing mode.

	* arch/unix/uiide64.c, arch/unix/uiide64.h,
	arch/unix/uifliplist.c, arch/unix/uifliplist.h: New files.

	* arch/unix/Makefile.am: Added new files.

	* arch/unix/c64ui.c, arch/unix/c128ui.c: Added IDE64 submenu.

	* arch/unix/uicommands.c: Added menu entries to reset drive
	#10 and #11.  Moved fliplist code to separate file.

	* arch/unix/ui.c (ui_common_shutdown): Shutdown fliplist UI.

	* arch/unix/x11/xaw/x11ui.c, arch/unix/x11/gnome/x11ui.c,
	arch/unix/ui.h (ui_update_flip_menus): Renamed.

2004-03-13  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.10.

	* 6510core.c: Fixed indexed indirect addressing mode.

2004-03-11  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/unix/Makefile.am: Added tfearch.c

	* arch/unix/tfearch.c: new file

2004-03-08  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* c64/tfe.c, c64/tfe.h, arch/win32/tfearch.c: Added support
	for output each and every TFE frame into the vice log,
	allowing for using this to paste into ethereal for debugging
	purposes.

	* c64/tfe.c: Fixed a warning where &A-1 was used: Now, it is
	&(A-1).

	* c64/tfe.c: Fixed uninitialized variables in
	tfe_should_accept().

2004-03-08  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.9.

	* arch/win32/ui.c, arch/win32/uiconsole.c,
	arch/win32/uimediafile.c, arch/win32/uiperipheral.c,
	arch/win32/winmain.c, arch/win32/winmain.h: Fixed some
	multibyte char issues.

	* monitor/monitor.c, monitor.h, monitor/mon_util.c, signals.h,
	arch/unix/signals.c, arch/win32/signals.c,
	arch/msdos/signals.c, arch/riscos/signals.c,
	arch/os2/signals.c, arch/beos/signals.c: Moved signal specific
	code from monitor to separate files.

	* vicii/vicii-badline.c (switch_to_display_state): Fixed typo
	as spotted by AndreasM.

	* vice.h, arch/os2/archdep.c, arch/beos/archdep.c,
	arch/msdos/menudefs.c, arch/msdos/archdep.c,
	arch/msdos/uisnapshot.c, arch/msdos/uiattach.c,
	arch/win32/archdep.c, util.c: Removed `GET_PATH_MAX' define.

	* arch/msdos/joy.c: Fixed some warning.

	* cbmdos.c (cbmdos_command_parse): Fixed hack.

	* monitor.h, monitor/monitor.c, c128/z80.c, 6510core.c,
	monitor/mon_breakpoint.c, c64/c64mem.c, c128/c128mem.c,
	vic20/vic20mem.c, pet/petmem.c, plus4/plus4mem.c,
	cbm2/cbm2mem.c, drive/drivemem.c, monitor/montypes.h: Fixed
	some function names.

2004-03-03  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/archdep.c (archdep_boot_path): Added alternative
	method for NT4 systems without psapi.dll.

2004-02-29  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.8.

	* signals.h, arch/unix/signals.c, arch/win32/signals.c,
	arch/msdos/signals.c, arch/riscos/signals.c,
	arch/os2/signals.c, arch/beos/signals.c: New files.

	* Makefile.am, arch/unix/Makefile.am, arch/win32/Makefile.am,
	arch/win32/arch.dsp, arch/msdos/Makefile.am,
	arch/riscos/Makefile.am, arch/os2/Makefile.am,
	arch/beos/Makefile.am: Added new files.

	* init.c (init_main): Use new signal init function.

	* archapi.h, arch/unix/archdep.c, arch/win32/archdep.c,
	arch/msdos/archdep.c, arch/riscos/archdep.c,
	arch/os2/archdep.c, arch/beos/archdep.c: Moved signal code to
	separate files.

	* c1541.c (write_cmd): Fixed destination file name.

2004-02-29  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/ui.c (reset_dialog_proc): Don't clear keyboard
	matrix before reset.

	* fliplist.c (flip_load_list): Check if filename is empty.

	* gfxoutputdrv/bmpdrv.c (bmpdrv_write_bitmap_info): Set DPI in
	BMP header.

	* printerdrv/drv-ascii.c (drv_ascii_open): Set DPI to 100x100.
	This is not used, it's set just to have some default values.

	* printerdrv/drv-mps803.c (drv_mps803_open): Set DPI to 72x72.

	* printerdrv/drv-nl10.c (drv_nl10_open): Set DPI to 300x300.

	* printerdrv/output-graphics.c (output_graphics_open): Forward
	DPI settings to screenshot structure.

	* output.h (output_parameter_t): Added tags for DPI
	resolution.

	* raster/raster.c (raster_screenshot): Set DPI to 100x100.

	* screenshot.h (screenshot_t): Added tags for DPI resolution.

2004-02-29  Andreas Matthies  <andreas.matthies@gmx.net>

	* c1541 (split_args): Added \r to the whitespace characters.
	A whitespace doesn't reset begin_of_args.

2004-02-28  Andreas Boose  <viceteam@t-online.de>

	* Version 1.14.7.

	* sounddrv/soundsdl.c (sdl_write): Added big endian patch
	provided by Daniel Aarno.

	* arch/win32/dirent.c, arch/win32/evc/system.h,
	arch/win32/ui.c, arch/win32/uic128.c, arch/win32/uiconsole.c,
	arch/win32/uilib.c, arch/win32/uimediafile.c,
	arch/win32/uiperipheral.c, arch/win32/uisnapshot.c,
	arch/win32/uisnapshot.h, arch/win32/uispeed.c,
	arch/win32/uivideo.c, arch/win32/archdep.c: Use multi byte
	functions.

	* c1541.c, petcat.c: Added some temporary kludge.

2004-02-28  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/resc128.rc, resc64.rc, rescbm2.rc, respet.rc,
	resplus4,rc, resvic.rc, ui.c: Fixed shortcuts to avoid
	conflicts with menu navigation. Debugging toggles are on
	Alt+F10..Alt+F12 now, milestone shortcuts are Alt+G, Alt+H.

2004-02-26  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/Makefile.am: Added new files to makefile.

	* arch/win32/arch.dsp: Added new files to project.

	* arch/win32/plus4.dsp: Added new files to project.

	* arch/win32/plus4ui.c (plus4_ui_specific, plus4_ui_init):
	Call cart ui functions.

	* arch/win32/res.h: Added IDs for Plus4 cartridge menu items.

	* arch/win32/resplus4.rc: Added Plus4 cartridge menu items.

	* arch/win32/uiplus4cart.c, arch/win32/uiplus4cart.h: New
	files, handles Plus4 cartridge UI.

	* gfxoutput.h (gfxoutput_early_init): New function.

	* gfxoutputdrv/gfxoutput.c (gfxoutput_early_init,
